
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x80002d70')]      |
| SIG_REGION                | [('0x80004010', '0x80004950', '592 words')]      |
| COV_LABELS                | cor      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cor-01.S/cor-01.S    |
| Total Number of coverpoints| 643     |
| Total Coverpoints Hit     | 643      |
| Total Signature Updates   | 590      |
| STAT1                     | 590      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                coverpoints                                                                                |                             code                             |
|---:|--------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------|
|   1|[0x80004010]<br>0xFFFFF7FF|- opcode : c.or<br> - rs1 : x11<br> - rs2 : x12<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -2147483648<br> - rs1_val == -2049<br> |[0x8000010c]:c.or a1, a2<br> [0x8000010e]:sw a1, 0(ra)<br>    |
|   2|[0x80004014]<br>0xFFFFFFF9|- rs1 : x13<br> - rs2 : x13<br> - rs1 == rs2<br>                                                                                                                           |[0x8000011a]:c.or a3, a3<br> [0x8000011c]:sw a3, 4(ra)<br>    |
|   3|[0x80004018]<br>0x7FFFFFFF|- rs1 : x9<br> - rs2 : x8<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val > 0<br> - rs2_val == 2147483647<br>                                                               |[0x8000012c]:c.or s1, s0<br> [0x8000012e]:sw s1, 8(ra)<br>    |
|   4|[0x8000401c]<br>0x00000009|- rs1 : x8<br> - rs2 : x10<br> - rs2_val == 1<br> - rs1_val == 8<br>                                                                                                       |[0x8000013a]:c.or s0, a0<br> [0x8000013c]:sw fp, 12(ra)<br>   |
|   5|[0x80004020]<br>0xFFFFFFF9|- rs1 : x12<br> - rs2 : x15<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br>                                                                               |[0x80000148]:c.or a2, a5<br> [0x8000014a]:sw a2, 16(ra)<br>   |
|   6|[0x80004024]<br>0x00000009|- rs1 : x10<br> - rs2 : x11<br> - rs1_val == 0<br>                                                                                                                         |[0x80000156]:c.or a0, a1<br> [0x80000158]:sw a0, 20(ra)<br>   |
|   7|[0x80004028]<br>0xFFFFFFFF|- rs1 : x15<br> - rs2 : x14<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val == 2147483647<br>                                                                               |[0x80000168]:c.or a5, a4<br> [0x8000016a]:sw a5, 24(ra)<br>   |
|   8|[0x8000402c]<br>0xFFFFFEFF|- rs1 : x14<br> - rs2 : x9<br> - rs1_val == 1<br> - rs2_val == -257<br>                                                                                                    |[0x80000176]:c.or a4, s1<br> [0x80000178]:sw a4, 28(ra)<br>   |
|   9|[0x80004030]<br>0xFF7FFFFF|- rs2_val == 2<br> - rs1_val == -8388609<br>                                                                                                                               |[0x80000188]:c.or a0, a1<br> [0x8000018a]:sw a0, 32(ra)<br>   |
|  10|[0x80004034]<br>0x00000004|- rs2_val == 4<br> - rs1_val==0 and rs2_val==4<br>                                                                                                                         |[0x80000196]:c.or a0, a1<br> [0x80000198]:sw a0, 36(ra)<br>   |
|  11|[0x80004038]<br>0x00000009|- rs2_val == 8<br>                                                                                                                                                         |[0x800001a4]:c.or a0, a1<br> [0x800001a6]:sw a0, 40(ra)<br>   |
|  12|[0x8000403c]<br>0x04000010|- rs2_val == 16<br> - rs1_val == 67108864<br>                                                                                                                              |[0x800001b2]:c.or a0, a1<br> [0x800001b4]:sw a0, 44(ra)<br>   |
|  13|[0x80004040]<br>0xFFFFFFFF|- rs2_val == 32<br> - rs1_val == -33<br>                                                                                                                                   |[0x800001c0]:c.or a0, a1<br> [0x800001c2]:sw a0, 48(ra)<br>   |
|  14|[0x80004044]<br>0xFFBFFFFF|- rs2_val == 64<br> - rs1_val == -4194305<br>                                                                                                                              |[0x800001d2]:c.or a0, a1<br> [0x800001d4]:sw a0, 52(ra)<br>   |
|  15|[0x80004048]<br>0x00000084|- rs2_val == 128<br> - rs1_val == 4<br>                                                                                                                                    |[0x800001e0]:c.or a0, a1<br> [0x800001e2]:sw a0, 56(ra)<br>   |
|  16|[0x8000404c]<br>0xFFFF7FFF|- rs2_val == 256<br> - rs1_val == -32769<br>                                                                                                                               |[0x800001f2]:c.or a0, a1<br> [0x800001f4]:sw a0, 60(ra)<br>   |
|  17|[0x80004050]<br>0x00000210|- rs2_val == 512<br> - rs1_val == 16<br>                                                                                                                                   |[0x80000200]:c.or a0, a1<br> [0x80000202]:sw a0, 64(ra)<br>   |
|  18|[0x80004054]<br>0x00000400|- rs2_val == 1024<br>                                                                                                                                                      |[0x8000020e]:c.or a0, a1<br> [0x80000210]:sw a0, 68(ra)<br>   |
|  19|[0x80004058]<br>0x00000800|- rs2_val == 2048<br> - rs1_val == 2048<br>                                                                                                                                |[0x80000224]:c.or a0, a1<br> [0x80000226]:sw a0, 72(ra)<br>   |
|  20|[0x8000405c]<br>0xFFFFFFBF|- rs2_val == 4096<br> - rs1_val == -65<br>                                                                                                                                 |[0x80000232]:c.or a0, a1<br> [0x80000234]:sw a0, 76(ra)<br>   |
|  21|[0x80004060]<br>0x33333332|- rs2_val == 8192<br>                                                                                                                                                      |[0x80000244]:c.or a0, a1<br> [0x80000246]:sw a0, 80(ra)<br>   |
|  22|[0x80004064]<br>0x00044000|- rs2_val == 16384<br> - rs1_val == 262144<br>                                                                                                                             |[0x80000252]:c.or a0, a1<br> [0x80000254]:sw a0, 84(ra)<br>   |
|  23|[0x80004068]<br>0xFFFFFFFD|- rs2_val == 32768<br> - rs1_val == -3<br>                                                                                                                                 |[0x80000260]:c.or a0, a1<br> [0x80000262]:sw a0, 88(ra)<br>   |
|  24|[0x8000406c]<br>0xFFFFFFBF|- rs2_val == 65536<br>                                                                                                                                                     |[0x8000026e]:c.or a0, a1<br> [0x80000270]:sw a0, 92(ra)<br>   |
|  25|[0x80004070]<br>0x00020001|- rs2_val == 131072<br>                                                                                                                                                    |[0x8000027c]:c.or a0, a1<br> [0x8000027e]:sw a0, 96(ra)<br>   |
|  26|[0x80004074]<br>0xFFFFFFFD|- rs2_val == 262144<br>                                                                                                                                                    |[0x8000028a]:c.or a0, a1<br> [0x8000028c]:sw a0, 100(ra)<br>  |
|  27|[0x80004078]<br>0xFFFFFFFD|- rs2_val == 524288<br>                                                                                                                                                    |[0x80000298]:c.or a0, a1<br> [0x8000029a]:sw a0, 104(ra)<br>  |
|  28|[0x8000407c]<br>0xC0100000|- rs2_val == 1048576<br>                                                                                                                                                   |[0x800002a6]:c.or a0, a1<br> [0x800002a8]:sw a0, 108(ra)<br>  |
|  29|[0x80004080]<br>0x02200000|- rs2_val == 2097152<br> - rs1_val == 33554432<br>                                                                                                                         |[0x800002b4]:c.or a0, a1<br> [0x800002b6]:sw a0, 112(ra)<br>  |
|  30|[0x80004084]<br>0x08400000|- rs2_val == 4194304<br> - rs1_val == 134217728<br>                                                                                                                        |[0x800002c2]:c.or a0, a1<br> [0x800002c4]:sw a0, 116(ra)<br>  |
|  31|[0x80004088]<br>0x00810000|- rs2_val == 8388608<br> - rs1_val == 65536<br>                                                                                                                            |[0x800002d0]:c.or a0, a1<br> [0x800002d2]:sw a0, 120(ra)<br>  |
|  32|[0x8000408c]<br>0x0100B504|- rs2_val == 16777216<br>                                                                                                                                                  |[0x800002e2]:c.or a0, a1<br> [0x800002e4]:sw a0, 124(ra)<br>  |
|  33|[0x80004090]<br>0xBFFFFFFF|- rs2_val == 33554432<br> - rs1_val == -1073741825<br>                                                                                                                     |[0x800002f4]:c.or a0, a1<br> [0x800002f6]:sw a0, 128(ra)<br>  |
|  34|[0x80004094]<br>0xFFFFFFBF|- rs2_val == 67108864<br>                                                                                                                                                  |[0x80000302]:c.or a0, a1<br> [0x80000304]:sw a0, 132(ra)<br>  |
|  35|[0x80004098]<br>0x08000010|- rs2_val == 134217728<br>                                                                                                                                                 |[0x80000310]:c.or a0, a1<br> [0x80000312]:sw a0, 136(ra)<br>  |
|  36|[0x8000409c]<br>0xFFFFFFF9|- rs2_val == 268435456<br>                                                                                                                                                 |[0x8000031e]:c.or a0, a1<br> [0x80000320]:sw a0, 140(ra)<br>  |
|  37|[0x800040a0]<br>0x20002000|- rs2_val == 536870912<br> - rs1_val == 8192<br>                                                                                                                           |[0x8000032c]:c.or a0, a1<br> [0x8000032e]:sw a0, 144(ra)<br>  |
|  38|[0x800040a4]<br>0x40000040|- rs2_val == 1073741824<br> - rs1_val == 64<br>                                                                                                                            |[0x8000033a]:c.or a0, a1<br> [0x8000033c]:sw a0, 148(ra)<br>  |
|  39|[0x800040a8]<br>0xFFFFFFFE|- rs2_val == -2<br>                                                                                                                                                        |[0x80000348]:c.or a0, a1<br> [0x8000034a]:sw a0, 152(ra)<br>  |
|  40|[0x800040ac]<br>0xFFFFFFFD|- rs2_val == -3<br>                                                                                                                                                        |[0x80000356]:c.or a0, a1<br> [0x80000358]:sw a0, 156(ra)<br>  |
|  41|[0x800040b0]<br>0xFFFFFFFF|- rs2_val == -5<br>                                                                                                                                                        |[0x80000368]:c.or a0, a1<br> [0x8000036a]:sw a0, 160(ra)<br>  |
|  42|[0x800040b4]<br>0xFFFFFFF7|- rs2_val == -9<br>                                                                                                                                                        |[0x80000376]:c.or a0, a1<br> [0x80000378]:sw a0, 164(ra)<br>  |
|  43|[0x800040b8]<br>0xFFFFFFEF|- rs2_val == -17<br> - rs1_val == 2<br>                                                                                                                                    |[0x80000384]:c.or a0, a1<br> [0x80000386]:sw a0, 168(ra)<br>  |
|  44|[0x800040bc]<br>0xFFFFFFFF|- rs2_val == -33<br>                                                                                                                                                       |[0x80000396]:c.or a0, a1<br> [0x80000398]:sw a0, 172(ra)<br>  |
|  45|[0x800040c0]<br>0xFFFFFFFF|- rs2_val == -65<br>                                                                                                                                                       |[0x800003a4]:c.or a0, a1<br> [0x800003a6]:sw a0, 176(ra)<br>  |
|  46|[0x800040c4]<br>0xFFFFFF7F|- rs2_val == -129<br>                                                                                                                                                      |[0x800003b2]:c.or a0, a1<br> [0x800003b4]:sw a0, 180(ra)<br>  |
|  47|[0x800040c8]<br>0xFFFFFDFF|- rs2_val == -513<br>                                                                                                                                                      |[0x800003c4]:c.or a0, a1<br> [0x800003c6]:sw a0, 184(ra)<br>  |
|  48|[0x800040cc]<br>0xFFFFFBFF|- rs2_val == -1025<br>                                                                                                                                                     |[0x800003d2]:c.or a0, a1<br> [0x800003d4]:sw a0, 188(ra)<br>  |
|  49|[0x800040d0]<br>0xFFFFFFFF|- rs2_val == -2049<br>                                                                                                                                                     |[0x800003e8]:c.or a0, a1<br> [0x800003ea]:sw a0, 192(ra)<br>  |
|  50|[0x800040d4]<br>0xFFFFEFFF|- rs2_val == -4097<br>                                                                                                                                                     |[0x800003fa]:c.or a0, a1<br> [0x800003fc]:sw a0, 196(ra)<br>  |
|  51|[0x800040d8]<br>0xFFFFFFFF|- rs2_val == -8193<br>                                                                                                                                                     |[0x80000410]:c.or a0, a1<br> [0x80000412]:sw a0, 200(ra)<br>  |
|  52|[0x800040dc]<br>0xFFFFBFFF|- rs2_val == -16385<br> - rs1_val == 8388608<br>                                                                                                                           |[0x80000422]:c.or a0, a1<br> [0x80000424]:sw a0, 204(ra)<br>  |
|  53|[0x800040e0]<br>0xFFFFFFFF|- rs2_val == -32769<br>                                                                                                                                                    |[0x80000438]:c.or a0, a1<br> [0x8000043a]:sw a0, 208(ra)<br>  |
|  54|[0x800040e4]<br>0xFFFEFFFF|- rs2_val == -65537<br>                                                                                                                                                    |[0x8000044a]:c.or a0, a1<br> [0x8000044c]:sw a0, 212(ra)<br>  |
|  55|[0x800040e8]<br>0xFFFFFFFF|- rs2_val == -131073<br> - rs1_val == -17<br>                                                                                                                              |[0x8000045c]:c.or a0, a1<br> [0x8000045e]:sw a0, 216(ra)<br>  |
|  56|[0x800040ec]<br>0xFFFBFFFF|- rs2_val == -262145<br>                                                                                                                                                   |[0x8000046e]:c.or a0, a1<br> [0x80000470]:sw a0, 220(ra)<br>  |
|  57|[0x800040f0]<br>0xFFFFFFFF|- rs2_val == -524289<br>                                                                                                                                                   |[0x80000480]:c.or a0, a1<br> [0x80000482]:sw a0, 224(ra)<br>  |
|  58|[0x800040f4]<br>0xFFEFFFFF|- rs2_val == -1048577<br>                                                                                                                                                  |[0x80000492]:c.or a0, a1<br> [0x80000494]:sw a0, 228(ra)<br>  |
|  59|[0x800040f8]<br>0xFFDFFFFF|- rs2_val == -2097153<br>                                                                                                                                                  |[0x800004a4]:c.or a0, a1<br> [0x800004a6]:sw a0, 232(ra)<br>  |
|  60|[0x800040fc]<br>0xFFFFFFFF|- rs2_val == -4194305<br>                                                                                                                                                  |[0x800004ba]:c.or a0, a1<br> [0x800004bc]:sw a0, 236(ra)<br>  |
|  61|[0x80004100]<br>0xFFFFFFFF|- rs2_val == -8388609<br>                                                                                                                                                  |[0x800004cc]:c.or a0, a1<br> [0x800004ce]:sw a0, 240(ra)<br>  |
|  62|[0x80004104]<br>0xFEFFFFFF|- rs2_val == -16777217<br>                                                                                                                                                 |[0x800004de]:c.or a0, a1<br> [0x800004e0]:sw a0, 244(ra)<br>  |
|  63|[0x80004108]<br>0xFDFFFFFF|- rs2_val == -33554433<br> - rs1_val == 1431655765<br>                                                                                                                     |[0x800004f4]:c.or a0, a1<br> [0x800004f6]:sw a0, 248(ra)<br>  |
|  64|[0x8000410c]<br>0xFFFFFFFF|- rs2_val == -67108865<br>                                                                                                                                                 |[0x80000506]:c.or a0, a1<br> [0x80000508]:sw a0, 252(ra)<br>  |
|  65|[0x80004110]<br>0xFFFFFFFF|- rs2_val == -134217729<br>                                                                                                                                                |[0x8000051c]:c.or a0, a1<br> [0x8000051e]:sw a0, 256(ra)<br>  |
|  66|[0x80004114]<br>0xEFFFFFFF|- rs2_val == -268435457<br>                                                                                                                                                |[0x8000052e]:c.or a0, a1<br> [0x80000530]:sw a0, 260(ra)<br>  |
|  67|[0x80004118]<br>0xFFFFFFFF|- rs2_val == -536870913<br> - rs1_val == -8193<br>                                                                                                                         |[0x80000544]:c.or a0, a1<br> [0x80000546]:sw a0, 264(ra)<br>  |
|  68|[0x8000411c]<br>0xBFFFFFFF|- rs2_val == -1073741825<br>                                                                                                                                               |[0x80000556]:c.or a0, a1<br> [0x80000558]:sw a0, 268(ra)<br>  |
|  69|[0x80004120]<br>0x55555555|- rs2_val == 1431655765<br> - rs1_val==5 and rs2_val==1431655765<br>                                                                                                       |[0x80000568]:c.or a0, a1<br> [0x8000056a]:sw a0, 272(ra)<br>  |
|  70|[0x80004124]<br>0xFFFFFFFF|- rs2_val == -1431655766<br> - rs1_val == -2097153<br>                                                                                                                     |[0x8000057e]:c.or a0, a1<br> [0x80000580]:sw a0, 276(ra)<br>  |
|  71|[0x80004128]<br>0xFFDFFFFF|- rs1_val == 32<br>                                                                                                                                                        |[0x80000590]:c.or a0, a1<br> [0x80000592]:sw a0, 280(ra)<br>  |
|  72|[0x8000412c]<br>0x20000080|- rs1_val == 128<br>                                                                                                                                                       |[0x8000059e]:c.or a0, a1<br> [0x800005a0]:sw a0, 284(ra)<br>  |
|  73|[0x80004130]<br>0x00040100|- rs1_val == 256<br>                                                                                                                                                       |[0x800005ac]:c.or a0, a1<br> [0x800005ae]:sw a0, 288(ra)<br>  |
|  74|[0x80004134]<br>0x00000205|- rs1_val == 512<br>                                                                                                                                                       |[0x800005ba]:c.or a0, a1<br> [0x800005bc]:sw a0, 292(ra)<br>  |
|  75|[0x80004138]<br>0x00000400|- rs2_val == 0<br> - rs1_val == 1024<br>                                                                                                                                   |[0x800005c8]:c.or a0, a1<br> [0x800005ca]:sw a0, 296(ra)<br>  |
|  76|[0x8000413c]<br>0x0000B503|- rs1_val == 4096<br>                                                                                                                                                      |[0x800005da]:c.or a0, a1<br> [0x800005dc]:sw a0, 300(ra)<br>  |
|  77|[0x80004140]<br>0x01004000|- rs1_val == 16384<br>                                                                                                                                                     |[0x800005e8]:c.or a0, a1<br> [0x800005ea]:sw a0, 304(ra)<br>  |
|  78|[0x80004144]<br>0x0000C000|- rs1_val == 32768<br>                                                                                                                                                     |[0x800005f6]:c.or a0, a1<br> [0x800005f8]:sw a0, 308(ra)<br>  |
|  79|[0x80004148]<br>0x00220000|- rs1_val == 131072<br>                                                                                                                                                    |[0x80000604]:c.or a0, a1<br> [0x80000606]:sw a0, 312(ra)<br>  |
|  80|[0x8000414c]<br>0x7FFFFFFF|- rs1_val == 524288<br>                                                                                                                                                    |[0x80000616]:c.or a0, a1<br> [0x80000618]:sw a0, 316(ra)<br>  |
|  81|[0x80004150]<br>0x00100040|- rs1_val == 1048576<br>                                                                                                                                                   |[0x80000624]:c.or a0, a1<br> [0x80000626]:sw a0, 320(ra)<br>  |
|  82|[0x80004154]<br>0xFFF7FFFF|- rs1_val == 2097152<br>                                                                                                                                                   |[0x80000636]:c.or a0, a1<br> [0x80000638]:sw a0, 324(ra)<br>  |
|  83|[0x80004158]<br>0xFFFF4AFC|- rs1_val == 4194304<br>                                                                                                                                                   |[0x80000648]:c.or a0, a1<br> [0x8000064a]:sw a0, 328(ra)<br>  |
|  84|[0x8000415c]<br>0x01000006|- rs1_val == 16777216<br>                                                                                                                                                  |[0x80000656]:c.or a0, a1<br> [0x80000658]:sw a0, 332(ra)<br>  |
|  85|[0x80004160]<br>0x10000004|- rs1_val == 268435456<br>                                                                                                                                                 |[0x80000664]:c.or a0, a1<br> [0x80000666]:sw a0, 336(ra)<br>  |
|  86|[0x80004164]<br>0x20000002|- rs1_val == 536870912<br>                                                                                                                                                 |[0x80000672]:c.or a0, a1<br> [0x80000674]:sw a0, 340(ra)<br>  |
|  87|[0x80004168]<br>0x40000000|- rs1_val == 1073741824<br>                                                                                                                                                |[0x80000680]:c.or a0, a1<br> [0x80000682]:sw a0, 344(ra)<br>  |
|  88|[0x8000416c]<br>0xFFFFFFFF|- rs1_val == -2<br>                                                                                                                                                        |[0x8000068e]:c.or a0, a1<br> [0x80000690]:sw a0, 348(ra)<br>  |
|  89|[0x80004170]<br>0xFFFFFFFF|- rs1_val == -5<br>                                                                                                                                                        |[0x800006a0]:c.or a0, a1<br> [0x800006a2]:sw a0, 352(ra)<br>  |
|  90|[0x80004174]<br>0xFFFFFFF7|- rs1_val == -9<br>                                                                                                                                                        |[0x800006b2]:c.or a0, a1<br> [0x800006b4]:sw a0, 356(ra)<br>  |
|  91|[0x80004178]<br>0xFFFFFF7F|- rs1_val == -129<br>                                                                                                                                                      |[0x800006c0]:c.or a0, a1<br> [0x800006c2]:sw a0, 360(ra)<br>  |
|  92|[0x8000417c]<br>0xFFFFFFFF|- rs1_val == -257<br>                                                                                                                                                      |[0x800006ce]:c.or a0, a1<br> [0x800006d0]:sw a0, 364(ra)<br>  |
|  93|[0x80004180]<br>0xFFFFFFFF|- rs1_val == -513<br>                                                                                                                                                      |[0x800006dc]:c.or a0, a1<br> [0x800006de]:sw a0, 368(ra)<br>  |
|  94|[0x80004184]<br>0xFFFFFBFF|- rs1_val == -1025<br>                                                                                                                                                     |[0x800006ea]:c.or a0, a1<br> [0x800006ec]:sw a0, 372(ra)<br>  |
|  95|[0x80004188]<br>0xFFFFFFFF|- rs1_val == -4097<br>                                                                                                                                                     |[0x80000700]:c.or a0, a1<br> [0x80000702]:sw a0, 376(ra)<br>  |
|  96|[0x8000418c]<br>0xFFFFFFFF|- rs1_val == -16385<br>                                                                                                                                                    |[0x80000716]:c.or a0, a1<br> [0x80000718]:sw a0, 380(ra)<br>  |
|  97|[0x80004190]<br>0xFFFEFFFF|- rs1_val == -65537<br>                                                                                                                                                    |[0x80000728]:c.or a0, a1<br> [0x8000072a]:sw a0, 384(ra)<br>  |
|  98|[0x80004194]<br>0xFFFDFFFF|- rs1_val == -131073<br>                                                                                                                                                   |[0x8000073a]:c.or a0, a1<br> [0x8000073c]:sw a0, 388(ra)<br>  |
|  99|[0x80004198]<br>0xFFFBFFFF|- rs1_val == -262145<br>                                                                                                                                                   |[0x8000074c]:c.or a0, a1<br> [0x8000074e]:sw a0, 392(ra)<br>  |
| 100|[0x8000419c]<br>0xFFF7FFFF|- rs1_val == -524289<br>                                                                                                                                                   |[0x80000762]:c.or a0, a1<br> [0x80000764]:sw a0, 396(ra)<br>  |
| 101|[0x800041a0]<br>0xFFFFFFFF|- rs1_val == -1048577<br>                                                                                                                                                  |[0x80000778]:c.or a0, a1<br> [0x8000077a]:sw a0, 400(ra)<br>  |
| 102|[0x800041a4]<br>0xFEFFFFFF|- rs1_val == -16777217<br>                                                                                                                                                 |[0x8000078a]:c.or a0, a1<br> [0x8000078c]:sw a0, 404(ra)<br>  |
| 103|[0x800041a8]<br>0xFDFFFFFF|- rs1_val == -33554433<br>                                                                                                                                                 |[0x8000079c]:c.or a0, a1<br> [0x8000079e]:sw a0, 408(ra)<br>  |
| 104|[0x800041ac]<br>0xFFFFFFFF|- rs1_val == -67108865<br>                                                                                                                                                 |[0x800007ae]:c.or a0, a1<br> [0x800007b0]:sw a0, 412(ra)<br>  |
| 105|[0x800041b0]<br>0xFFFFFFFF|- rs1_val == -134217729<br>                                                                                                                                                |[0x800007c0]:c.or a0, a1<br> [0x800007c2]:sw a0, 416(ra)<br>  |
| 106|[0x800041b4]<br>0xFFFFFFFF|- rs1_val == -268435457<br>                                                                                                                                                |[0x800007d6]:c.or a0, a1<br> [0x800007d8]:sw a0, 420(ra)<br>  |
| 107|[0x800041b8]<br>0xFFFFFFFF|- rs1_val == -536870913<br>                                                                                                                                                |[0x800007ec]:c.or a0, a1<br> [0x800007ee]:sw a0, 424(ra)<br>  |
| 108|[0x800041bc]<br>0xFFFFFFFE|- rs1_val == -1431655766<br>                                                                                                                                               |[0x800007fe]:c.or a0, a1<br> [0x80000800]:sw a0, 428(ra)<br>  |
| 109|[0x800041c0]<br>0x00000003|- rs1_val==3 and rs2_val==3<br>                                                                                                                                            |[0x8000080c]:c.or a0, a1<br> [0x8000080e]:sw a0, 432(ra)<br>  |
| 110|[0x800041c4]<br>0x55555557|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                                                   |[0x8000081e]:c.or a0, a1<br> [0x80000820]:sw a0, 436(ra)<br>  |
| 111|[0x800041c8]<br>0xAAAAAAAB|- rs1_val==3 and rs2_val==-1431655766<br>                                                                                                                                  |[0x80000830]:c.or a0, a1<br> [0x80000832]:sw a0, 440(ra)<br>  |
| 112|[0x800041cc]<br>0x00000007|- rs1_val==3 and rs2_val==5<br>                                                                                                                                            |[0x8000083e]:c.or a0, a1<br> [0x80000840]:sw a0, 444(ra)<br>  |
| 113|[0x800041d0]<br>0x33333333|- rs1_val==3 and rs2_val==858993459<br>                                                                                                                                    |[0x80000850]:c.or a0, a1<br> [0x80000852]:sw a0, 448(ra)<br>  |
| 114|[0x800041d4]<br>0x66666667|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                                                   |[0x80000862]:c.or a0, a1<br> [0x80000864]:sw a0, 452(ra)<br>  |
| 115|[0x800041d8]<br>0xFFFF4AFF|- rs1_val==3 and rs2_val==-46340<br>                                                                                                                                       |[0x80000874]:c.or a0, a1<br> [0x80000876]:sw a0, 456(ra)<br>  |
| 116|[0x800041dc]<br>0x0000B507|- rs1_val==3 and rs2_val==46340<br>                                                                                                                                        |[0x80000886]:c.or a0, a1<br> [0x80000888]:sw a0, 460(ra)<br>  |
| 117|[0x800041e0]<br>0x00000003|- rs1_val==3 and rs2_val==2<br>                                                                                                                                            |[0x80000894]:c.or a0, a1<br> [0x80000896]:sw a0, 464(ra)<br>  |
| 118|[0x800041e4]<br>0x55555557|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                                                   |[0x800008a6]:c.or a0, a1<br> [0x800008a8]:sw a0, 468(ra)<br>  |
| 119|[0x800041e8]<br>0x00000003|- rs1_val==3 and rs2_val==0<br>                                                                                                                                            |[0x800008b4]:c.or a0, a1<br> [0x800008b6]:sw a0, 472(ra)<br>  |
| 120|[0x800041ec]<br>0x00000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                                            |[0x800008c2]:c.or a0, a1<br> [0x800008c4]:sw a0, 476(ra)<br>  |
| 121|[0x800041f0]<br>0x33333333|- rs1_val==3 and rs2_val==858993458<br>                                                                                                                                    |[0x800008d4]:c.or a0, a1<br> [0x800008d6]:sw a0, 480(ra)<br>  |
| 122|[0x800041f4]<br>0x66666667|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                                                   |[0x800008e6]:c.or a0, a1<br> [0x800008e8]:sw a0, 484(ra)<br>  |
| 123|[0x800041f8]<br>0x0000B503|- rs1_val==3 and rs2_val==46339<br>                                                                                                                                        |[0x800008f8]:c.or a0, a1<br> [0x800008fa]:sw a0, 488(ra)<br>  |
| 124|[0x800041fc]<br>0x55555557|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                                                   |[0x8000090a]:c.or a0, a1<br> [0x8000090c]:sw a0, 492(ra)<br>  |
| 125|[0x80004200]<br>0xAAAAAAAB|- rs1_val==3 and rs2_val==-1431655765<br>                                                                                                                                  |[0x8000091c]:c.or a0, a1<br> [0x8000091e]:sw a0, 496(ra)<br>  |
| 126|[0x80004204]<br>0x00000007|- rs1_val==3 and rs2_val==6<br>                                                                                                                                            |[0x8000092a]:c.or a0, a1<br> [0x8000092c]:sw a0, 500(ra)<br>  |
| 127|[0x80004208]<br>0x33333337|- rs1_val==3 and rs2_val==858993460<br>                                                                                                                                    |[0x8000093c]:c.or a0, a1<br> [0x8000093e]:sw a0, 504(ra)<br>  |
| 128|[0x8000420c]<br>0x66666667|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                                                   |[0x8000094e]:c.or a0, a1<br> [0x80000950]:sw a0, 508(ra)<br>  |
| 129|[0x80004210]<br>0xFFFF4AFF|- rs1_val==3 and rs2_val==-46339<br>                                                                                                                                       |[0x80000960]:c.or a0, a1<br> [0x80000962]:sw a0, 512(ra)<br>  |
| 130|[0x80004214]<br>0x0000B507|- rs1_val==3 and rs2_val==46341<br>                                                                                                                                        |[0x80000972]:c.or a0, a1<br> [0x80000974]:sw a0, 516(ra)<br>  |
| 131|[0x80004218]<br>0x55555557|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                                                   |[0x80000984]:c.or a0, a1<br> [0x80000986]:sw a0, 520(ra)<br>  |
| 132|[0x8000421c]<br>0x55555555|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                                          |[0x8000099a]:c.or a0, a1<br> [0x8000099c]:sw a0, 524(ra)<br>  |
| 133|[0x80004220]<br>0xFFFFFFFF|- rs1_val==1431655765 and rs2_val==-1431655766<br>                                                                                                                         |[0x800009b0]:c.or a0, a1<br> [0x800009b2]:sw a0, 528(ra)<br>  |
| 134|[0x80004224]<br>0x55555555|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                                                   |[0x800009c2]:c.or a0, a1<br> [0x800009c4]:sw a0, 532(ra)<br>  |
| 135|[0x80004228]<br>0x77777777|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                                           |[0x800009d8]:c.or a0, a1<br> [0x800009da]:sw a0, 536(ra)<br>  |
| 136|[0x8000422c]<br>0x77777777|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                                          |[0x800009ee]:c.or a0, a1<br> [0x800009f0]:sw a0, 540(ra)<br>  |
| 137|[0x80004230]<br>0xFFFF5FFD|- rs1_val==1431655765 and rs2_val==-46340<br>                                                                                                                              |[0x80000a04]:c.or a0, a1<br> [0x80000a06]:sw a0, 544(ra)<br>  |
| 138|[0x80004234]<br>0x5555F555|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                                               |[0x80000a1a]:c.or a0, a1<br> [0x80000a1c]:sw a0, 548(ra)<br>  |
| 139|[0x80004238]<br>0x55555557|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                                                   |[0x80000a2c]:c.or a0, a1<br> [0x80000a2e]:sw a0, 552(ra)<br>  |
| 140|[0x8000423c]<br>0x55555555|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                                          |[0x80000a42]:c.or a0, a1<br> [0x80000a44]:sw a0, 556(ra)<br>  |
| 141|[0x80004240]<br>0x55555555|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                                                   |[0x80000a54]:c.or a0, a1<br> [0x80000a56]:sw a0, 560(ra)<br>  |
| 142|[0x80004244]<br>0x55555555|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                                                   |[0x80000a66]:c.or a0, a1<br> [0x80000a68]:sw a0, 564(ra)<br>  |
| 143|[0x80004248]<br>0x77777777|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                                           |[0x80000a7c]:c.or a0, a1<br> [0x80000a7e]:sw a0, 568(ra)<br>  |
| 144|[0x8000424c]<br>0x77777775|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                                          |[0x80000a92]:c.or a0, a1<br> [0x80000a94]:sw a0, 572(ra)<br>  |
| 145|[0x80004250]<br>0x5555F557|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                                               |[0x80000aa8]:c.or a0, a1<br> [0x80000aaa]:sw a0, 576(ra)<br>  |
| 146|[0x80004254]<br>0x55555557|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                                          |[0x80000abe]:c.or a0, a1<br> [0x80000ac0]:sw a0, 580(ra)<br>  |
| 147|[0x80004258]<br>0xFFFFFFFF|- rs1_val==1431655765 and rs2_val==-1431655765<br>                                                                                                                         |[0x80000ad4]:c.or a0, a1<br> [0x80000ad6]:sw a0, 584(ra)<br>  |
| 148|[0x8000425c]<br>0x55555557|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                                                   |[0x80000ae6]:c.or a0, a1<br> [0x80000ae8]:sw a0, 588(ra)<br>  |
| 149|[0x80004260]<br>0x77777775|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                                           |[0x80000afc]:c.or a0, a1<br> [0x80000afe]:sw a0, 592(ra)<br>  |
| 150|[0x80004264]<br>0x77777777|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                                          |[0x80000b12]:c.or a0, a1<br> [0x80000b14]:sw a0, 596(ra)<br>  |
| 151|[0x80004268]<br>0xFFFF5FFD|- rs1_val==1431655765 and rs2_val==-46339<br>                                                                                                                              |[0x80000b28]:c.or a0, a1<br> [0x80000b2a]:sw a0, 600(ra)<br>  |
| 152|[0x8000426c]<br>0x5555F555|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                                               |[0x80000b3e]:c.or a0, a1<br> [0x80000b40]:sw a0, 604(ra)<br>  |
| 153|[0x80004270]<br>0xAAAAAAAB|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                                                  |[0x80000b50]:c.or a0, a1<br> [0x80000b52]:sw a0, 608(ra)<br>  |
| 154|[0x80004274]<br>0xFFFFFFFF|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                                         |[0x80000b66]:c.or a0, a1<br> [0x80000b68]:sw a0, 612(ra)<br>  |
| 155|[0x80004278]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655766<br>                                                                                                                        |[0x80000b7c]:c.or a0, a1<br> [0x80000b7e]:sw a0, 616(ra)<br>  |
| 156|[0x8000427c]<br>0xAAAAAAAF|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                                                  |[0x80000b8e]:c.or a0, a1<br> [0x80000b90]:sw a0, 620(ra)<br>  |
| 157|[0x80004280]<br>0xBBBBBBBB|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                                          |[0x80000ba4]:c.or a0, a1<br> [0x80000ba6]:sw a0, 624(ra)<br>  |
| 158|[0x80004284]<br>0xEEEEEEEE|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                                         |[0x80000bba]:c.or a0, a1<br> [0x80000bbc]:sw a0, 628(ra)<br>  |
| 159|[0x80004288]<br>0xFFFFEAFE|- rs1_val==-1431655766 and rs2_val==-46340<br>                                                                                                                             |[0x80000bd0]:c.or a0, a1<br> [0x80000bd2]:sw a0, 632(ra)<br>  |
| 160|[0x8000428c]<br>0xAAAABFAE|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                                              |[0x80000be6]:c.or a0, a1<br> [0x80000be8]:sw a0, 636(ra)<br>  |
| 161|[0x80004290]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                                                  |[0x80000bf8]:c.or a0, a1<br> [0x80000bfa]:sw a0, 640(ra)<br>  |
| 162|[0x80004294]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                                         |[0x80000c0e]:c.or a0, a1<br> [0x80000c10]:sw a0, 644(ra)<br>  |
| 163|[0x80004298]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                                                  |[0x80000c20]:c.or a0, a1<br> [0x80000c22]:sw a0, 648(ra)<br>  |
| 164|[0x8000429c]<br>0xAAAAAAAE|- rs1_val==-1431655766 and rs2_val==4<br>                                                                                                                                  |[0x80000c32]:c.or a0, a1<br> [0x80000c34]:sw a0, 652(ra)<br>  |
| 165|[0x800042a0]<br>0xBBBBBBBA|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                                          |[0x80000c48]:c.or a0, a1<br> [0x80000c4a]:sw a0, 656(ra)<br>  |
| 166|[0x800042a4]<br>0xEEEEEEEF|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                                         |[0x80000c5e]:c.or a0, a1<br> [0x80000c60]:sw a0, 660(ra)<br>  |
| 167|[0x800042a8]<br>0xAAAABFAB|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                                              |[0x80000c74]:c.or a0, a1<br> [0x80000c76]:sw a0, 664(ra)<br>  |
| 168|[0x800042ac]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                                         |[0x80000c8a]:c.or a0, a1<br> [0x80000c8c]:sw a0, 668(ra)<br>  |
| 169|[0x800042b0]<br>0xAAAAAAAB|- rs1_val==-1431655766 and rs2_val==-1431655765<br>                                                                                                                        |[0x80000ca0]:c.or a0, a1<br> [0x80000ca2]:sw a0, 672(ra)<br>  |
| 170|[0x800042b4]<br>0xAAAAAAAE|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                                                  |[0x80000cb2]:c.or a0, a1<br> [0x80000cb4]:sw a0, 676(ra)<br>  |
| 171|[0x800042b8]<br>0xBBBBBBBE|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                                          |[0x80000cc8]:c.or a0, a1<br> [0x80000cca]:sw a0, 680(ra)<br>  |
| 172|[0x800042bc]<br>0xEEEEEEEF|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                                         |[0x80000cde]:c.or a0, a1<br> [0x80000ce0]:sw a0, 684(ra)<br>  |
| 173|[0x800042c0]<br>0xFFFFEAFF|- rs1_val==-1431655766 and rs2_val==-46339<br>                                                                                                                             |[0x80000cf4]:c.or a0, a1<br> [0x80000cf6]:sw a0, 688(ra)<br>  |
| 174|[0x800042c4]<br>0xAAAABFAF|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                                              |[0x80000d0a]:c.or a0, a1<br> [0x80000d0c]:sw a0, 692(ra)<br>  |
| 175|[0x800042c8]<br>0x00000007|- rs1_val==5 and rs2_val==3<br>                                                                                                                                            |[0x80000d18]:c.or a0, a1<br> [0x80000d1a]:sw a0, 696(ra)<br>  |
| 176|[0x800042cc]<br>0xAAAAAAAF|- rs1_val==5 and rs2_val==-1431655766<br>                                                                                                                                  |[0x80000d2a]:c.or a0, a1<br> [0x80000d2c]:sw a0, 700(ra)<br>  |
| 177|[0x800042d0]<br>0x00000005|- rs1_val==5 and rs2_val==5<br>                                                                                                                                            |[0x80000d38]:c.or a0, a1<br> [0x80000d3a]:sw a0, 704(ra)<br>  |
| 178|[0x800042d4]<br>0x33333337|- rs1_val==5 and rs2_val==858993459<br>                                                                                                                                    |[0x80000d4a]:c.or a0, a1<br> [0x80000d4c]:sw a0, 708(ra)<br>  |
| 179|[0x800042d8]<br>0x66666667|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                                                   |[0x80000d5c]:c.or a0, a1<br> [0x80000d5e]:sw a0, 712(ra)<br>  |
| 180|[0x800042dc]<br>0xFFFF4AFD|- rs1_val==5 and rs2_val==-46340<br>                                                                                                                                       |[0x80000d6e]:c.or a0, a1<br> [0x80000d70]:sw a0, 716(ra)<br>  |
| 181|[0x800042e0]<br>0x0000B505|- rs1_val==5 and rs2_val==46340<br>                                                                                                                                        |[0x80000d80]:c.or a0, a1<br> [0x80000d82]:sw a0, 720(ra)<br>  |
| 182|[0x800042e4]<br>0x00000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                                            |[0x80000d8e]:c.or a0, a1<br> [0x80000d90]:sw a0, 724(ra)<br>  |
| 183|[0x800042e8]<br>0x55555555|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                                                   |[0x80000da0]:c.or a0, a1<br> [0x80000da2]:sw a0, 728(ra)<br>  |
| 184|[0x800042ec]<br>0x00000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                                            |[0x80000dae]:c.or a0, a1<br> [0x80000db0]:sw a0, 732(ra)<br>  |
| 185|[0x800042f0]<br>0x00000005|- rs1_val==5 and rs2_val==4<br>                                                                                                                                            |[0x80000dbc]:c.or a0, a1<br> [0x80000dbe]:sw a0, 736(ra)<br>  |
| 186|[0x800042f4]<br>0x33333337|- rs1_val==5 and rs2_val==858993458<br>                                                                                                                                    |[0x80000dce]:c.or a0, a1<br> [0x80000dd0]:sw a0, 740(ra)<br>  |
| 187|[0x800042f8]<br>0x66666665|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                                                   |[0x80000de0]:c.or a0, a1<br> [0x80000de2]:sw a0, 744(ra)<br>  |
| 188|[0x800042fc]<br>0x0000B507|- rs1_val==5 and rs2_val==46339<br>                                                                                                                                        |[0x80000df2]:c.or a0, a1<br> [0x80000df4]:sw a0, 748(ra)<br>  |
| 189|[0x80004300]<br>0x55555557|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                                                   |[0x80000e04]:c.or a0, a1<br> [0x80000e06]:sw a0, 752(ra)<br>  |
| 190|[0x80004304]<br>0xAAAAAAAF|- rs1_val==5 and rs2_val==-1431655765<br>                                                                                                                                  |[0x80000e16]:c.or a0, a1<br> [0x80000e18]:sw a0, 756(ra)<br>  |
| 191|[0x80004308]<br>0x00000007|- rs1_val==5 and rs2_val==6<br>                                                                                                                                            |[0x80000e24]:c.or a0, a1<br> [0x80000e26]:sw a0, 760(ra)<br>  |
| 192|[0x8000430c]<br>0x33333335|- rs1_val==5 and rs2_val==858993460<br>                                                                                                                                    |[0x80000e36]:c.or a0, a1<br> [0x80000e38]:sw a0, 764(ra)<br>  |
| 193|[0x80004310]<br>0x66666667|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                                                   |[0x80000e48]:c.or a0, a1<br> [0x80000e4a]:sw a0, 768(ra)<br>  |
| 194|[0x80004314]<br>0xFFFF4AFD|- rs1_val==5 and rs2_val==-46339<br>                                                                                                                                       |[0x80000e5a]:c.or a0, a1<br> [0x80000e5c]:sw a0, 772(ra)<br>  |
| 195|[0x80004318]<br>0x0000B505|- rs1_val==5 and rs2_val==46341<br>                                                                                                                                        |[0x80000e6c]:c.or a0, a1<br> [0x80000e6e]:sw a0, 776(ra)<br>  |
| 196|[0x8000431c]<br>0x33333333|- rs1_val==858993459 and rs2_val==3<br>                                                                                                                                    |[0x80000e7e]:c.or a0, a1<br> [0x80000e80]:sw a0, 780(ra)<br>  |
| 197|[0x80004320]<br>0x77777777|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                                           |[0x80000e94]:c.or a0, a1<br> [0x80000e96]:sw a0, 784(ra)<br>  |
| 198|[0x80004324]<br>0xBBBBBBBB|- rs1_val==858993459 and rs2_val==-1431655766<br>                                                                                                                          |[0x80000eaa]:c.or a0, a1<br> [0x80000eac]:sw a0, 788(ra)<br>  |
| 199|[0x80004328]<br>0x33333337|- rs1_val==858993459 and rs2_val==5<br>                                                                                                                                    |[0x80000ebc]:c.or a0, a1<br> [0x80000ebe]:sw a0, 792(ra)<br>  |
| 200|[0x8000432c]<br>0x33333333|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                                            |[0x80000ed2]:c.or a0, a1<br> [0x80000ed4]:sw a0, 796(ra)<br>  |
| 201|[0x80004330]<br>0x77777777|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                                           |[0x80000ee8]:c.or a0, a1<br> [0x80000eea]:sw a0, 800(ra)<br>  |
| 202|[0x80004334]<br>0xFFFF7BFF|- rs1_val==858993459 and rs2_val==-46340<br>                                                                                                                               |[0x80000efe]:c.or a0, a1<br> [0x80000f00]:sw a0, 804(ra)<br>  |
| 203|[0x80004338]<br>0x3333B737|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                                                |[0x80000f14]:c.or a0, a1<br> [0x80000f16]:sw a0, 808(ra)<br>  |
| 204|[0x8000433c]<br>0x33333333|- rs1_val==858993459 and rs2_val==2<br>                                                                                                                                    |[0x80000f26]:c.or a0, a1<br> [0x80000f28]:sw a0, 812(ra)<br>  |
| 205|[0x80004340]<br>0x77777777|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                                           |[0x80000f3c]:c.or a0, a1<br> [0x80000f3e]:sw a0, 816(ra)<br>  |
| 206|[0x80004344]<br>0x33333333|- rs1_val==858993459 and rs2_val==0<br>                                                                                                                                    |[0x80000f4e]:c.or a0, a1<br> [0x80000f50]:sw a0, 820(ra)<br>  |
| 207|[0x80004348]<br>0x33333337|- rs1_val==858993459 and rs2_val==4<br>                                                                                                                                    |[0x80000f60]:c.or a0, a1<br> [0x80000f62]:sw a0, 824(ra)<br>  |
| 208|[0x8000434c]<br>0x33333333|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                                            |[0x80000f76]:c.or a0, a1<br> [0x80000f78]:sw a0, 828(ra)<br>  |
| 209|[0x80004350]<br>0x77777777|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                                           |[0x80000f8c]:c.or a0, a1<br> [0x80000f8e]:sw a0, 832(ra)<br>  |
| 210|[0x80004354]<br>0x3333B733|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                                                |[0x80000fa2]:c.or a0, a1<br> [0x80000fa4]:sw a0, 836(ra)<br>  |
| 211|[0x80004358]<br>0x77777777|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                                           |[0x80000fb8]:c.or a0, a1<br> [0x80000fba]:sw a0, 840(ra)<br>  |
| 212|[0x8000435c]<br>0xBBBBBBBB|- rs1_val==858993459 and rs2_val==-1431655765<br>                                                                                                                          |[0x80000fce]:c.or a0, a1<br> [0x80000fd0]:sw a0, 844(ra)<br>  |
| 213|[0x80004360]<br>0x33333337|- rs1_val==858993459 and rs2_val==6<br>                                                                                                                                    |[0x80000fe0]:c.or a0, a1<br> [0x80000fe2]:sw a0, 848(ra)<br>  |
| 214|[0x80004364]<br>0x33333337|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                                            |[0x80000ff6]:c.or a0, a1<br> [0x80000ff8]:sw a0, 852(ra)<br>  |
| 215|[0x80004368]<br>0x77777777|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                                           |[0x8000100c]:c.or a0, a1<br> [0x8000100e]:sw a0, 856(ra)<br>  |
| 216|[0x8000436c]<br>0xFFFF7BFF|- rs1_val==858993459 and rs2_val==-46339<br>                                                                                                                               |[0x80001022]:c.or a0, a1<br> [0x80001024]:sw a0, 860(ra)<br>  |
| 217|[0x80004370]<br>0x3333B737|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                                                |[0x80001038]:c.or a0, a1<br> [0x8000103a]:sw a0, 864(ra)<br>  |
| 218|[0x80004374]<br>0x66666667|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                                                   |[0x8000104a]:c.or a0, a1<br> [0x8000104c]:sw a0, 868(ra)<br>  |
| 219|[0x80004378]<br>0x77777777|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                                          |[0x80001060]:c.or a0, a1<br> [0x80001062]:sw a0, 872(ra)<br>  |
| 220|[0x8000437c]<br>0xEEEEEEEE|- rs1_val==1717986918 and rs2_val==-1431655766<br>                                                                                                                         |[0x80001076]:c.or a0, a1<br> [0x80001078]:sw a0, 876(ra)<br>  |
| 221|[0x80004380]<br>0x66666667|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                                                   |[0x80001088]:c.or a0, a1<br> [0x8000108a]:sw a0, 880(ra)<br>  |
| 222|[0x80004384]<br>0x77777777|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                                           |[0x8000109e]:c.or a0, a1<br> [0x800010a0]:sw a0, 884(ra)<br>  |
| 223|[0x80004388]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                                          |[0x800010b4]:c.or a0, a1<br> [0x800010b6]:sw a0, 888(ra)<br>  |
| 224|[0x8000438c]<br>0xFFFF6EFE|- rs1_val==1717986918 and rs2_val==-46340<br>                                                                                                                              |[0x800010ca]:c.or a0, a1<br> [0x800010cc]:sw a0, 892(ra)<br>  |
| 225|[0x80004390]<br>0x6666F766|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                                               |[0x800010e0]:c.or a0, a1<br> [0x800010e2]:sw a0, 896(ra)<br>  |
| 226|[0x80004394]<br>0x66666666|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                                                   |[0x800010f2]:c.or a0, a1<br> [0x800010f4]:sw a0, 900(ra)<br>  |
| 227|[0x80004398]<br>0x77777776|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                                          |[0x80001108]:c.or a0, a1<br> [0x8000110a]:sw a0, 904(ra)<br>  |
| 228|[0x8000439c]<br>0x66666666|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                                                   |[0x8000111a]:c.or a0, a1<br> [0x8000111c]:sw a0, 908(ra)<br>  |
| 229|[0x800043a0]<br>0x66666666|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                                                   |[0x8000112c]:c.or a0, a1<br> [0x8000112e]:sw a0, 912(ra)<br>  |
| 230|[0x800043a4]<br>0x77777776|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                                           |[0x80001142]:c.or a0, a1<br> [0x80001144]:sw a0, 916(ra)<br>  |
| 231|[0x800043a8]<br>0x66666667|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                                          |[0x80001158]:c.or a0, a1<br> [0x8000115a]:sw a0, 920(ra)<br>  |
| 232|[0x800043ac]<br>0x6666F767|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                                               |[0x8000116e]:c.or a0, a1<br> [0x80001170]:sw a0, 924(ra)<br>  |
| 233|[0x800043b0]<br>0x77777776|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                                          |[0x80001184]:c.or a0, a1<br> [0x80001186]:sw a0, 928(ra)<br>  |
| 234|[0x800043b4]<br>0xEEEEEEEF|- rs1_val==1717986918 and rs2_val==-1431655765<br>                                                                                                                         |[0x8000119a]:c.or a0, a1<br> [0x8000119c]:sw a0, 932(ra)<br>  |
| 235|[0x800043b8]<br>0x66666666|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                                                   |[0x800011ac]:c.or a0, a1<br> [0x800011ae]:sw a0, 936(ra)<br>  |
| 236|[0x800043bc]<br>0x77777776|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                                           |[0x800011c2]:c.or a0, a1<br> [0x800011c4]:sw a0, 940(ra)<br>  |
| 237|[0x800043c0]<br>0x66666667|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                                          |[0x800011d8]:c.or a0, a1<br> [0x800011da]:sw a0, 944(ra)<br>  |
| 238|[0x800043c4]<br>0xFFFF6EFF|- rs1_val==1717986918 and rs2_val==-46339<br>                                                                                                                              |[0x800011ee]:c.or a0, a1<br> [0x800011f0]:sw a0, 948(ra)<br>  |
| 239|[0x800043c8]<br>0x6666F767|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                                               |[0x80001204]:c.or a0, a1<br> [0x80001206]:sw a0, 952(ra)<br>  |
| 240|[0x800043cc]<br>0xFFFF4AFF|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                                       |[0x80001216]:c.or a0, a1<br> [0x80001218]:sw a0, 956(ra)<br>  |
| 241|[0x800043d0]<br>0xFFFF5FFD|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                                              |[0x8000122c]:c.or a0, a1<br> [0x8000122e]:sw a0, 960(ra)<br>  |
| 242|[0x800043d4]<br>0xFFFFEAFE|- rs1_val==-46340 and rs2_val==-1431655766<br>                                                                                                                             |[0x80001242]:c.or a0, a1<br> [0x80001244]:sw a0, 964(ra)<br>  |
| 243|[0x800043d8]<br>0xFFFF4AFD|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                                       |[0x80001254]:c.or a0, a1<br> [0x80001256]:sw a0, 968(ra)<br>  |
| 244|[0x800043dc]<br>0xFFFF7BFF|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                                               |[0x8000126a]:c.or a0, a1<br> [0x8000126c]:sw a0, 972(ra)<br>  |
| 245|[0x800043e0]<br>0xFFFF6EFE|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                                              |[0x80001280]:c.or a0, a1<br> [0x80001282]:sw a0, 976(ra)<br>  |
| 246|[0x800043e4]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==-46340<br>                                                                                                                                  |[0x80001296]:c.or a0, a1<br> [0x80001298]:sw a0, 980(ra)<br>  |
| 247|[0x800043e8]<br>0xFFFFFFFC|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                                                   |[0x800012ac]:c.or a0, a1<br> [0x800012ae]:sw a0, 984(ra)<br>  |
| 248|[0x800043ec]<br>0xFFFF4AFE|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                                       |[0x800012be]:c.or a0, a1<br> [0x800012c0]:sw a0, 988(ra)<br>  |
| 249|[0x800043f0]<br>0xFFFF5FFC|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                                              |[0x800012d4]:c.or a0, a1<br> [0x800012d6]:sw a0, 992(ra)<br>  |
| 250|[0x800043f4]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                                       |[0x800012e6]:c.or a0, a1<br> [0x800012e8]:sw a0, 996(ra)<br>  |
| 251|[0x800043f8]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                                       |[0x800012f8]:c.or a0, a1<br> [0x800012fa]:sw a0, 1000(ra)<br> |
| 252|[0x800043fc]<br>0xFFFF7BFE|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                                               |[0x8000130e]:c.or a0, a1<br> [0x80001310]:sw a0, 1004(ra)<br> |
| 253|[0x80004400]<br>0xFFFF6EFD|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                                              |[0x80001324]:c.or a0, a1<br> [0x80001326]:sw a0, 1008(ra)<br> |
| 254|[0x80004404]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                                                   |[0x8000133a]:c.or a0, a1<br> [0x8000133c]:sw a0, 1012(ra)<br> |
| 255|[0x80004408]<br>0xFFFF5FFE|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                                              |[0x80001350]:c.or a0, a1<br> [0x80001352]:sw a0, 1016(ra)<br> |
| 256|[0x8000440c]<br>0xFFFFEAFF|- rs1_val==-46340 and rs2_val==-1431655765<br>                                                                                                                             |[0x80001366]:c.or a0, a1<br> [0x80001368]:sw a0, 1020(ra)<br> |
| 257|[0x80004410]<br>0xFFFF4AFE|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                                       |[0x80001378]:c.or a0, a1<br> [0x8000137a]:sw a0, 1024(ra)<br> |
| 258|[0x80004414]<br>0xFFFF7BFC|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                                               |[0x8000138e]:c.or a0, a1<br> [0x80001390]:sw a0, 1028(ra)<br> |
| 259|[0x80004418]<br>0xFFFF6EFF|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                                              |[0x800013a4]:c.or a0, a1<br> [0x800013a6]:sw a0, 1032(ra)<br> |
| 260|[0x8000441c]<br>0xFFFF4AFD|- rs1_val==-46340 and rs2_val==-46339<br>                                                                                                                                  |[0x800013ba]:c.or a0, a1<br> [0x800013bc]:sw a0, 1036(ra)<br> |
| 261|[0x80004420]<br>0xFFFFFFFD|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                                                   |[0x800013d0]:c.or a0, a1<br> [0x800013d2]:sw a0, 1040(ra)<br> |
| 262|[0x80004424]<br>0x0000B507|- rs1_val==46340 and rs2_val==3<br>                                                                                                                                        |[0x800013e2]:c.or a0, a1<br> [0x800013e4]:sw a0, 1044(ra)<br> |
| 263|[0x80004428]<br>0x5555F555|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                                               |[0x800013f8]:c.or a0, a1<br> [0x800013fa]:sw a0, 1048(ra)<br> |
| 264|[0x8000442c]<br>0xAAAABFAE|- rs1_val==46340 and rs2_val==-1431655766<br>                                                                                                                              |[0x8000140e]:c.or a0, a1<br> [0x80001410]:sw a0, 1052(ra)<br> |
| 265|[0x80004430]<br>0x0000B505|- rs1_val==46340 and rs2_val==5<br>                                                                                                                                        |[0x80001420]:c.or a0, a1<br> [0x80001422]:sw a0, 1056(ra)<br> |
| 266|[0x80004434]<br>0x3333B737|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                                                |[0x80001436]:c.or a0, a1<br> [0x80001438]:sw a0, 1060(ra)<br> |
| 267|[0x80004438]<br>0x6666F766|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                                               |[0x8000144c]:c.or a0, a1<br> [0x8000144e]:sw a0, 1064(ra)<br> |
| 268|[0x8000443c]<br>0xFFFFFFFC|- rs1_val==46340 and rs2_val==-46340<br>                                                                                                                                   |[0x80001462]:c.or a0, a1<br> [0x80001464]:sw a0, 1068(ra)<br> |
| 269|[0x80004440]<br>0x0000B504|- rs1_val==46340 and rs2_val==46340<br>                                                                                                                                    |[0x80001478]:c.or a0, a1<br> [0x8000147a]:sw a0, 1072(ra)<br> |
| 270|[0x80004444]<br>0x0000B506|- rs1_val==46340 and rs2_val==2<br>                                                                                                                                        |[0x8000148a]:c.or a0, a1<br> [0x8000148c]:sw a0, 1076(ra)<br> |
| 271|[0x80004448]<br>0x5555F554|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                                               |[0x800014a0]:c.or a0, a1<br> [0x800014a2]:sw a0, 1080(ra)<br> |
| 272|[0x8000444c]<br>0x0000B504|- rs1_val==46340 and rs2_val==0<br>                                                                                                                                        |[0x800014b2]:c.or a0, a1<br> [0x800014b4]:sw a0, 1084(ra)<br> |
| 273|[0x80004450]<br>0x0000B504|- rs1_val==46340 and rs2_val==4<br>                                                                                                                                        |[0x800014c4]:c.or a0, a1<br> [0x800014c6]:sw a0, 1088(ra)<br> |
| 274|[0x80004454]<br>0x3333B736|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                                                |[0x800014da]:c.or a0, a1<br> [0x800014dc]:sw a0, 1092(ra)<br> |
| 275|[0x80004458]<br>0x6666F765|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                                               |[0x800014f0]:c.or a0, a1<br> [0x800014f2]:sw a0, 1096(ra)<br> |
| 276|[0x8000445c]<br>0x0000B507|- rs1_val==46340 and rs2_val==46339<br>                                                                                                                                    |[0x80001506]:c.or a0, a1<br> [0x80001508]:sw a0, 1100(ra)<br> |
| 277|[0x80004460]<br>0x5555F556|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                                               |[0x8000151c]:c.or a0, a1<br> [0x8000151e]:sw a0, 1104(ra)<br> |
| 278|[0x80004464]<br>0xAAAABFAF|- rs1_val==46340 and rs2_val==-1431655765<br>                                                                                                                              |[0x80001532]:c.or a0, a1<br> [0x80001534]:sw a0, 1108(ra)<br> |
| 279|[0x80004468]<br>0x0000B506|- rs1_val==46340 and rs2_val==6<br>                                                                                                                                        |[0x80001544]:c.or a0, a1<br> [0x80001546]:sw a0, 1112(ra)<br> |
| 280|[0x8000446c]<br>0x3333B734|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                                                |[0x8000155a]:c.or a0, a1<br> [0x8000155c]:sw a0, 1116(ra)<br> |
| 281|[0x80004470]<br>0x6666F767|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                                               |[0x80001570]:c.or a0, a1<br> [0x80001572]:sw a0, 1120(ra)<br> |
| 282|[0x80004474]<br>0xFFFFFFFD|- rs1_val==46340 and rs2_val==-46339<br>                                                                                                                                   |[0x80001586]:c.or a0, a1<br> [0x80001588]:sw a0, 1124(ra)<br> |
| 283|[0x80004478]<br>0x0000B505|- rs1_val==46340 and rs2_val==46341<br>                                                                                                                                    |[0x8000159c]:c.or a0, a1<br> [0x8000159e]:sw a0, 1128(ra)<br> |
| 284|[0x8000447c]<br>0x00000003|- rs1_val==2 and rs2_val==3<br>                                                                                                                                            |[0x800015aa]:c.or a0, a1<br> [0x800015ac]:sw a0, 1132(ra)<br> |
| 285|[0x80004480]<br>0x55555557|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                                                   |[0x800015bc]:c.or a0, a1<br> [0x800015be]:sw a0, 1136(ra)<br> |
| 286|[0x80004484]<br>0xAAAAAAAA|- rs1_val==2 and rs2_val==-1431655766<br>                                                                                                                                  |[0x800015ce]:c.or a0, a1<br> [0x800015d0]:sw a0, 1140(ra)<br> |
| 287|[0x80004488]<br>0x00000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                                            |[0x800015dc]:c.or a0, a1<br> [0x800015de]:sw a0, 1144(ra)<br> |
| 288|[0x8000448c]<br>0x33333333|- rs1_val==2 and rs2_val==858993459<br>                                                                                                                                    |[0x800015ee]:c.or a0, a1<br> [0x800015f0]:sw a0, 1148(ra)<br> |
| 289|[0x80004490]<br>0x66666666|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                                                   |[0x80001600]:c.or a0, a1<br> [0x80001602]:sw a0, 1152(ra)<br> |
| 290|[0x80004494]<br>0xFFFF4AFE|- rs1_val==2 and rs2_val==-46340<br>                                                                                                                                       |[0x80001612]:c.or a0, a1<br> [0x80001614]:sw a0, 1156(ra)<br> |
| 291|[0x80004498]<br>0x0000B506|- rs1_val==2 and rs2_val==46340<br>                                                                                                                                        |[0x80001624]:c.or a0, a1<br> [0x80001626]:sw a0, 1160(ra)<br> |
| 292|[0x8000449c]<br>0x00000002|- rs1_val==2 and rs2_val==2<br>                                                                                                                                            |[0x80001632]:c.or a0, a1<br> [0x80001634]:sw a0, 1164(ra)<br> |
| 293|[0x800044a0]<br>0x55555556|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                                                   |[0x80001644]:c.or a0, a1<br> [0x80001646]:sw a0, 1168(ra)<br> |
| 294|[0x800044a4]<br>0x00000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                                            |[0x80001652]:c.or a0, a1<br> [0x80001654]:sw a0, 1172(ra)<br> |
| 295|[0x800044a8]<br>0x00000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                                            |[0x80001660]:c.or a0, a1<br> [0x80001662]:sw a0, 1176(ra)<br> |
| 296|[0x800044ac]<br>0x33333332|- rs1_val==2 and rs2_val==858993458<br>                                                                                                                                    |[0x80001672]:c.or a0, a1<br> [0x80001674]:sw a0, 1180(ra)<br> |
| 297|[0x800044b0]<br>0x66666667|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                                                   |[0x80001684]:c.or a0, a1<br> [0x80001686]:sw a0, 1184(ra)<br> |
| 298|[0x800044b4]<br>0x0000B503|- rs1_val==2 and rs2_val==46339<br>                                                                                                                                        |[0x80001696]:c.or a0, a1<br> [0x80001698]:sw a0, 1188(ra)<br> |
| 299|[0x800044b8]<br>0x55555556|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                                                   |[0x800016a8]:c.or a0, a1<br> [0x800016aa]:sw a0, 1192(ra)<br> |
| 300|[0x800044bc]<br>0xAAAAAAAB|- rs1_val==2 and rs2_val==-1431655765<br>                                                                                                                                  |[0x800016ba]:c.or a0, a1<br> [0x800016bc]:sw a0, 1196(ra)<br> |
| 301|[0x800044c0]<br>0x00000006|- rs1_val==2 and rs2_val==6<br>                                                                                                                                            |[0x800016c8]:c.or a0, a1<br> [0x800016ca]:sw a0, 1200(ra)<br> |
| 302|[0x800044c4]<br>0x33333336|- rs1_val==2 and rs2_val==858993460<br>                                                                                                                                    |[0x800016da]:c.or a0, a1<br> [0x800016dc]:sw a0, 1204(ra)<br> |
| 303|[0x800044c8]<br>0x66666667|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                                                   |[0x800016ec]:c.or a0, a1<br> [0x800016ee]:sw a0, 1208(ra)<br> |
| 304|[0x800044cc]<br>0xFFFF4AFF|- rs1_val==2 and rs2_val==-46339<br>                                                                                                                                       |[0x800016fe]:c.or a0, a1<br> [0x80001700]:sw a0, 1212(ra)<br> |
| 305|[0x800044d0]<br>0x0000B507|- rs1_val==2 and rs2_val==46341<br>                                                                                                                                        |[0x80001710]:c.or a0, a1<br> [0x80001712]:sw a0, 1216(ra)<br> |
| 306|[0x800044d4]<br>0x55555557|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                                                   |[0x80001722]:c.or a0, a1<br> [0x80001724]:sw a0, 1220(ra)<br> |
| 307|[0x800044d8]<br>0x55555555|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                                          |[0x80001738]:c.or a0, a1<br> [0x8000173a]:sw a0, 1224(ra)<br> |
| 308|[0x800044dc]<br>0xFFFFFFFE|- rs1_val==1431655764 and rs2_val==-1431655766<br>                                                                                                                         |[0x8000174e]:c.or a0, a1<br> [0x80001750]:sw a0, 1228(ra)<br> |
| 309|[0x800044e0]<br>0x55555555|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                                                   |[0x80001760]:c.or a0, a1<br> [0x80001762]:sw a0, 1232(ra)<br> |
| 310|[0x800044e4]<br>0x77777777|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                                           |[0x80001776]:c.or a0, a1<br> [0x80001778]:sw a0, 1236(ra)<br> |
| 311|[0x800044e8]<br>0x77777776|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                                          |[0x8000178c]:c.or a0, a1<br> [0x8000178e]:sw a0, 1240(ra)<br> |
| 312|[0x800044ec]<br>0xFFFF5FFC|- rs1_val==1431655764 and rs2_val==-46340<br>                                                                                                                              |[0x800017a2]:c.or a0, a1<br> [0x800017a4]:sw a0, 1244(ra)<br> |
| 313|[0x800044f0]<br>0x5555F554|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                                               |[0x800017b8]:c.or a0, a1<br> [0x800017ba]:sw a0, 1248(ra)<br> |
| 314|[0x800044f4]<br>0x55555556|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                                                   |[0x800017ca]:c.or a0, a1<br> [0x800017cc]:sw a0, 1252(ra)<br> |
| 315|[0x800044f8]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                                          |[0x800017e0]:c.or a0, a1<br> [0x800017e2]:sw a0, 1256(ra)<br> |
| 316|[0x800044fc]<br>0x55555554|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                                                   |[0x800017f2]:c.or a0, a1<br> [0x800017f4]:sw a0, 1260(ra)<br> |
| 317|[0x80004500]<br>0x55555554|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                                                   |[0x80001804]:c.or a0, a1<br> [0x80001806]:sw a0, 1264(ra)<br> |
| 318|[0x80004504]<br>0x77777776|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                                           |[0x8000181a]:c.or a0, a1<br> [0x8000181c]:sw a0, 1268(ra)<br> |
| 319|[0x80004508]<br>0x77777775|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                                          |[0x80001830]:c.or a0, a1<br> [0x80001832]:sw a0, 1272(ra)<br> |
| 320|[0x8000450c]<br>0x5555F557|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                                               |[0x80001846]:c.or a0, a1<br> [0x80001848]:sw a0, 1276(ra)<br> |
| 321|[0x80004510]<br>0x55555556|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                                          |[0x8000185c]:c.or a0, a1<br> [0x8000185e]:sw a0, 1280(ra)<br> |
| 322|[0x80004514]<br>0xFFFFFFFF|- rs1_val==1431655764 and rs2_val==-1431655765<br>                                                                                                                         |[0x80001872]:c.or a0, a1<br> [0x80001874]:sw a0, 1284(ra)<br> |
| 323|[0x80004518]<br>0x55555556|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                                                   |[0x80001884]:c.or a0, a1<br> [0x80001886]:sw a0, 1288(ra)<br> |
| 324|[0x8000451c]<br>0x77777774|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                                           |[0x8000189a]:c.or a0, a1<br> [0x8000189c]:sw a0, 1292(ra)<br> |
| 325|[0x80004520]<br>0x77777777|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                                          |[0x800018b0]:c.or a0, a1<br> [0x800018b2]:sw a0, 1296(ra)<br> |
| 326|[0x80004524]<br>0xFFFF5FFD|- rs1_val==1431655764 and rs2_val==-46339<br>                                                                                                                              |[0x800018c6]:c.or a0, a1<br> [0x800018c8]:sw a0, 1300(ra)<br> |
| 327|[0x80004528]<br>0x5555F555|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                                               |[0x800018dc]:c.or a0, a1<br> [0x800018de]:sw a0, 1304(ra)<br> |
| 328|[0x8000452c]<br>0x00000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                                            |[0x800018ea]:c.or a0, a1<br> [0x800018ec]:sw a0, 1308(ra)<br> |
| 329|[0x80004530]<br>0x55555555|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                                                   |[0x800018fc]:c.or a0, a1<br> [0x800018fe]:sw a0, 1312(ra)<br> |
| 330|[0x80004534]<br>0xAAAAAAAA|- rs1_val==0 and rs2_val==-1431655766<br>                                                                                                                                  |[0x8000190e]:c.or a0, a1<br> [0x80001910]:sw a0, 1316(ra)<br> |
| 331|[0x80004538]<br>0x00000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                                            |[0x8000191c]:c.or a0, a1<br> [0x8000191e]:sw a0, 1320(ra)<br> |
| 332|[0x8000453c]<br>0x33333333|- rs1_val==0 and rs2_val==858993459<br>                                                                                                                                    |[0x8000192e]:c.or a0, a1<br> [0x80001930]:sw a0, 1324(ra)<br> |
| 333|[0x80004540]<br>0x66666666|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                                                   |[0x80001940]:c.or a0, a1<br> [0x80001942]:sw a0, 1328(ra)<br> |
| 334|[0x80004544]<br>0xFFFF4AFC|- rs1_val==0 and rs2_val==-46340<br>                                                                                                                                       |[0x80001952]:c.or a0, a1<br> [0x80001954]:sw a0, 1332(ra)<br> |
| 335|[0x80004548]<br>0x0000B504|- rs1_val==0 and rs2_val==46340<br>                                                                                                                                        |[0x80001964]:c.or a0, a1<br> [0x80001966]:sw a0, 1336(ra)<br> |
| 336|[0x8000454c]<br>0xFFFFEAFF|- rs1_val==-1431655765 and rs2_val==-46339<br>                                                                                                                             |[0x8000197a]:c.or a0, a1<br> [0x8000197c]:sw a0, 1340(ra)<br> |
| 337|[0x80004550]<br>0xAAAABFAF|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                                              |[0x80001990]:c.or a0, a1<br> [0x80001992]:sw a0, 1344(ra)<br> |
| 338|[0x80004554]<br>0x00000007|- rs1_val==6 and rs2_val==3<br>                                                                                                                                            |[0x8000199e]:c.or a0, a1<br> [0x800019a0]:sw a0, 1348(ra)<br> |
| 339|[0x80004558]<br>0x55555557|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                                                   |[0x800019b0]:c.or a0, a1<br> [0x800019b2]:sw a0, 1352(ra)<br> |
| 340|[0x8000455c]<br>0xAAAAAAAE|- rs1_val==6 and rs2_val==-1431655766<br>                                                                                                                                  |[0x800019c2]:c.or a0, a1<br> [0x800019c4]:sw a0, 1356(ra)<br> |
| 341|[0x80004560]<br>0x00000007|- rs1_val==6 and rs2_val==5<br>                                                                                                                                            |[0x800019d0]:c.or a0, a1<br> [0x800019d2]:sw a0, 1360(ra)<br> |
| 342|[0x80004564]<br>0x33333337|- rs1_val==6 and rs2_val==858993459<br>                                                                                                                                    |[0x800019e2]:c.or a0, a1<br> [0x800019e4]:sw a0, 1364(ra)<br> |
| 343|[0x80004568]<br>0x66666666|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                                                   |[0x800019f4]:c.or a0, a1<br> [0x800019f6]:sw a0, 1368(ra)<br> |
| 344|[0x8000456c]<br>0xFFFF4AFE|- rs1_val==6 and rs2_val==-46340<br>                                                                                                                                       |[0x80001a06]:c.or a0, a1<br> [0x80001a08]:sw a0, 1372(ra)<br> |
| 345|[0x80004570]<br>0x0000B506|- rs1_val==6 and rs2_val==46340<br>                                                                                                                                        |[0x80001a18]:c.or a0, a1<br> [0x80001a1a]:sw a0, 1376(ra)<br> |
| 346|[0x80004574]<br>0x00000006|- rs1_val==6 and rs2_val==2<br>                                                                                                                                            |[0x80001a26]:c.or a0, a1<br> [0x80001a28]:sw a0, 1380(ra)<br> |
| 347|[0x80004578]<br>0x55555556|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                                                   |[0x80001a38]:c.or a0, a1<br> [0x80001a3a]:sw a0, 1384(ra)<br> |
| 348|[0x8000457c]<br>0x00000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                                            |[0x80001a46]:c.or a0, a1<br> [0x80001a48]:sw a0, 1388(ra)<br> |
| 349|[0x80004580]<br>0x00000006|- rs1_val==6 and rs2_val==4<br>                                                                                                                                            |[0x80001a54]:c.or a0, a1<br> [0x80001a56]:sw a0, 1392(ra)<br> |
| 350|[0x80004584]<br>0x33333336|- rs1_val==6 and rs2_val==858993458<br>                                                                                                                                    |[0x80001a66]:c.or a0, a1<br> [0x80001a68]:sw a0, 1396(ra)<br> |
| 351|[0x80004588]<br>0x66666667|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                                                   |[0x80001a78]:c.or a0, a1<br> [0x80001a7a]:sw a0, 1400(ra)<br> |
| 352|[0x8000458c]<br>0x0000B507|- rs1_val==6 and rs2_val==46339<br>                                                                                                                                        |[0x80001a8a]:c.or a0, a1<br> [0x80001a8c]:sw a0, 1404(ra)<br> |
| 353|[0x80004590]<br>0x55555556|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                                                   |[0x80001a9c]:c.or a0, a1<br> [0x80001a9e]:sw a0, 1408(ra)<br> |
| 354|[0x80004594]<br>0xAAAAAAAF|- rs1_val==6 and rs2_val==-1431655765<br>                                                                                                                                  |[0x80001aae]:c.or a0, a1<br> [0x80001ab0]:sw a0, 1412(ra)<br> |
| 355|[0x80004598]<br>0x00000006|- rs1_val==6 and rs2_val==6<br>                                                                                                                                            |[0x80001abc]:c.or a0, a1<br> [0x80001abe]:sw a0, 1416(ra)<br> |
| 356|[0x8000459c]<br>0x33333336|- rs1_val==6 and rs2_val==858993460<br>                                                                                                                                    |[0x80001ace]:c.or a0, a1<br> [0x80001ad0]:sw a0, 1420(ra)<br> |
| 357|[0x800045a0]<br>0x66666667|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                                                   |[0x80001ae0]:c.or a0, a1<br> [0x80001ae2]:sw a0, 1424(ra)<br> |
| 358|[0x800045a4]<br>0xFFFF4AFF|- rs1_val==6 and rs2_val==-46339<br>                                                                                                                                       |[0x80001af2]:c.or a0, a1<br> [0x80001af4]:sw a0, 1428(ra)<br> |
| 359|[0x800045a8]<br>0x0000B507|- rs1_val==6 and rs2_val==46341<br>                                                                                                                                        |[0x80001b04]:c.or a0, a1<br> [0x80001b06]:sw a0, 1432(ra)<br> |
| 360|[0x800045ac]<br>0x33333337|- rs1_val==858993460 and rs2_val==3<br>                                                                                                                                    |[0x80001b16]:c.or a0, a1<br> [0x80001b18]:sw a0, 1436(ra)<br> |
| 361|[0x800045b0]<br>0x77777775|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                                           |[0x80001b2c]:c.or a0, a1<br> [0x80001b2e]:sw a0, 1440(ra)<br> |
| 362|[0x800045b4]<br>0xBBBBBBBE|- rs1_val==858993460 and rs2_val==-1431655766<br>                                                                                                                          |[0x80001b42]:c.or a0, a1<br> [0x80001b44]:sw a0, 1444(ra)<br> |
| 363|[0x800045b8]<br>0x33333335|- rs1_val==858993460 and rs2_val==5<br>                                                                                                                                    |[0x80001b54]:c.or a0, a1<br> [0x80001b56]:sw a0, 1448(ra)<br> |
| 364|[0x800045bc]<br>0x33333337|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                                            |[0x80001b6a]:c.or a0, a1<br> [0x80001b6c]:sw a0, 1452(ra)<br> |
| 365|[0x800045c0]<br>0x77777776|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                                           |[0x80001b80]:c.or a0, a1<br> [0x80001b82]:sw a0, 1456(ra)<br> |
| 366|[0x800045c4]<br>0xFFFF7BFC|- rs1_val==858993460 and rs2_val==-46340<br>                                                                                                                               |[0x80001b96]:c.or a0, a1<br> [0x80001b98]:sw a0, 1460(ra)<br> |
| 367|[0x800045c8]<br>0x3333B734|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                                                |[0x80001bac]:c.or a0, a1<br> [0x80001bae]:sw a0, 1464(ra)<br> |
| 368|[0x800045cc]<br>0x33333336|- rs1_val==858993460 and rs2_val==2<br>                                                                                                                                    |[0x80001bbe]:c.or a0, a1<br> [0x80001bc0]:sw a0, 1468(ra)<br> |
| 369|[0x800045d0]<br>0x77777774|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                                           |[0x80001bd4]:c.or a0, a1<br> [0x80001bd6]:sw a0, 1472(ra)<br> |
| 370|[0x800045d4]<br>0x33333334|- rs1_val==858993460 and rs2_val==0<br>                                                                                                                                    |[0x80001be6]:c.or a0, a1<br> [0x80001be8]:sw a0, 1476(ra)<br> |
| 371|[0x800045d8]<br>0x33333334|- rs1_val==858993460 and rs2_val==4<br>                                                                                                                                    |[0x80001bf8]:c.or a0, a1<br> [0x80001bfa]:sw a0, 1480(ra)<br> |
| 372|[0x800045dc]<br>0x33333336|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                                            |[0x80001c0e]:c.or a0, a1<br> [0x80001c10]:sw a0, 1484(ra)<br> |
| 373|[0x800045e0]<br>0x77777775|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                                           |[0x80001c24]:c.or a0, a1<br> [0x80001c26]:sw a0, 1488(ra)<br> |
| 374|[0x800045e4]<br>0x3333B737|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                                                |[0x80001c3a]:c.or a0, a1<br> [0x80001c3c]:sw a0, 1492(ra)<br> |
| 375|[0x800045e8]<br>0x77777776|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                                           |[0x80001c50]:c.or a0, a1<br> [0x80001c52]:sw a0, 1496(ra)<br> |
| 376|[0x800045ec]<br>0xBBBBBBBF|- rs1_val==858993460 and rs2_val==-1431655765<br>                                                                                                                          |[0x80001c66]:c.or a0, a1<br> [0x80001c68]:sw a0, 1500(ra)<br> |
| 377|[0x800045f0]<br>0x33333336|- rs1_val==858993460 and rs2_val==6<br>                                                                                                                                    |[0x80001c78]:c.or a0, a1<br> [0x80001c7a]:sw a0, 1504(ra)<br> |
| 378|[0x800045f4]<br>0x33333334|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                                            |[0x80001c8e]:c.or a0, a1<br> [0x80001c90]:sw a0, 1508(ra)<br> |
| 379|[0x800045f8]<br>0x77777777|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                                           |[0x80001ca4]:c.or a0, a1<br> [0x80001ca6]:sw a0, 1512(ra)<br> |
| 380|[0x800045fc]<br>0xFFFF7BFD|- rs1_val==858993460 and rs2_val==-46339<br>                                                                                                                               |[0x80001cba]:c.or a0, a1<br> [0x80001cbc]:sw a0, 1516(ra)<br> |
| 381|[0x80004600]<br>0x3333B735|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                                                |[0x80001cd0]:c.or a0, a1<br> [0x80001cd2]:sw a0, 1520(ra)<br> |
| 382|[0x80004604]<br>0x66666667|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                                                   |[0x80001ce2]:c.or a0, a1<br> [0x80001ce4]:sw a0, 1524(ra)<br> |
| 383|[0x80004608]<br>0x77777777|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                                          |[0x80001cf8]:c.or a0, a1<br> [0x80001cfa]:sw a0, 1528(ra)<br> |
| 384|[0x8000460c]<br>0xEEEEEEEF|- rs1_val==1717986919 and rs2_val==-1431655766<br>                                                                                                                         |[0x80001d0e]:c.or a0, a1<br> [0x80001d10]:sw a0, 1532(ra)<br> |
| 385|[0x80004610]<br>0x66666667|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                                                   |[0x80001d20]:c.or a0, a1<br> [0x80001d22]:sw a0, 1536(ra)<br> |
| 386|[0x80004614]<br>0x77777777|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                                           |[0x80001d36]:c.or a0, a1<br> [0x80001d38]:sw a0, 1540(ra)<br> |
| 387|[0x80004618]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                                          |[0x80001d4c]:c.or a0, a1<br> [0x80001d4e]:sw a0, 1544(ra)<br> |
| 388|[0x8000461c]<br>0xFFFF6EFF|- rs1_val==1717986919 and rs2_val==-46340<br>                                                                                                                              |[0x80001d62]:c.or a0, a1<br> [0x80001d64]:sw a0, 1548(ra)<br> |
| 389|[0x80004620]<br>0x6666F767|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                                               |[0x80001d78]:c.or a0, a1<br> [0x80001d7a]:sw a0, 1552(ra)<br> |
| 390|[0x80004624]<br>0x66666667|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                                                   |[0x80001d8a]:c.or a0, a1<br> [0x80001d8c]:sw a0, 1556(ra)<br> |
| 391|[0x80004628]<br>0x77777777|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                                          |[0x80001da0]:c.or a0, a1<br> [0x80001da2]:sw a0, 1560(ra)<br> |
| 392|[0x8000462c]<br>0x66666667|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                                                   |[0x80001db2]:c.or a0, a1<br> [0x80001db4]:sw a0, 1564(ra)<br> |
| 393|[0x80004630]<br>0x66666667|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                                                   |[0x80001dc4]:c.or a0, a1<br> [0x80001dc6]:sw a0, 1568(ra)<br> |
| 394|[0x80004634]<br>0x77777777|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                                           |[0x80001dda]:c.or a0, a1<br> [0x80001ddc]:sw a0, 1572(ra)<br> |
| 395|[0x80004638]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                                          |[0x80001df0]:c.or a0, a1<br> [0x80001df2]:sw a0, 1576(ra)<br> |
| 396|[0x8000463c]<br>0x6666F767|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                                               |[0x80001e06]:c.or a0, a1<br> [0x80001e08]:sw a0, 1580(ra)<br> |
| 397|[0x80004640]<br>0x77777777|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                                          |[0x80001e1c]:c.or a0, a1<br> [0x80001e1e]:sw a0, 1584(ra)<br> |
| 398|[0x80004644]<br>0xEEEEEEEF|- rs1_val==1717986919 and rs2_val==-1431655765<br>                                                                                                                         |[0x80001e32]:c.or a0, a1<br> [0x80001e34]:sw a0, 1588(ra)<br> |
| 399|[0x80004648]<br>0x66666667|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                                                   |[0x80001e44]:c.or a0, a1<br> [0x80001e46]:sw a0, 1592(ra)<br> |
| 400|[0x8000464c]<br>0x77777777|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                                           |[0x80001e5a]:c.or a0, a1<br> [0x80001e5c]:sw a0, 1596(ra)<br> |
| 401|[0x80004650]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                                          |[0x80001e70]:c.or a0, a1<br> [0x80001e72]:sw a0, 1600(ra)<br> |
| 402|[0x80004654]<br>0xFFFF6EFF|- rs1_val==1717986919 and rs2_val==-46339<br>                                                                                                                              |[0x80001e86]:c.or a0, a1<br> [0x80001e88]:sw a0, 1604(ra)<br> |
| 403|[0x80004658]<br>0x6666F767|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                                               |[0x80001e9c]:c.or a0, a1<br> [0x80001e9e]:sw a0, 1608(ra)<br> |
| 404|[0x8000465c]<br>0xFFFF4AFF|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                                       |[0x80001eae]:c.or a0, a1<br> [0x80001eb0]:sw a0, 1612(ra)<br> |
| 405|[0x80004660]<br>0xFFFF5FFD|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                                              |[0x80001ec4]:c.or a0, a1<br> [0x80001ec6]:sw a0, 1616(ra)<br> |
| 406|[0x80004664]<br>0xFFFFEAFF|- rs1_val==-46339 and rs2_val==-1431655766<br>                                                                                                                             |[0x80001eda]:c.or a0, a1<br> [0x80001edc]:sw a0, 1620(ra)<br> |
| 407|[0x80004668]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                                       |[0x80001eec]:c.or a0, a1<br> [0x80001eee]:sw a0, 1624(ra)<br> |
| 408|[0x8000466c]<br>0xFFFF7BFF|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                                               |[0x80001f02]:c.or a0, a1<br> [0x80001f04]:sw a0, 1628(ra)<br> |
| 409|[0x80004670]<br>0xFFFF6EFF|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                                              |[0x80001f18]:c.or a0, a1<br> [0x80001f1a]:sw a0, 1632(ra)<br> |
| 410|[0x80004674]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==-46340<br>                                                                                                                                  |[0x80001f2e]:c.or a0, a1<br> [0x80001f30]:sw a0, 1636(ra)<br> |
| 411|[0x80004678]<br>0xFFFFFFFD|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                                                   |[0x80001f44]:c.or a0, a1<br> [0x80001f46]:sw a0, 1640(ra)<br> |
| 412|[0x8000467c]<br>0xFFFF4AFF|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                                       |[0x80001f56]:c.or a0, a1<br> [0x80001f58]:sw a0, 1644(ra)<br> |
| 413|[0x80004680]<br>0xFFFF5FFD|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                                              |[0x80001f6c]:c.or a0, a1<br> [0x80001f6e]:sw a0, 1648(ra)<br> |
| 414|[0x80004684]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                                       |[0x80001f7e]:c.or a0, a1<br> [0x80001f80]:sw a0, 1652(ra)<br> |
| 415|[0x80004688]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                                       |[0x80001f90]:c.or a0, a1<br> [0x80001f92]:sw a0, 1656(ra)<br> |
| 416|[0x8000468c]<br>0xFFFF7BFF|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                                               |[0x80001fa6]:c.or a0, a1<br> [0x80001fa8]:sw a0, 1660(ra)<br> |
| 417|[0x80004690]<br>0xFFFF6EFD|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                                              |[0x80001fbc]:c.or a0, a1<br> [0x80001fbe]:sw a0, 1664(ra)<br> |
| 418|[0x80004694]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                                                   |[0x80001fd2]:c.or a0, a1<br> [0x80001fd4]:sw a0, 1668(ra)<br> |
| 419|[0x80004698]<br>0xFFFF5FFF|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                                              |[0x80001fe8]:c.or a0, a1<br> [0x80001fea]:sw a0, 1672(ra)<br> |
| 420|[0x8000469c]<br>0xFFFFEAFF|- rs1_val==-46339 and rs2_val==-1431655765<br>                                                                                                                             |[0x80001ffe]:c.or a0, a1<br> [0x80002000]:sw a0, 1676(ra)<br> |
| 421|[0x800046a0]<br>0xFFFF4AFF|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                                       |[0x80002010]:c.or a0, a1<br> [0x80002012]:sw a0, 1680(ra)<br> |
| 422|[0x800046a4]<br>0xFFFF7BFD|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                                               |[0x80002026]:c.or a0, a1<br> [0x80002028]:sw a0, 1684(ra)<br> |
| 423|[0x800046a8]<br>0xFFFF6EFF|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                                              |[0x8000203c]:c.or a0, a1<br> [0x8000203e]:sw a0, 1688(ra)<br> |
| 424|[0x800046ac]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==-46339<br>                                                                                                                                  |[0x80002052]:c.or a0, a1<br> [0x80002054]:sw a0, 1692(ra)<br> |
| 425|[0x800046b0]<br>0xFFFFFFFD|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                                                   |[0x80002068]:c.or a0, a1<br> [0x8000206a]:sw a0, 1696(ra)<br> |
| 426|[0x800046b4]<br>0x0000B507|- rs1_val==46341 and rs2_val==3<br>                                                                                                                                        |[0x8000207a]:c.or a0, a1<br> [0x8000207c]:sw a0, 1700(ra)<br> |
| 427|[0x800046b8]<br>0x5555F555|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                                               |[0x80002090]:c.or a0, a1<br> [0x80002092]:sw a0, 1704(ra)<br> |
| 428|[0x800046bc]<br>0xAAAABFAF|- rs1_val==46341 and rs2_val==-1431655766<br>                                                                                                                              |[0x800020a6]:c.or a0, a1<br> [0x800020a8]:sw a0, 1708(ra)<br> |
| 429|[0x800046c0]<br>0x0000B505|- rs1_val==46341 and rs2_val==5<br>                                                                                                                                        |[0x800020b8]:c.or a0, a1<br> [0x800020ba]:sw a0, 1712(ra)<br> |
| 430|[0x800046c4]<br>0x3333B737|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                                                |[0x800020ce]:c.or a0, a1<br> [0x800020d0]:sw a0, 1716(ra)<br> |
| 431|[0x800046c8]<br>0x6666F767|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                                               |[0x800020e4]:c.or a0, a1<br> [0x800020e6]:sw a0, 1720(ra)<br> |
| 432|[0x800046cc]<br>0xFFFFFFFD|- rs1_val==46341 and rs2_val==-46340<br>                                                                                                                                   |[0x800020fa]:c.or a0, a1<br> [0x800020fc]:sw a0, 1724(ra)<br> |
| 433|[0x800046d0]<br>0x0000B505|- rs1_val==46341 and rs2_val==46340<br>                                                                                                                                    |[0x80002110]:c.or a0, a1<br> [0x80002112]:sw a0, 1728(ra)<br> |
| 434|[0x800046d4]<br>0x0000B507|- rs1_val==46341 and rs2_val==2<br>                                                                                                                                        |[0x80002122]:c.or a0, a1<br> [0x80002124]:sw a0, 1732(ra)<br> |
| 435|[0x800046d8]<br>0x5555F555|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                                               |[0x80002138]:c.or a0, a1<br> [0x8000213a]:sw a0, 1736(ra)<br> |
| 436|[0x800046dc]<br>0x0000B505|- rs1_val==46341 and rs2_val==0<br>                                                                                                                                        |[0x8000214a]:c.or a0, a1<br> [0x8000214c]:sw a0, 1740(ra)<br> |
| 437|[0x800046e0]<br>0x0000B505|- rs1_val==46341 and rs2_val==4<br>                                                                                                                                        |[0x8000215c]:c.or a0, a1<br> [0x8000215e]:sw a0, 1744(ra)<br> |
| 438|[0x800046e4]<br>0x3333B737|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                                                |[0x80002172]:c.or a0, a1<br> [0x80002174]:sw a0, 1748(ra)<br> |
| 439|[0x800046e8]<br>0x6666F765|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                                               |[0x80002188]:c.or a0, a1<br> [0x8000218a]:sw a0, 1752(ra)<br> |
| 440|[0x800046ec]<br>0x0000B507|- rs1_val==46341 and rs2_val==46339<br>                                                                                                                                    |[0x8000219e]:c.or a0, a1<br> [0x800021a0]:sw a0, 1756(ra)<br> |
| 441|[0x800046f0]<br>0x5555F557|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                                               |[0x800021b4]:c.or a0, a1<br> [0x800021b6]:sw a0, 1760(ra)<br> |
| 442|[0x800046f4]<br>0xAAAABFAF|- rs1_val==46341 and rs2_val==-1431655765<br>                                                                                                                              |[0x800021ca]:c.or a0, a1<br> [0x800021cc]:sw a0, 1764(ra)<br> |
| 443|[0x800046f8]<br>0x0000B507|- rs1_val==46341 and rs2_val==6<br>                                                                                                                                        |[0x800021dc]:c.or a0, a1<br> [0x800021de]:sw a0, 1768(ra)<br> |
| 444|[0x800046fc]<br>0x3333B735|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                                                |[0x800021f2]:c.or a0, a1<br> [0x800021f4]:sw a0, 1772(ra)<br> |
| 445|[0x80004700]<br>0x6666F767|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                                               |[0x80002208]:c.or a0, a1<br> [0x8000220a]:sw a0, 1776(ra)<br> |
| 446|[0x80004704]<br>0xFFFFFFFD|- rs1_val==46341 and rs2_val==-46339<br>                                                                                                                                   |[0x8000221e]:c.or a0, a1<br> [0x80002220]:sw a0, 1780(ra)<br> |
| 447|[0x80004708]<br>0x0000B505|- rs1_val==46341 and rs2_val==46341<br>                                                                                                                                    |[0x80002234]:c.or a0, a1<br> [0x80002236]:sw a0, 1784(ra)<br> |
| 448|[0x8000470c]<br>0x00000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                                            |[0x80002242]:c.or a0, a1<br> [0x80002244]:sw a0, 1788(ra)<br> |
| 449|[0x80004710]<br>0x55555554|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                                                   |[0x80002254]:c.or a0, a1<br> [0x80002256]:sw a0, 1792(ra)<br> |
| 450|[0x80004714]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                            |[0x80002262]:c.or a0, a1<br> [0x80002264]:sw a0, 1796(ra)<br> |
| 451|[0x80004718]<br>0x33333332|- rs1_val==0 and rs2_val==858993458<br>                                                                                                                                    |[0x80002274]:c.or a0, a1<br> [0x80002276]:sw a0, 1800(ra)<br> |
| 452|[0x8000471c]<br>0x66666665|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                                                   |[0x80002286]:c.or a0, a1<br> [0x80002288]:sw a0, 1804(ra)<br> |
| 453|[0x80004720]<br>0x0000B503|- rs1_val==0 and rs2_val==46339<br>                                                                                                                                        |[0x80002298]:c.or a0, a1<br> [0x8000229a]:sw a0, 1808(ra)<br> |
| 454|[0x80004724]<br>0x55555556|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                                                   |[0x800022aa]:c.or a0, a1<br> [0x800022ac]:sw a0, 1812(ra)<br> |
| 455|[0x80004728]<br>0xAAAAAAAB|- rs1_val==0 and rs2_val==-1431655765<br>                                                                                                                                  |[0x800022bc]:c.or a0, a1<br> [0x800022be]:sw a0, 1816(ra)<br> |
| 456|[0x8000472c]<br>0x00000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                                            |[0x800022ca]:c.or a0, a1<br> [0x800022cc]:sw a0, 1820(ra)<br> |
| 457|[0x80004730]<br>0x33333334|- rs1_val==0 and rs2_val==858993460<br>                                                                                                                                    |[0x800022dc]:c.or a0, a1<br> [0x800022de]:sw a0, 1824(ra)<br> |
| 458|[0x80004734]<br>0x66666667|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                                                   |[0x800022ee]:c.or a0, a1<br> [0x800022f0]:sw a0, 1828(ra)<br> |
| 459|[0x80004738]<br>0xFFFF4AFD|- rs1_val==0 and rs2_val==-46339<br>                                                                                                                                       |[0x80002300]:c.or a0, a1<br> [0x80002302]:sw a0, 1832(ra)<br> |
| 460|[0x8000473c]<br>0x0000B505|- rs1_val==0 and rs2_val==46341<br>                                                                                                                                        |[0x80002312]:c.or a0, a1<br> [0x80002314]:sw a0, 1836(ra)<br> |
| 461|[0x80004740]<br>0x00000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                                            |[0x80002320]:c.or a0, a1<br> [0x80002322]:sw a0, 1840(ra)<br> |
| 462|[0x80004744]<br>0x55555555|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                                                   |[0x80002332]:c.or a0, a1<br> [0x80002334]:sw a0, 1844(ra)<br> |
| 463|[0x80004748]<br>0xAAAAAAAE|- rs1_val==4 and rs2_val==-1431655766<br>                                                                                                                                  |[0x80002344]:c.or a0, a1<br> [0x80002346]:sw a0, 1848(ra)<br> |
| 464|[0x8000474c]<br>0x00000005|- rs1_val==4 and rs2_val==5<br>                                                                                                                                            |[0x80002352]:c.or a0, a1<br> [0x80002354]:sw a0, 1852(ra)<br> |
| 465|[0x80004750]<br>0x33333337|- rs1_val==4 and rs2_val==858993459<br>                                                                                                                                    |[0x80002364]:c.or a0, a1<br> [0x80002366]:sw a0, 1856(ra)<br> |
| 466|[0x80004754]<br>0x66666666|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                                                   |[0x80002376]:c.or a0, a1<br> [0x80002378]:sw a0, 1860(ra)<br> |
| 467|[0x80004758]<br>0xFFFF4AFC|- rs1_val==4 and rs2_val==-46340<br>                                                                                                                                       |[0x80002388]:c.or a0, a1<br> [0x8000238a]:sw a0, 1864(ra)<br> |
| 468|[0x8000475c]<br>0x0000B504|- rs1_val==4 and rs2_val==46340<br>                                                                                                                                        |[0x8000239a]:c.or a0, a1<br> [0x8000239c]:sw a0, 1868(ra)<br> |
| 469|[0x80004760]<br>0x00000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                                            |[0x800023a8]:c.or a0, a1<br> [0x800023aa]:sw a0, 1872(ra)<br> |
| 470|[0x80004764]<br>0x55555554|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                                                   |[0x800023ba]:c.or a0, a1<br> [0x800023bc]:sw a0, 1876(ra)<br> |
| 471|[0x80004768]<br>0x00000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                                            |[0x800023c8]:c.or a0, a1<br> [0x800023ca]:sw a0, 1880(ra)<br> |
| 472|[0x8000476c]<br>0x00000004|- rs1_val==4 and rs2_val==4<br>                                                                                                                                            |[0x800023d6]:c.or a0, a1<br> [0x800023d8]:sw a0, 1884(ra)<br> |
| 473|[0x80004770]<br>0x33333336|- rs1_val==4 and rs2_val==858993458<br>                                                                                                                                    |[0x800023e8]:c.or a0, a1<br> [0x800023ea]:sw a0, 1888(ra)<br> |
| 474|[0x80004774]<br>0x66666665|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                                                   |[0x800023fa]:c.or a0, a1<br> [0x800023fc]:sw a0, 1892(ra)<br> |
| 475|[0x80004778]<br>0x0000B507|- rs1_val==4 and rs2_val==46339<br>                                                                                                                                        |[0x8000240c]:c.or a0, a1<br> [0x8000240e]:sw a0, 1896(ra)<br> |
| 476|[0x8000477c]<br>0x55555556|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                                                   |[0x8000241e]:c.or a0, a1<br> [0x80002420]:sw a0, 1900(ra)<br> |
| 477|[0x80004780]<br>0xAAAAAAAF|- rs1_val==4 and rs2_val==-1431655765<br>                                                                                                                                  |[0x80002430]:c.or a0, a1<br> [0x80002432]:sw a0, 1904(ra)<br> |
| 478|[0x80004784]<br>0x00000006|- rs1_val==4 and rs2_val==6<br>                                                                                                                                            |[0x8000243e]:c.or a0, a1<br> [0x80002440]:sw a0, 1908(ra)<br> |
| 479|[0x80004788]<br>0x33333334|- rs1_val==4 and rs2_val==858993460<br>                                                                                                                                    |[0x80002450]:c.or a0, a1<br> [0x80002452]:sw a0, 1912(ra)<br> |
| 480|[0x8000478c]<br>0x66666667|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                                                   |[0x80002462]:c.or a0, a1<br> [0x80002464]:sw a0, 1916(ra)<br> |
| 481|[0x80004790]<br>0xFFFF4AFD|- rs1_val==4 and rs2_val==-46339<br>                                                                                                                                       |[0x80002474]:c.or a0, a1<br> [0x80002476]:sw a0, 1920(ra)<br> |
| 482|[0x80004794]<br>0x0000B505|- rs1_val==4 and rs2_val==46341<br>                                                                                                                                        |[0x80002486]:c.or a0, a1<br> [0x80002488]:sw a0, 1924(ra)<br> |
| 483|[0x80004798]<br>0x33333333|- rs1_val==858993458 and rs2_val==3<br>                                                                                                                                    |[0x80002498]:c.or a0, a1<br> [0x8000249a]:sw a0, 1928(ra)<br> |
| 484|[0x8000479c]<br>0x77777777|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                                           |[0x800024ae]:c.or a0, a1<br> [0x800024b0]:sw a0, 1932(ra)<br> |
| 485|[0x800047a0]<br>0xBBBBBBBA|- rs1_val==858993458 and rs2_val==-1431655766<br>                                                                                                                          |[0x800024c4]:c.or a0, a1<br> [0x800024c6]:sw a0, 1936(ra)<br> |
| 486|[0x800047a4]<br>0x33333337|- rs1_val==858993458 and rs2_val==5<br>                                                                                                                                    |[0x800024d6]:c.or a0, a1<br> [0x800024d8]:sw a0, 1940(ra)<br> |
| 487|[0x800047a8]<br>0x33333333|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                                            |[0x800024ec]:c.or a0, a1<br> [0x800024ee]:sw a0, 1944(ra)<br> |
| 488|[0x800047ac]<br>0x77777776|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                                           |[0x80002502]:c.or a0, a1<br> [0x80002504]:sw a0, 1948(ra)<br> |
| 489|[0x800047b0]<br>0xFFFF7BFE|- rs1_val==858993458 and rs2_val==-46340<br>                                                                                                                               |[0x80002518]:c.or a0, a1<br> [0x8000251a]:sw a0, 1952(ra)<br> |
| 490|[0x800047b4]<br>0x3333B736|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                                                |[0x8000252e]:c.or a0, a1<br> [0x80002530]:sw a0, 1956(ra)<br> |
| 491|[0x800047b8]<br>0x33333332|- rs1_val==858993458 and rs2_val==2<br>                                                                                                                                    |[0x80002540]:c.or a0, a1<br> [0x80002542]:sw a0, 1960(ra)<br> |
| 492|[0x800047bc]<br>0x77777776|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                                           |[0x80002556]:c.or a0, a1<br> [0x80002558]:sw a0, 1964(ra)<br> |
| 493|[0x800047c0]<br>0x33333332|- rs1_val==858993458 and rs2_val==0<br>                                                                                                                                    |[0x80002568]:c.or a0, a1<br> [0x8000256a]:sw a0, 1968(ra)<br> |
| 494|[0x800047c4]<br>0x33333336|- rs1_val==858993458 and rs2_val==4<br>                                                                                                                                    |[0x8000257a]:c.or a0, a1<br> [0x8000257c]:sw a0, 1972(ra)<br> |
| 495|[0x800047c8]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                                            |[0x80002590]:c.or a0, a1<br> [0x80002592]:sw a0, 1976(ra)<br> |
| 496|[0x800047cc]<br>0x77777777|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                                           |[0x800025a6]:c.or a0, a1<br> [0x800025a8]:sw a0, 1980(ra)<br> |
| 497|[0x800047d0]<br>0x3333B733|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                                                |[0x800025bc]:c.or a0, a1<br> [0x800025be]:sw a0, 1984(ra)<br> |
| 498|[0x800047d4]<br>0x77777776|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                                           |[0x800025d2]:c.or a0, a1<br> [0x800025d4]:sw a0, 1988(ra)<br> |
| 499|[0x800047d8]<br>0xBBBBBBBB|- rs1_val==858993458 and rs2_val==-1431655765<br>                                                                                                                          |[0x800025e8]:c.or a0, a1<br> [0x800025ea]:sw a0, 1992(ra)<br> |
| 500|[0x800047dc]<br>0x33333336|- rs1_val==858993458 and rs2_val==6<br>                                                                                                                                    |[0x800025fa]:c.or a0, a1<br> [0x800025fc]:sw a0, 1996(ra)<br> |
| 501|[0x800047e0]<br>0x33333336|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                                            |[0x80002610]:c.or a0, a1<br> [0x80002612]:sw a0, 2000(ra)<br> |
| 502|[0x800047e4]<br>0x77777777|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                                           |[0x80002626]:c.or a0, a1<br> [0x80002628]:sw a0, 2004(ra)<br> |
| 503|[0x800047e8]<br>0xFFFF7BFF|- rs1_val==858993458 and rs2_val==-46339<br>                                                                                                                               |[0x8000263c]:c.or a0, a1<br> [0x8000263e]:sw a0, 2008(ra)<br> |
| 504|[0x800047ec]<br>0x3333B737|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                                                |[0x80002652]:c.or a0, a1<br> [0x80002654]:sw a0, 2012(ra)<br> |
| 505|[0x800047f0]<br>0x66666667|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                                                   |[0x80002664]:c.or a0, a1<br> [0x80002666]:sw a0, 2016(ra)<br> |
| 506|[0x800047f4]<br>0x77777775|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                                          |[0x8000267a]:c.or a0, a1<br> [0x8000267c]:sw a0, 2020(ra)<br> |
| 507|[0x800047f8]<br>0xEEEEEEEF|- rs1_val==1717986917 and rs2_val==-1431655766<br>                                                                                                                         |[0x80002690]:c.or a0, a1<br> [0x80002692]:sw a0, 2024(ra)<br> |
| 508|[0x800047fc]<br>0x66666665|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                                                   |[0x800026a2]:c.or a0, a1<br> [0x800026a4]:sw a0, 2028(ra)<br> |
| 509|[0x80004800]<br>0x77777777|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                                           |[0x800026b8]:c.or a0, a1<br> [0x800026ba]:sw a0, 2032(ra)<br> |
| 510|[0x80004804]<br>0x66666667|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                                          |[0x800026ce]:c.or a0, a1<br> [0x800026d0]:sw a0, 2036(ra)<br> |
| 511|[0x80004808]<br>0xFFFF6EFD|- rs1_val==1717986917 and rs2_val==-46340<br>                                                                                                                              |[0x800026e4]:c.or a0, a1<br> [0x800026e6]:sw a0, 2040(ra)<br> |
| 512|[0x8000480c]<br>0x6666F765|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                                               |[0x800026fa]:c.or a0, a1<br> [0x800026fc]:sw a0, 2044(ra)<br> |
| 513|[0x80004810]<br>0x66666667|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                                                   |[0x80002714]:c.or a0, a1<br> [0x80002716]:sw a0, 0(ra)<br>    |
| 514|[0x80004814]<br>0x77777775|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                                          |[0x8000272a]:c.or a0, a1<br> [0x8000272c]:sw a0, 4(ra)<br>    |
| 515|[0x80004818]<br>0x66666665|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                                                   |[0x8000273c]:c.or a0, a1<br> [0x8000273e]:sw a0, 8(ra)<br>    |
| 516|[0x8000481c]<br>0x66666665|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                                                   |[0x8000274e]:c.or a0, a1<br> [0x80002750]:sw a0, 12(ra)<br>   |
| 517|[0x80004820]<br>0x77777777|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                                           |[0x80002764]:c.or a0, a1<br> [0x80002766]:sw a0, 16(ra)<br>   |
| 518|[0x80004824]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                                          |[0x8000277a]:c.or a0, a1<br> [0x8000277c]:sw a0, 20(ra)<br>   |
| 519|[0x80004828]<br>0x6666F767|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                                               |[0x80002790]:c.or a0, a1<br> [0x80002792]:sw a0, 24(ra)<br>   |
| 520|[0x8000482c]<br>0x77777777|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                                          |[0x800027a6]:c.or a0, a1<br> [0x800027a8]:sw a0, 28(ra)<br>   |
| 521|[0x80004830]<br>0xEEEEEEEF|- rs1_val==1717986917 and rs2_val==-1431655765<br>                                                                                                                         |[0x800027bc]:c.or a0, a1<br> [0x800027be]:sw a0, 32(ra)<br>   |
| 522|[0x80004834]<br>0x66666667|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                                                   |[0x800027ce]:c.or a0, a1<br> [0x800027d0]:sw a0, 36(ra)<br>   |
| 523|[0x80004838]<br>0x77777775|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                                           |[0x800027e4]:c.or a0, a1<br> [0x800027e6]:sw a0, 40(ra)<br>   |
| 524|[0x8000483c]<br>0x66666667|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                                          |[0x800027fa]:c.or a0, a1<br> [0x800027fc]:sw a0, 44(ra)<br>   |
| 525|[0x80004840]<br>0xFFFF6EFD|- rs1_val==1717986917 and rs2_val==-46339<br>                                                                                                                              |[0x80002810]:c.or a0, a1<br> [0x80002812]:sw a0, 48(ra)<br>   |
| 526|[0x80004844]<br>0x6666F765|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                                               |[0x80002826]:c.or a0, a1<br> [0x80002828]:sw a0, 52(ra)<br>   |
| 527|[0x80004848]<br>0x0000B503|- rs1_val==46339 and rs2_val==3<br>                                                                                                                                        |[0x80002838]:c.or a0, a1<br> [0x8000283a]:sw a0, 56(ra)<br>   |
| 528|[0x8000484c]<br>0x5555F557|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                                               |[0x8000284e]:c.or a0, a1<br> [0x80002850]:sw a0, 60(ra)<br>   |
| 529|[0x80004850]<br>0xAAAABFAB|- rs1_val==46339 and rs2_val==-1431655766<br>                                                                                                                              |[0x80002864]:c.or a0, a1<br> [0x80002866]:sw a0, 64(ra)<br>   |
| 530|[0x80004854]<br>0x0000B507|- rs1_val==46339 and rs2_val==5<br>                                                                                                                                        |[0x80002876]:c.or a0, a1<br> [0x80002878]:sw a0, 68(ra)<br>   |
| 531|[0x80004858]<br>0x3333B733|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                                                |[0x8000288c]:c.or a0, a1<br> [0x8000288e]:sw a0, 72(ra)<br>   |
| 532|[0x8000485c]<br>0x6666F767|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                                               |[0x800028a2]:c.or a0, a1<br> [0x800028a4]:sw a0, 76(ra)<br>   |
| 533|[0x80004860]<br>0xFFFFFFFF|- rs1_val==46339 and rs2_val==-46340<br>                                                                                                                                   |[0x800028b8]:c.or a0, a1<br> [0x800028ba]:sw a0, 80(ra)<br>   |
| 534|[0x80004864]<br>0x0000B507|- rs1_val==46339 and rs2_val==46340<br>                                                                                                                                    |[0x800028ce]:c.or a0, a1<br> [0x800028d0]:sw a0, 84(ra)<br>   |
| 535|[0x80004868]<br>0x0000B503|- rs1_val==46339 and rs2_val==2<br>                                                                                                                                        |[0x800028e0]:c.or a0, a1<br> [0x800028e2]:sw a0, 88(ra)<br>   |
| 536|[0x8000486c]<br>0x5555F557|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                                               |[0x800028f6]:c.or a0, a1<br> [0x800028f8]:sw a0, 92(ra)<br>   |
| 537|[0x80004870]<br>0x0000B503|- rs1_val==46339 and rs2_val==0<br>                                                                                                                                        |[0x80002908]:c.or a0, a1<br> [0x8000290a]:sw a0, 96(ra)<br>   |
| 538|[0x80004874]<br>0x0000B507|- rs1_val==46339 and rs2_val==4<br>                                                                                                                                        |[0x8000291a]:c.or a0, a1<br> [0x8000291c]:sw a0, 100(ra)<br>  |
| 539|[0x80004878]<br>0x3333B733|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                                                |[0x80002930]:c.or a0, a1<br> [0x80002932]:sw a0, 104(ra)<br>  |
| 540|[0x8000487c]<br>0x6666F767|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                                               |[0x80002946]:c.or a0, a1<br> [0x80002948]:sw a0, 108(ra)<br>  |
| 541|[0x80004880]<br>0x0000B503|- rs1_val==46339 and rs2_val==46339<br>                                                                                                                                    |[0x8000295c]:c.or a0, a1<br> [0x8000295e]:sw a0, 112(ra)<br>  |
| 542|[0x80004884]<br>0x5555F557|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                                               |[0x80002972]:c.or a0, a1<br> [0x80002974]:sw a0, 116(ra)<br>  |
| 543|[0x80004888]<br>0xAAAABFAB|- rs1_val==46339 and rs2_val==-1431655765<br>                                                                                                                              |[0x80002988]:c.or a0, a1<br> [0x8000298a]:sw a0, 120(ra)<br>  |
| 544|[0x8000488c]<br>0x0000B507|- rs1_val==46339 and rs2_val==6<br>                                                                                                                                        |[0x8000299a]:c.or a0, a1<br> [0x8000299c]:sw a0, 124(ra)<br>  |
| 545|[0x80004890]<br>0x3333B737|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                                                |[0x800029b0]:c.or a0, a1<br> [0x800029b2]:sw a0, 128(ra)<br>  |
| 546|[0x80004894]<br>0x6666F767|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                                               |[0x800029c6]:c.or a0, a1<br> [0x800029c8]:sw a0, 132(ra)<br>  |
| 547|[0x80004898]<br>0xFFFFFFFF|- rs1_val==46339 and rs2_val==-46339<br>                                                                                                                                   |[0x800029dc]:c.or a0, a1<br> [0x800029de]:sw a0, 136(ra)<br>  |
| 548|[0x8000489c]<br>0x0000B507|- rs1_val==46339 and rs2_val==46341<br>                                                                                                                                    |[0x800029f2]:c.or a0, a1<br> [0x800029f4]:sw a0, 140(ra)<br>  |
| 549|[0x800048a0]<br>0x55555557|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                                                   |[0x80002a04]:c.or a0, a1<br> [0x80002a06]:sw a0, 144(ra)<br>  |
| 550|[0x800048a4]<br>0x55555557|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                                          |[0x80002a1a]:c.or a0, a1<br> [0x80002a1c]:sw a0, 148(ra)<br>  |
| 551|[0x800048a8]<br>0xFFFFFFFE|- rs1_val==1431655766 and rs2_val==-1431655766<br>                                                                                                                         |[0x80002a30]:c.or a0, a1<br> [0x80002a32]:sw a0, 152(ra)<br>  |
| 552|[0x800048ac]<br>0x55555557|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                                                   |[0x80002a42]:c.or a0, a1<br> [0x80002a44]:sw a0, 156(ra)<br>  |
| 553|[0x800048b0]<br>0x77777777|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                                           |[0x80002a58]:c.or a0, a1<br> [0x80002a5a]:sw a0, 160(ra)<br>  |
| 554|[0x800048b4]<br>0x77777776|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                                          |[0x80002a6e]:c.or a0, a1<br> [0x80002a70]:sw a0, 164(ra)<br>  |
| 555|[0x800048b8]<br>0xFFFF5FFE|- rs1_val==1431655766 and rs2_val==-46340<br>                                                                                                                              |[0x80002a84]:c.or a0, a1<br> [0x80002a86]:sw a0, 168(ra)<br>  |
| 556|[0x800048bc]<br>0x5555F556|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                                               |[0x80002a9a]:c.or a0, a1<br> [0x80002a9c]:sw a0, 172(ra)<br>  |
| 557|[0x800048c0]<br>0x55555556|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                                                   |[0x80002aac]:c.or a0, a1<br> [0x80002aae]:sw a0, 176(ra)<br>  |
| 558|[0x800048c4]<br>0x55555556|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                                          |[0x80002ac2]:c.or a0, a1<br> [0x80002ac4]:sw a0, 180(ra)<br>  |
| 559|[0x800048c8]<br>0x55555556|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                                                   |[0x80002ad4]:c.or a0, a1<br> [0x80002ad6]:sw a0, 184(ra)<br>  |
| 560|[0x800048cc]<br>0x55555556|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                                                   |[0x80002ae6]:c.or a0, a1<br> [0x80002ae8]:sw a0, 188(ra)<br>  |
| 561|[0x800048d0]<br>0x77777776|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                                           |[0x80002afc]:c.or a0, a1<br> [0x80002afe]:sw a0, 192(ra)<br>  |
| 562|[0x800048d4]<br>0x77777777|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                                          |[0x80002b12]:c.or a0, a1<br> [0x80002b14]:sw a0, 196(ra)<br>  |
| 563|[0x800048d8]<br>0x5555F557|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                                               |[0x80002b28]:c.or a0, a1<br> [0x80002b2a]:sw a0, 200(ra)<br>  |
| 564|[0x800048dc]<br>0x55555556|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                                          |[0x80002b3e]:c.or a0, a1<br> [0x80002b40]:sw a0, 204(ra)<br>  |
| 565|[0x800048e0]<br>0xFFFFFFFF|- rs1_val==1431655766 and rs2_val==-1431655765<br>                                                                                                                         |[0x80002b54]:c.or a0, a1<br> [0x80002b56]:sw a0, 208(ra)<br>  |
| 566|[0x800048e4]<br>0x55555556|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                                                   |[0x80002b66]:c.or a0, a1<br> [0x80002b68]:sw a0, 212(ra)<br>  |
| 567|[0x800048e8]<br>0x77777776|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                                           |[0x80002b7c]:c.or a0, a1<br> [0x80002b7e]:sw a0, 216(ra)<br>  |
| 568|[0x800048ec]<br>0x77777777|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                                          |[0x80002b92]:c.or a0, a1<br> [0x80002b94]:sw a0, 220(ra)<br>  |
| 569|[0x800048f0]<br>0xFFFF5FFF|- rs1_val==1431655766 and rs2_val==-46339<br>                                                                                                                              |[0x80002ba8]:c.or a0, a1<br> [0x80002baa]:sw a0, 224(ra)<br>  |
| 570|[0x800048f4]<br>0x5555F557|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                                               |[0x80002bbe]:c.or a0, a1<br> [0x80002bc0]:sw a0, 228(ra)<br>  |
| 571|[0x800048f8]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                                                  |[0x80002bd0]:c.or a0, a1<br> [0x80002bd2]:sw a0, 232(ra)<br>  |
| 572|[0x800048fc]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                                         |[0x80002be6]:c.or a0, a1<br> [0x80002be8]:sw a0, 236(ra)<br>  |
| 573|[0x80004900]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==-1431655766<br>                                                                                                                        |[0x80002bfc]:c.or a0, a1<br> [0x80002bfe]:sw a0, 240(ra)<br>  |
| 574|[0x80004904]<br>0xAAAAAAAF|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                                                  |[0x80002c0e]:c.or a0, a1<br> [0x80002c10]:sw a0, 244(ra)<br>  |
| 575|[0x80004908]<br>0xBBBBBBBB|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                                          |[0x80002c24]:c.or a0, a1<br> [0x80002c26]:sw a0, 248(ra)<br>  |
| 576|[0x8000490c]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                                         |[0x80002c3a]:c.or a0, a1<br> [0x80002c3c]:sw a0, 252(ra)<br>  |
| 577|[0x80004910]<br>0xFFFFEAFF|- rs1_val==-1431655765 and rs2_val==-46340<br>                                                                                                                             |[0x80002c50]:c.or a0, a1<br> [0x80002c52]:sw a0, 256(ra)<br>  |
| 578|[0x80004914]<br>0xAAAABFAF|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                                              |[0x80002c66]:c.or a0, a1<br> [0x80002c68]:sw a0, 260(ra)<br>  |
| 579|[0x80004918]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                                                  |[0x80002c78]:c.or a0, a1<br> [0x80002c7a]:sw a0, 264(ra)<br>  |
| 580|[0x8000491c]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                                         |[0x80002c8e]:c.or a0, a1<br> [0x80002c90]:sw a0, 268(ra)<br>  |
| 581|[0x80004920]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                                                  |[0x80002ca0]:c.or a0, a1<br> [0x80002ca2]:sw a0, 272(ra)<br>  |
| 582|[0x80004924]<br>0xAAAAAAAF|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                                                  |[0x80002cb2]:c.or a0, a1<br> [0x80002cb4]:sw a0, 276(ra)<br>  |
| 583|[0x80004928]<br>0xBBBBBBBB|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                                          |[0x80002cc8]:c.or a0, a1<br> [0x80002cca]:sw a0, 280(ra)<br>  |
| 584|[0x8000492c]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                                         |[0x80002cde]:c.or a0, a1<br> [0x80002ce0]:sw a0, 284(ra)<br>  |
| 585|[0x80004930]<br>0xAAAABFAB|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                                              |[0x80002cf4]:c.or a0, a1<br> [0x80002cf6]:sw a0, 288(ra)<br>  |
| 586|[0x80004934]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                                         |[0x80002d0a]:c.or a0, a1<br> [0x80002d0c]:sw a0, 292(ra)<br>  |
| 587|[0x80004938]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==-1431655765<br>                                                                                                                        |[0x80002d20]:c.or a0, a1<br> [0x80002d22]:sw a0, 296(ra)<br>  |
| 588|[0x8000493c]<br>0xAAAAAAAF|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                                                  |[0x80002d32]:c.or a0, a1<br> [0x80002d34]:sw a0, 300(ra)<br>  |
| 589|[0x80004940]<br>0xBBBBBBBF|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                                          |[0x80002d48]:c.or a0, a1<br> [0x80002d4a]:sw a0, 304(ra)<br>  |
| 590|[0x80004944]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                                         |[0x80002d5e]:c.or a0, a1<br> [0x80002d60]:sw a0, 308(ra)<br>  |
