
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x800036c0')]      |
| SIG_REGION                | [('0x80005010', '0x80005a30', '648 words')]      |
| COV_LABELS                | mulhsu      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/mulhsu-01.S/mulhsu-01.S    |
| Total Number of coverpoints| 792     |
| Total Coverpoints Hit     | 792      |
| Total Signature Updates   | 648      |
| STAT1                     | 645      |
| STAT2                     | 3      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800005b8]:mulhsu a2, a0, a1
      [0x800005bc]:sw a2, 192(a3)
 -- Signature Address: 0x80005114 Data: 0x00000006
 -- Redundant Coverpoints hit by the op
      - opcode : mulhsu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val > 0 and rs2_val > 0
      - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0
      - rs2_val == 3758096383
      - rs1_val == 8




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80003690]:mulhsu a2, a0, a1
      [0x80003694]:sw a2, 464(a3)
 -- Signature Address: 0x80005a24 Data: 0xFFFFFFFF
 -- Redundant Coverpoints hit by the op
      - opcode : mulhsu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs2_val == 1
      - rs1_val == -536870913




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800036b0]:mulhsu a2, a0, a1
      [0x800036b4]:sw a2, 472(a3)
 -- Signature Address: 0x80005a2c Data: 0x00000008
 -- Redundant Coverpoints hit by the op
      - opcode : mulhsu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs1_val > 0 and rs2_val > 0
      - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0
      - rs2_val == 8192
      - rs1_val == 4194304






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                                               coverpoints                                                                                                                |                                 code                                 |
|---:|--------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------|
|   1|[0x80005010]<br>0x00000000|- opcode : mulhsu<br> - rs1 : x22<br> - rs2 : x10<br> - rd : x22<br> - rs1 == rd != rs2<br> - rs1_val > 0 and rs2_val > 0<br> - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0<br> - rs1_val == 4<br> - rs1_val==4 and rs2_val==3<br> |[0x80000108]:mulhsu s6, s6, a0<br> [0x8000010c]:sw s6, 0(a7)<br>      |
|   2|[0x80005014]<br>0x00000000|- rs1 : x23<br> - rs2 : x23<br> - rd : x2<br> - rs1 == rs2 != rd<br> - rs1_val == rs2_val and rs1_val > 0 and rs2_val > 0<br> - rs2_val == 128<br> - rs1_val == 128<br>                                                                   |[0x80000118]:mulhsu sp, s7, s7<br> [0x8000011c]:sw sp, 4(a7)<br>      |
|   3|[0x80005018]<br>0x00000000|- rs1 : x2<br> - rs2 : x19<br> - rd : x19<br> - rs2 == rd != rs1<br> - rs2_val == 0<br> - rs1_val==46339 and rs2_val==0<br>                                                                                                               |[0x8000012c]:mulhsu s3, sp, s3<br> [0x80000130]:sw s3, 8(a7)<br>      |
|   4|[0x8000501c]<br>0x00000003|- rs1 : x25<br> - rs2 : x9<br> - rd : x7<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs2_val == (2**(xlen)-1)<br>                                                                                                                 |[0x8000013c]:mulhsu t2, s9, s1<br> [0x80000140]:sw t2, 12(a7)<br>     |
|   5|[0x80005020]<br>0xE3FFFFFF|- rs1 : x28<br> - rs2 : x28<br> - rd : x28<br> - rs1 == rs2 == rd<br> - rs2_val == 3758096383<br> - rs1_val == -536870913<br>                                                                                                             |[0x80000154]:mulhsu t3, t3, t3<br> [0x80000158]:sw t3, 16(a7)<br>     |
|   6|[0x80005024]<br>0x00000000|- rs1 : x0<br> - rs2 : x18<br> - rd : x8<br> - rs1_val == 0<br> - rs2_val == 4294967263<br>                                                                                                                                               |[0x80000164]:mulhsu fp, zero, s2<br> [0x80000168]:sw fp, 20(a7)<br>   |
|   7|[0x80005028]<br>0x00000000|- rs1 : x14<br> - rs2 : x15<br> - rd : x12<br>                                                                                                                                                                                            |[0x80000174]:mulhsu a2, a4, a5<br> [0x80000178]:sw a2, 24(a7)<br>     |
|   8|[0x8000502c]<br>0x77FFFFFE|- rs1 : x13<br> - rs2 : x3<br> - rd : x4<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == 4026531839<br> - rs1_val == 2147483647<br>                                                                                                     |[0x8000018c]:mulhsu tp, a3, gp<br> [0x80000190]:sw tp, 28(a7)<br>     |
|   9|[0x80005030]<br>0x00000000|- rs1 : x6<br> - rs2 : x16<br> - rd : x30<br> - rs1_val == 1<br> - rs2_val == 1024<br>                                                                                                                                                    |[0x8000019c]:mulhsu t5, t1, a6<br> [0x800001a0]:sw t5, 32(a7)<br>     |
|  10|[0x80005034]<br>0x00000000|- rs1 : x8<br> - rs2 : x5<br> - rd : x1<br> - rs2_val == 2<br> - rs1_val==3 and rs2_val==2<br>                                                                                                                                            |[0x800001ac]:mulhsu ra, fp, t0<br> [0x800001b0]:sw ra, 36(a7)<br>     |
|  11|[0x80005038]<br>0x00000000|- rs1 : x11<br> - rs2 : x27<br> - rd : x9<br> - rs2_val == 4<br> - rs1_val==6 and rs2_val==4<br>                                                                                                                                          |[0x800001bc]:mulhsu s1, a1, s11<br> [0x800001c0]:sw s1, 40(a7)<br>    |
|  12|[0x8000503c]<br>0xFFFFFFFE|- rs1 : x27<br> - rs2 : x25<br> - rd : x13<br> - rs2_val == 8<br>                                                                                                                                                                         |[0x800001cc]:mulhsu a3, s11, s9<br> [0x800001d0]:sw a3, 44(a7)<br>    |
|  13|[0x80005040]<br>0xFFFFFFFF|- rs1 : x30<br> - rs2 : x14<br> - rd : x16<br> - rs2_val == 16<br> - rs1_val == -65<br>                                                                                                                                                   |[0x800001dc]:mulhsu a6, t5, a4<br> [0x800001e0]:sw a6, 48(a7)<br>     |
|  14|[0x80005044]<br>0xFFFFFFFF|- rs1 : x15<br> - rs2 : x22<br> - rd : x11<br> - rs2_val == 32<br> - rs1_val == -5<br>                                                                                                                                                    |[0x800001ec]:mulhsu a1, a5, s6<br> [0x800001f0]:sw a1, 52(a7)<br>     |
|  15|[0x80005048]<br>0xFFFFFFFF|- rs1 : x16<br> - rs2 : x4<br> - rd : x29<br> - rs2_val == 64<br>                                                                                                                                                                         |[0x800001fc]:mulhsu t4, a6, tp<br> [0x80000200]:sw t4, 56(a7)<br>     |
|  16|[0x8000504c]<br>0x00000008|- rs1 : x24<br> - rs2 : x13<br> - rd : x21<br> - rs2_val == 256<br> - rs1_val == 134217728<br>                                                                                                                                            |[0x8000020c]:mulhsu s5, s8, a3<br> [0x80000210]:sw s5, 60(a7)<br>     |
|  17|[0x80005050]<br>0xFFFFFFFF|- rs1 : x19<br> - rs2 : x6<br> - rd : x26<br> - rs2_val == 512<br> - rs1_val == -257<br>                                                                                                                                                  |[0x8000021c]:mulhsu s10, s3, t1<br> [0x80000220]:sw s10, 64(a7)<br>   |
|  18|[0x80005054]<br>0x00000199|- rs1 : x9<br> - rs2 : x31<br> - rd : x18<br> - rs2_val == 2048<br>                                                                                                                                                                       |[0x8000023c]:mulhsu s2, s1, t6<br> [0x80000240]:sw s2, 0(a3)<br>      |
|  19|[0x80005058]<br>0x00000000|- rs1 : x5<br> - rs2 : x7<br> - rd : x25<br> - rs2_val == 4096<br>                                                                                                                                                                        |[0x80000250]:mulhsu s9, t0, t2<br> [0x80000254]:sw s9, 4(a3)<br>      |
|  20|[0x8000505c]<br>0x00000000|- rs1 : x26<br> - rs2 : x17<br> - rd : x0<br> - rs2_val == 8192<br> - rs1_val == 4194304<br>                                                                                                                                              |[0x80000260]:mulhsu zero, s10, a7<br> [0x80000264]:sw zero, 8(a3)<br> |
|  21|[0x80005060]<br>0x00000000|- rs1 : x1<br> - rs2 : x26<br> - rd : x23<br> - rs2_val == 16384<br> - rs1_val == 32<br>                                                                                                                                                  |[0x80000270]:mulhsu s7, ra, s10<br> [0x80000274]:sw s7, 12(a3)<br>    |
|  22|[0x80005064]<br>0x00000000|- rs1 : x21<br> - rs2 : x8<br> - rd : x15<br> - rs2_val == 32768<br>                                                                                                                                                                      |[0x80000280]:mulhsu a5, s5, fp<br> [0x80000284]:sw a5, 16(a3)<br>     |
|  23|[0x80005068]<br>0x00000000|- rs1 : x31<br> - rs2 : x0<br> - rd : x20<br> - rs1_val == 8<br>                                                                                                                                                                          |[0x80000290]:mulhsu s4, t6, zero<br> [0x80000294]:sw s4, 20(a3)<br>   |
|  24|[0x8000506c]<br>0xFFFFFFFF|- rs1 : x17<br> - rs2 : x24<br> - rd : x14<br> - rs2_val == 131072<br> - rs1_val == -17<br>                                                                                                                                               |[0x800002a0]:mulhsu a4, a7, s8<br> [0x800002a4]:sw a4, 24(a3)<br>     |
|  25|[0x80005070]<br>0x00001000|- rs1 : x4<br> - rs2 : x21<br> - rd : x24<br> - rs2_val == 262144<br> - rs1_val == 67108864<br>                                                                                                                                           |[0x800002b0]:mulhsu s8, tp, s5<br> [0x800002b4]:sw s8, 28(a3)<br>     |
|  26|[0x80005074]<br>0x00033333|- rs1 : x12<br> - rs2 : x30<br> - rd : x5<br> - rs2_val == 524288<br>                                                                                                                                                                     |[0x800002c4]:mulhsu t0, a2, t5<br> [0x800002c8]:sw t0, 32(a3)<br>     |
|  27|[0x80005078]<br>0x00000001|- rs1 : x7<br> - rs2 : x20<br> - rd : x6<br> - rs2_val == 1048576<br> - rs1_val == 4096<br>                                                                                                                                               |[0x800002d4]:mulhsu t1, t2, s4<br> [0x800002d8]:sw t1, 36(a3)<br>     |
|  28|[0x8000507c]<br>0x00000000|- rs1 : x18<br> - rs2 : x1<br> - rd : x31<br> - rs2_val == 2097152<br>                                                                                                                                                                    |[0x800002e4]:mulhsu t6, s2, ra<br> [0x800002e8]:sw t6, 40(a3)<br>     |
|  29|[0x80005080]<br>0xFFEFFFFF|- rs1 : x29<br> - rs2 : x2<br> - rd : x10<br> - rs2_val == 4194304<br> - rs1_val == -1073741825<br>                                                                                                                                       |[0x800002f8]:mulhsu a0, t4, sp<br> [0x800002fc]:sw a0, 44(a3)<br>     |
|  30|[0x80005084]<br>0x00000001|- rs1 : x3<br> - rs2 : x12<br> - rd : x17<br> - rs2_val == 8388608<br> - rs1_val == 512<br>                                                                                                                                               |[0x80000308]:mulhsu a7, gp, a2<br> [0x8000030c]:sw a7, 48(a3)<br>     |
|  31|[0x80005088]<br>0x00000000|- rs1 : x10<br> - rs2 : x11<br> - rd : x27<br> - rs2_val == 16777216<br>                                                                                                                                                                  |[0x80000318]:mulhsu s11, a0, a1<br> [0x8000031c]:sw s11, 52(a3)<br>   |
|  32|[0x8000508c]<br>0xFFFFFFFF|- rs1 : x20<br> - rs2 : x29<br> - rd : x3<br> - rs2_val == 33554432<br>                                                                                                                                                                   |[0x80000328]:mulhsu gp, s4, t4<br> [0x8000032c]:sw gp, 56(a3)<br>     |
|  33|[0x80005090]<br>0x00010000|- rs2_val == 67108864<br>                                                                                                                                                                                                                 |[0x80000338]:mulhsu a2, a0, a1<br> [0x8000033c]:sw a2, 60(a3)<br>     |
|  34|[0x80005094]<br>0x00000000|- rs2_val == 134217728<br>                                                                                                                                                                                                                |[0x80000348]:mulhsu a2, a0, a1<br> [0x8000034c]:sw a2, 64(a3)<br>     |
|  35|[0x80005098]<br>0x00000000|- rs2_val == 268435456<br>                                                                                                                                                                                                                |[0x80000358]:mulhsu a2, a0, a1<br> [0x8000035c]:sw a2, 68(a3)<br>     |
|  36|[0x8000509c]<br>0x00000010|- rs2_val == 536870912<br>                                                                                                                                                                                                                |[0x80000368]:mulhsu a2, a0, a1<br> [0x8000036c]:sw a2, 72(a3)<br>     |
|  37|[0x800050a0]<br>0x00200000|- rs2_val == 1073741824<br> - rs1_val == 8388608<br>                                                                                                                                                                                      |[0x80000378]:mulhsu a2, a0, a1<br> [0x8000037c]:sw a2, 76(a3)<br>     |
|  38|[0x800050a4]<br>0x00000800|- rs2_val == 2147483648<br>                                                                                                                                                                                                               |[0x80000388]:mulhsu a2, a0, a1<br> [0x8000038c]:sw a2, 80(a3)<br>     |
|  39|[0x800050a8]<br>0xFFFFFFFE|- rs2_val == 4294967294<br> - rs1_val == -2<br>                                                                                                                                                                                           |[0x80000398]:mulhsu a2, a0, a1<br> [0x8000039c]:sw a2, 84(a3)<br>     |
|  40|[0x800050ac]<br>0xFFFFFBFF|- rs2_val == 4294967293<br> - rs1_val == -1025<br>                                                                                                                                                                                        |[0x800003a8]:mulhsu a2, a0, a1<br> [0x800003ac]:sw a2, 88(a3)<br>     |
|  41|[0x800050b0]<br>0x0003FFFF|- rs2_val == 4294967291<br> - rs1_val == 262144<br>                                                                                                                                                                                       |[0x800003b8]:mulhsu a2, a0, a1<br> [0x800003bc]:sw a2, 92(a3)<br>     |
|  42|[0x800050b4]<br>0x0000FFFF|- rs2_val == 4294967287<br> - rs1_val == 65536<br>                                                                                                                                                                                        |[0x800003c8]:mulhsu a2, a0, a1<br> [0x800003cc]:sw a2, 96(a3)<br>     |
|  43|[0x800050b8]<br>0x0000B503|- rs2_val == 4294967279<br>                                                                                                                                                                                                               |[0x800003dc]:mulhsu a2, a0, a1<br> [0x800003e0]:sw a2, 100(a3)<br>    |
|  44|[0x800050bc]<br>0x33333325|- rs2_val == 4294967231<br>                                                                                                                                                                                                               |[0x800003f0]:mulhsu a2, a0, a1<br> [0x800003f4]:sw a2, 104(a3)<br>    |
|  45|[0x800050c0]<br>0x3FFFFFDF|- rs2_val == 4294967167<br> - rs1_val == 1073741824<br>                                                                                                                                                                                   |[0x80000400]:mulhsu a2, a0, a1<br> [0x80000404]:sw a2, 108(a3)<br>    |
|  46|[0x800050c4]<br>0x00007FFF|- rs2_val == 4294967039<br> - rs1_val == 32768<br>                                                                                                                                                                                        |[0x80000410]:mulhsu a2, a0, a1<br> [0x80000414]:sw a2, 112(a3)<br>    |
|  47|[0x800050c8]<br>0xFFFFFFFD|- rs2_val == 4294966783<br> - rs1_val == -3<br>                                                                                                                                                                                           |[0x80000420]:mulhsu a2, a0, a1<br> [0x80000424]:sw a2, 116(a3)<br>    |
|  48|[0x800050cc]<br>0x0000001F|- rs2_val == 4294966271<br>                                                                                                                                                                                                               |[0x80000430]:mulhsu a2, a0, a1<br> [0x80000434]:sw a2, 120(a3)<br>    |
|  49|[0x800050d0]<br>0x000FFFFF|- rs2_val == 4294965247<br> - rs1_val == 1048576<br>                                                                                                                                                                                      |[0x80000444]:mulhsu a2, a0, a1<br> [0x80000448]:sw a2, 124(a3)<br>    |
|  50|[0x800050d4]<br>0xAAAAAFFF|- rs2_val == 4294963199<br> - rs1_val == -1431655766<br>                                                                                                                                                                                  |[0x8000045c]:mulhsu a2, a0, a1<br> [0x80000460]:sw a2, 128(a3)<br>    |
|  51|[0x800050d8]<br>0x00000003|- rs2_val == 4294959103<br>                                                                                                                                                                                                               |[0x80000470]:mulhsu a2, a0, a1<br> [0x80000474]:sw a2, 132(a3)<br>    |
|  52|[0x800050dc]<br>0xAAAABFFF|- rs2_val == 4294950911<br>                                                                                                                                                                                                               |[0x80000488]:mulhsu a2, a0, a1<br> [0x8000048c]:sw a2, 136(a3)<br>    |
|  53|[0x800050e0]<br>0x000007FF|- rs2_val == 4294934527<br> - rs1_val == 2048<br>                                                                                                                                                                                         |[0x800004a0]:mulhsu a2, a0, a1<br> [0x800004a4]:sw a2, 140(a3)<br>    |
|  54|[0x800050e4]<br>0x03FFFBFF|- rs2_val == 4294901759<br>                                                                                                                                                                                                               |[0x800004b4]:mulhsu a2, a0, a1<br> [0x800004b8]:sw a2, 144(a3)<br>    |
|  55|[0x800050e8]<br>0xC0007FFF|- rs2_val == 4294836223<br>                                                                                                                                                                                                               |[0x800004cc]:mulhsu a2, a0, a1<br> [0x800004d0]:sw a2, 148(a3)<br>    |
|  56|[0x800050ec]<br>0x00000003|- rs2_val == 4294705151<br>                                                                                                                                                                                                               |[0x800004e0]:mulhsu a2, a0, a1<br> [0x800004e4]:sw a2, 152(a3)<br>    |
|  57|[0x800050f0]<br>0xFF0007FF|- rs2_val == 4294443007<br> - rs1_val == -16777217<br>                                                                                                                                                                                    |[0x800004f8]:mulhsu a2, a0, a1<br> [0x800004fc]:sw a2, 156(a3)<br>    |
|  58|[0x800050f4]<br>0x00000000|- rs2_val == 4293918719<br>                                                                                                                                                                                                               |[0x8000050c]:mulhsu a2, a0, a1<br> [0x80000510]:sw a2, 160(a3)<br>    |
|  59|[0x800050f8]<br>0xFFFFFFFD|- rs2_val == 4292870143<br>                                                                                                                                                                                                               |[0x80000520]:mulhsu a2, a0, a1<br> [0x80000524]:sw a2, 164(a3)<br>    |
|  60|[0x800050fc]<br>0x0000003F|- rs2_val == 4290772991<br> - rs1_val == 64<br>                                                                                                                                                                                           |[0x80000534]:mulhsu a2, a0, a1<br> [0x80000538]:sw a2, 168(a3)<br>    |
|  61|[0x80005100]<br>0xFFFFFFF8|- rs2_val == 4286578687<br>                                                                                                                                                                                                               |[0x80000548]:mulhsu a2, a0, a1<br> [0x8000054c]:sw a2, 172(a3)<br>    |
|  62|[0x80005104]<br>0xFFFFF00F|- rs2_val == 4278190079<br> - rs1_val == -4097<br>                                                                                                                                                                                        |[0x80000560]:mulhsu a2, a0, a1<br> [0x80000564]:sw a2, 176(a3)<br>    |
|  63|[0x80005108]<br>0x001FBFFF|- rs2_val == 4261412863<br> - rs1_val == 2097152<br>                                                                                                                                                                                      |[0x80000574]:mulhsu a2, a0, a1<br> [0x80000578]:sw a2, 180(a3)<br>    |
|  64|[0x8000510c]<br>0x32666666|- rs2_val == 4227858431<br>                                                                                                                                                                                                               |[0x8000058c]:mulhsu a2, a0, a1<br> [0x80000590]:sw a2, 184(a3)<br>    |
|  65|[0x80005110]<br>0xFFF07FFF|- rs2_val == 4160749567<br> - rs1_val == -1048577<br>                                                                                                                                                                                     |[0x800005a4]:mulhsu a2, a0, a1<br> [0x800005a8]:sw a2, 188(a3)<br>    |
|  66|[0x80005118]<br>0xFFFFFCFF|- rs2_val == 3221225471<br>                                                                                                                                                                                                               |[0x800005cc]:mulhsu a2, a0, a1<br> [0x800005d0]:sw a2, 196(a3)<br>    |
|  67|[0x8000511c]<br>0x00000000|- rs2_val == 2147483647<br>                                                                                                                                                                                                               |[0x800005e0]:mulhsu a2, a0, a1<br> [0x800005e4]:sw a2, 200(a3)<br>    |
|  68|[0x80005120]<br>0xE38E38E3|- rs2_val == 1431655765<br> - rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                                                                            |[0x800005f8]:mulhsu a2, a0, a1<br> [0x800005fc]:sw a2, 204(a3)<br>    |
|  69|[0x80005124]<br>0x00000003|- rs2_val == 2863311530<br> - rs1_val==5 and rs2_val==2863311530<br>                                                                                                                                                                      |[0x8000060c]:mulhsu a2, a0, a1<br> [0x80000610]:sw a2, 208(a3)<br>    |
|  70|[0x80005128]<br>0x00000000|- rs1_val == 2<br>                                                                                                                                                                                                                        |[0x8000061c]:mulhsu a2, a0, a1<br> [0x80000620]:sw a2, 212(a3)<br>    |
|  71|[0x8000512c]<br>0x0000000A|- rs1_val == 16<br>                                                                                                                                                                                                                       |[0x80000630]:mulhsu a2, a0, a1<br> [0x80000634]:sw a2, 216(a3)<br>    |
|  72|[0x80005130]<br>0x00000000|- rs1_val == 256<br>                                                                                                                                                                                                                      |[0x80000640]:mulhsu a2, a0, a1<br> [0x80000644]:sw a2, 220(a3)<br>    |
|  73|[0x80005134]<br>0x000003FF|- rs1_val == 1024<br>                                                                                                                                                                                                                     |[0x80000650]:mulhsu a2, a0, a1<br> [0x80000654]:sw a2, 224(a3)<br>    |
|  74|[0x80005138]<br>0x00000000|- rs1_val == 8192<br>                                                                                                                                                                                                                     |[0x80000660]:mulhsu a2, a0, a1<br> [0x80000664]:sw a2, 228(a3)<br>    |
|  75|[0x8000513c]<br>0x00000000|- rs1_val == 16384<br>                                                                                                                                                                                                                    |[0x80000674]:mulhsu a2, a0, a1<br> [0x80000678]:sw a2, 232(a3)<br>    |
|  76|[0x80005140]<br>0x0001FF7F|- rs1_val == 131072<br>                                                                                                                                                                                                                   |[0x80000688]:mulhsu a2, a0, a1<br> [0x8000068c]:sw a2, 236(a3)<br>    |
|  77|[0x80005144]<br>0x00000005|- rs1_val == 524288<br>                                                                                                                                                                                                                   |[0x8000069c]:mulhsu a2, a0, a1<br> [0x800006a0]:sw a2, 240(a3)<br>    |
|  78|[0x80005148]<br>0x00000004|- rs1_val == 16777216<br>                                                                                                                                                                                                                 |[0x800006ac]:mulhsu a2, a0, a1<br> [0x800006b0]:sw a2, 244(a3)<br>    |
|  79|[0x8000514c]<br>0x00AAAAAA|- rs1_val == 33554432<br>                                                                                                                                                                                                                 |[0x800006c0]:mulhsu a2, a0, a1<br> [0x800006c4]:sw a2, 248(a3)<br>    |
|  80|[0x80005150]<br>0x00000001|- rs1_val == 268435456<br>                                                                                                                                                                                                                |[0x800006d0]:mulhsu a2, a0, a1<br> [0x800006d4]:sw a2, 252(a3)<br>    |
|  81|[0x80005154]<br>0x00000001|- rs1_val == 536870912<br>                                                                                                                                                                                                                |[0x800006e0]:mulhsu a2, a0, a1<br> [0x800006e4]:sw a2, 256(a3)<br>    |
|  82|[0x80005158]<br>0xFFFFFFF7|- rs1_val == -9<br>                                                                                                                                                                                                                       |[0x800006f4]:mulhsu a2, a0, a1<br> [0x800006f8]:sw a2, 260(a3)<br>    |
|  83|[0x8000515c]<br>0xFFFFFFFF|- rs1_val == -33<br>                                                                                                                                                                                                                      |[0x80000704]:mulhsu a2, a0, a1<br> [0x80000708]:sw a2, 264(a3)<br>    |
|  84|[0x80005160]<br>0xFFFFFF7F|- rs1_val == -129<br>                                                                                                                                                                                                                     |[0x80000718]:mulhsu a2, a0, a1<br> [0x8000071c]:sw a2, 268(a3)<br>    |
|  85|[0x80005164]<br>0xFFFFFF32|- rs1_val == -513<br>                                                                                                                                                                                                                     |[0x8000072c]:mulhsu a2, a0, a1<br> [0x80000730]:sw a2, 272(a3)<br>    |
|  86|[0x80005168]<br>0xFFFFFFFF|- rs1_val == -2049<br>                                                                                                                                                                                                                    |[0x80000740]:mulhsu a2, a0, a1<br> [0x80000744]:sw a2, 276(a3)<br>    |
|  87|[0x8000516c]<br>0xFFFFEAAA|- rs1_val == -8193<br>                                                                                                                                                                                                                    |[0x80000758]:mulhsu a2, a0, a1<br> [0x8000075c]:sw a2, 280(a3)<br>    |
|  88|[0x80005170]<br>0xFFFFBFFF|- rs1_val == -16385<br>                                                                                                                                                                                                                   |[0x8000076c]:mulhsu a2, a0, a1<br> [0x80000770]:sw a2, 284(a3)<br>    |
|  89|[0x80005174]<br>0xFFFFE666|- rs1_val == -32769<br>                                                                                                                                                                                                                   |[0x80000784]:mulhsu a2, a0, a1<br> [0x80000788]:sw a2, 288(a3)<br>    |
|  90|[0x80005178]<br>0xFFFEFFFF|- rs1_val == -65537<br>                                                                                                                                                                                                                   |[0x80000798]:mulhsu a2, a0, a1<br> [0x8000079c]:sw a2, 292(a3)<br>    |
|  91|[0x8000517c]<br>0xFFFFFFFF|- rs1_val == -131073<br>                                                                                                                                                                                                                  |[0x800007ac]:mulhsu a2, a0, a1<br> [0x800007b0]:sw a2, 296(a3)<br>    |
|  92|[0x80005180]<br>0xFFFBFFFF|- rs1_val == -262145<br>                                                                                                                                                                                                                  |[0x800007c0]:mulhsu a2, a0, a1<br> [0x800007c4]:sw a2, 300(a3)<br>    |
|  93|[0x80005184]<br>0xFFF7FFFF|- rs1_val == -524289<br>                                                                                                                                                                                                                  |[0x800007d4]:mulhsu a2, a0, a1<br> [0x800007d8]:sw a2, 304(a3)<br>    |
|  94|[0x80005188]<br>0xFFFFFFFF|- rs1_val == -2097153<br>                                                                                                                                                                                                                 |[0x800007e8]:mulhsu a2, a0, a1<br> [0x800007ec]:sw a2, 308(a3)<br>    |
|  95|[0x8000518c]<br>0xFFFDFFFF|- rs1_val == -4194305<br>                                                                                                                                                                                                                 |[0x800007fc]:mulhsu a2, a0, a1<br> [0x80000800]:sw a2, 312(a3)<br>    |
|  96|[0x80005190]<br>0xFFF7FFFF|- rs1_val == -8388609<br>                                                                                                                                                                                                                 |[0x80000810]:mulhsu a2, a0, a1<br> [0x80000814]:sw a2, 316(a3)<br>    |
|  97|[0x80005194]<br>0xFF555554|- rs1_val == -33554433<br>                                                                                                                                                                                                                |[0x80000828]:mulhsu a2, a0, a1<br> [0x8000082c]:sw a2, 320(a3)<br>    |
|  98|[0x80005198]<br>0xFF333332|- rs1_val == -67108865<br>                                                                                                                                                                                                                |[0x80000840]:mulhsu a2, a0, a1<br> [0x80000844]:sw a2, 324(a3)<br>    |
|  99|[0x8000519c]<br>0xF81FFFFF|- rs1_val == -134217729<br>                                                                                                                                                                                                               |[0x80000858]:mulhsu a2, a0, a1<br> [0x8000085c]:sw a2, 328(a3)<br>    |
| 100|[0x800051a0]<br>0xFFFFFFBF|- rs1_val == -268435457<br>                                                                                                                                                                                                               |[0x8000086c]:mulhsu a2, a0, a1<br> [0x80000870]:sw a2, 332(a3)<br>    |
| 101|[0x800051a4]<br>0x1C71C71C|- rs1_val == 1431655765<br> - rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                                                                             |[0x80000884]:mulhsu a2, a0, a1<br> [0x80000888]:sw a2, 336(a3)<br>    |
| 102|[0x800051a8]<br>0x00000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                                                           |[0x80000894]:mulhsu a2, a0, a1<br> [0x80000898]:sw a2, 340(a3)<br>    |
| 103|[0x800051ac]<br>0x00000000|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                                                                                                                  |[0x800008a8]:mulhsu a2, a0, a1<br> [0x800008ac]:sw a2, 344(a3)<br>    |
| 104|[0x800051b0]<br>0x00000001|- rs1_val==3 and rs2_val==2863311530<br>                                                                                                                                                                                                  |[0x800008bc]:mulhsu a2, a0, a1<br> [0x800008c0]:sw a2, 348(a3)<br>    |
| 105|[0x800051b4]<br>0x00000000|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                                                           |[0x800008cc]:mulhsu a2, a0, a1<br> [0x800008d0]:sw a2, 352(a3)<br>    |
| 106|[0x800051b8]<br>0x00000000|- rs1_val==3 and rs2_val==858993459<br>                                                                                                                                                                                                   |[0x800008e0]:mulhsu a2, a0, a1<br> [0x800008e4]:sw a2, 356(a3)<br>    |
| 107|[0x800051bc]<br>0x00000001|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                                                                                                                  |[0x800008f4]:mulhsu a2, a0, a1<br> [0x800008f8]:sw a2, 360(a3)<br>    |
| 108|[0x800051c0]<br>0x00000000|- rs1_val==3 and rs2_val==46340<br>                                                                                                                                                                                                       |[0x80000908]:mulhsu a2, a0, a1<br> [0x8000090c]:sw a2, 364(a3)<br>    |
| 109|[0x800051c4]<br>0x00000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                                                           |[0x80000918]:mulhsu a2, a0, a1<br> [0x8000091c]:sw a2, 368(a3)<br>    |
| 110|[0x800051c8]<br>0x00000000|- rs1_val==3 and rs2_val==65535<br>                                                                                                                                                                                                       |[0x8000092c]:mulhsu a2, a0, a1<br> [0x80000930]:sw a2, 372(a3)<br>    |
| 111|[0x800051cc]<br>0x00000000|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                                                                                                                  |[0x80000940]:mulhsu a2, a0, a1<br> [0x80000944]:sw a2, 376(a3)<br>    |
| 112|[0x800051d0]<br>0x00000001|- rs1_val==3 and rs2_val==2863311529<br>                                                                                                                                                                                                  |[0x80000954]:mulhsu a2, a0, a1<br> [0x80000958]:sw a2, 380(a3)<br>    |
| 113|[0x800051d4]<br>0x00000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                                                           |[0x80000964]:mulhsu a2, a0, a1<br> [0x80000968]:sw a2, 384(a3)<br>    |
| 114|[0x800051d8]<br>0x00000000|- rs1_val==3 and rs2_val==858993458<br>                                                                                                                                                                                                   |[0x80000978]:mulhsu a2, a0, a1<br> [0x8000097c]:sw a2, 388(a3)<br>    |
| 115|[0x800051dc]<br>0x00000001|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                                                                                                                  |[0x8000098c]:mulhsu a2, a0, a1<br> [0x80000990]:sw a2, 392(a3)<br>    |
| 116|[0x800051e0]<br>0x00000000|- rs1_val==3 and rs2_val==46339<br>                                                                                                                                                                                                       |[0x800009a0]:mulhsu a2, a0, a1<br> [0x800009a4]:sw a2, 396(a3)<br>    |
| 117|[0x800051e4]<br>0x00000000|- rs1_val==3 and rs2_val==65534<br>                                                                                                                                                                                                       |[0x800009b4]:mulhsu a2, a0, a1<br> [0x800009b8]:sw a2, 400(a3)<br>    |
| 118|[0x800051e8]<br>0x00000001|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                                                                                                                  |[0x800009c8]:mulhsu a2, a0, a1<br> [0x800009cc]:sw a2, 404(a3)<br>    |
| 119|[0x800051ec]<br>0x00000002|- rs1_val==3 and rs2_val==2863311531<br>                                                                                                                                                                                                  |[0x800009dc]:mulhsu a2, a0, a1<br> [0x800009e0]:sw a2, 408(a3)<br>    |
| 120|[0x800051f0]<br>0x00000000|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                                                           |[0x800009ec]:mulhsu a2, a0, a1<br> [0x800009f0]:sw a2, 412(a3)<br>    |
| 121|[0x800051f4]<br>0x00000000|- rs1_val==3 and rs2_val==858993460<br>                                                                                                                                                                                                   |[0x80000a00]:mulhsu a2, a0, a1<br> [0x80000a04]:sw a2, 416(a3)<br>    |
| 122|[0x800051f8]<br>0x00000001|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                                                                                                                  |[0x80000a14]:mulhsu a2, a0, a1<br> [0x80000a18]:sw a2, 420(a3)<br>    |
| 123|[0x800051fc]<br>0x00000000|- rs1_val==3 and rs2_val==46341<br>                                                                                                                                                                                                       |[0x80000a28]:mulhsu a2, a0, a1<br> [0x80000a2c]:sw a2, 424(a3)<br>    |
| 124|[0x80005200]<br>0x00000000|- rs2_val == 1<br> - rs1_val==3 and rs2_val==1<br>                                                                                                                                                                                        |[0x80000a38]:mulhsu a2, a0, a1<br> [0x80000a3c]:sw a2, 428(a3)<br>    |
| 125|[0x80005204]<br>0x00000000|- rs2_val == 65536<br> - rs1_val==3 and rs2_val==65536<br>                                                                                                                                                                                |[0x80000a48]:mulhsu a2, a0, a1<br> [0x80000a4c]:sw a2, 432(a3)<br>    |
| 126|[0x80005208]<br>0x00000000|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                                                                                                                  |[0x80000a5c]:mulhsu a2, a0, a1<br> [0x80000a60]:sw a2, 436(a3)<br>    |
| 127|[0x8000520c]<br>0x38E38E38|- rs1_val==1431655765 and rs2_val==2863311530<br>                                                                                                                                                                                         |[0x80000a74]:mulhsu a2, a0, a1<br> [0x80000a78]:sw a2, 440(a3)<br>    |
| 128|[0x80005210]<br>0x00000001|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                                                                                                                  |[0x80000a88]:mulhsu a2, a0, a1<br> [0x80000a8c]:sw a2, 444(a3)<br>    |
| 129|[0x80005214]<br>0x11111110|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                                                                                                          |[0x80000aa0]:mulhsu a2, a0, a1<br> [0x80000aa4]:sw a2, 448(a3)<br>    |
| 130|[0x80005218]<br>0x22222221|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                                                                                                         |[0x80000ab8]:mulhsu a2, a0, a1<br> [0x80000abc]:sw a2, 452(a3)<br>    |
| 131|[0x8000521c]<br>0x00003C56|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                                                                                                              |[0x80000ad0]:mulhsu a2, a0, a1<br> [0x80000ad4]:sw a2, 456(a3)<br>    |
| 132|[0x80005220]<br>0x00000000|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                                                                                                                  |[0x80000ae4]:mulhsu a2, a0, a1<br> [0x80000ae8]:sw a2, 460(a3)<br>    |
| 133|[0x80005224]<br>0x00005554|- rs1_val==1431655765 and rs2_val==65535<br>                                                                                                                                                                                              |[0x80000afc]:mulhsu a2, a0, a1<br> [0x80000b00]:sw a2, 464(a3)<br>    |
| 134|[0x80005228]<br>0x00000000|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                                                                                                                  |[0x80000b10]:mulhsu a2, a0, a1<br> [0x80000b14]:sw a2, 468(a3)<br>    |
| 135|[0x8000522c]<br>0x1C71C71B|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                                                                                                         |[0x80000b28]:mulhsu a2, a0, a1<br> [0x80000b2c]:sw a2, 472(a3)<br>    |
| 136|[0x80005230]<br>0x38E38E38|- rs1_val==1431655765 and rs2_val==2863311529<br>                                                                                                                                                                                         |[0x80000b40]:mulhsu a2, a0, a1<br> [0x80000b44]:sw a2, 476(a3)<br>    |
| 137|[0x80005234]<br>0x00000001|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                                                                                                                  |[0x80000b54]:mulhsu a2, a0, a1<br> [0x80000b58]:sw a2, 480(a3)<br>    |
| 138|[0x80005238]<br>0x11111110|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                                                                                                          |[0x80000b6c]:mulhsu a2, a0, a1<br> [0x80000b70]:sw a2, 484(a3)<br>    |
| 139|[0x8000523c]<br>0x22222221|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                                                                                                         |[0x80000b84]:mulhsu a2, a0, a1<br> [0x80000b88]:sw a2, 488(a3)<br>    |
| 140|[0x80005240]<br>0x00003C56|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                                                                                                              |[0x80000b9c]:mulhsu a2, a0, a1<br> [0x80000ba0]:sw a2, 492(a3)<br>    |
| 141|[0x80005244]<br>0x00005554|- rs1_val==1431655765 and rs2_val==65534<br>                                                                                                                                                                                              |[0x80000bb4]:mulhsu a2, a0, a1<br> [0x80000bb8]:sw a2, 496(a3)<br>    |
| 142|[0x80005248]<br>0x1C71C71C|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                                                                                                         |[0x80000bcc]:mulhsu a2, a0, a1<br> [0x80000bd0]:sw a2, 500(a3)<br>    |
| 143|[0x8000524c]<br>0x38E38E38|- rs1_val==1431655765 and rs2_val==2863311531<br>                                                                                                                                                                                         |[0x80000be4]:mulhsu a2, a0, a1<br> [0x80000be8]:sw a2, 504(a3)<br>    |
| 144|[0x80005250]<br>0x00000001|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                                                                                                                  |[0x80000bf8]:mulhsu a2, a0, a1<br> [0x80000bfc]:sw a2, 508(a3)<br>    |
| 145|[0x80005254]<br>0x11111111|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                                                                                                          |[0x80000c10]:mulhsu a2, a0, a1<br> [0x80000c14]:sw a2, 512(a3)<br>    |
| 146|[0x80005258]<br>0x22222222|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                                                                                                         |[0x80000c28]:mulhsu a2, a0, a1<br> [0x80000c2c]:sw a2, 516(a3)<br>    |
| 147|[0x8000525c]<br>0x00003C56|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                                                                                                              |[0x80000c40]:mulhsu a2, a0, a1<br> [0x80000c44]:sw a2, 520(a3)<br>    |
| 148|[0x80005260]<br>0x00000000|- rs1_val==1431655765 and rs2_val==1<br>                                                                                                                                                                                                  |[0x80000c54]:mulhsu a2, a0, a1<br> [0x80000c58]:sw a2, 524(a3)<br>    |
| 149|[0x80005264]<br>0x00005555|- rs1_val==1431655765 and rs2_val==65536<br>                                                                                                                                                                                              |[0x80000c68]:mulhsu a2, a0, a1<br> [0x80000c6c]:sw a2, 528(a3)<br>    |
| 150|[0x80005268]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                                                                                                                 |[0x80000c7c]:mulhsu a2, a0, a1<br> [0x80000c80]:sw a2, 532(a3)<br>    |
| 151|[0x8000526c]<br>0xE38E38E3|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                                                                                                        |[0x80000c94]:mulhsu a2, a0, a1<br> [0x80000c98]:sw a2, 536(a3)<br>    |
| 152|[0x80005270]<br>0xC71C71C6|- rs1_val==-1431655766 and rs2_val==2863311530<br>                                                                                                                                                                                        |[0x80000cac]:mulhsu a2, a0, a1<br> [0x80000cb0]:sw a2, 540(a3)<br>    |
| 153|[0x80005274]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                                                                                                                 |[0x80000cc0]:mulhsu a2, a0, a1<br> [0x80000cc4]:sw a2, 544(a3)<br>    |
| 154|[0x80005278]<br>0xEEEEEEEE|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                                                                                                         |[0x80000cd8]:mulhsu a2, a0, a1<br> [0x80000cdc]:sw a2, 548(a3)<br>    |
| 155|[0x8000527c]<br>0xDDDDDDDD|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                                                                                                        |[0x80000cf0]:mulhsu a2, a0, a1<br> [0x80000cf4]:sw a2, 552(a3)<br>    |
| 156|[0x80005280]<br>0xFFFFC3A9|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                                                                                                             |[0x80000d08]:mulhsu a2, a0, a1<br> [0x80000d0c]:sw a2, 556(a3)<br>    |
| 157|[0x80005284]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                                                                                                                 |[0x80000d1c]:mulhsu a2, a0, a1<br> [0x80000d20]:sw a2, 560(a3)<br>    |
| 158|[0x80005288]<br>0xFFFFAAAA|- rs1_val==-1431655766 and rs2_val==65535<br>                                                                                                                                                                                             |[0x80000d34]:mulhsu a2, a0, a1<br> [0x80000d38]:sw a2, 564(a3)<br>    |
| 159|[0x8000528c]<br>0xFFFFFFFF|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                                                                                                                 |[0x80000d48]:mulhsu a2, a0, a1<br> [0x80000d4c]:sw a2, 568(a3)<br>    |
| 160|[0x80005290]<br>0xE38E38E3|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                                                                                                        |[0x80000d60]:mulhsu a2, a0, a1<br> [0x80000d64]:sw a2, 572(a3)<br>    |
| 161|[0x80005294]<br>0xC71C71C7|- rs1_val==-1431655766 and rs2_val==2863311529<br>                                                                                                                                                                                        |[0x80000d78]:mulhsu a2, a0, a1<br> [0x80000d7c]:sw a2, 576(a3)<br>    |
| 162|[0x80005298]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==4<br>                                                                                                                                                                                                 |[0x80000d8c]:mulhsu a2, a0, a1<br> [0x80000d90]:sw a2, 580(a3)<br>    |
| 163|[0x8000529c]<br>0xEEEEEEEF|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                                                                                                         |[0x80000da4]:mulhsu a2, a0, a1<br> [0x80000da8]:sw a2, 584(a3)<br>    |
| 164|[0x800052a0]<br>0xDDDDDDDE|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                                                                                                        |[0x80000dbc]:mulhsu a2, a0, a1<br> [0x80000dc0]:sw a2, 588(a3)<br>    |
| 165|[0x800052a4]<br>0xFFFFC3A9|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                                                                                                             |[0x80000dd4]:mulhsu a2, a0, a1<br> [0x80000dd8]:sw a2, 592(a3)<br>    |
| 166|[0x800052a8]<br>0xFFFFAAAB|- rs1_val==-1431655766 and rs2_val==65534<br>                                                                                                                                                                                             |[0x80000dec]:mulhsu a2, a0, a1<br> [0x80000df0]:sw a2, 596(a3)<br>    |
| 167|[0x800052ac]<br>0xE38E38E3|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                                                                                                        |[0x80000e04]:mulhsu a2, a0, a1<br> [0x80000e08]:sw a2, 600(a3)<br>    |
| 168|[0x800052b0]<br>0xC71C71C6|- rs1_val==-1431655766 and rs2_val==2863311531<br>                                                                                                                                                                                        |[0x80000e1c]:mulhsu a2, a0, a1<br> [0x80000e20]:sw a2, 604(a3)<br>    |
| 169|[0x800052b4]<br>0xFFFFFFFD|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                                                                                                                 |[0x80000e30]:mulhsu a2, a0, a1<br> [0x80000e34]:sw a2, 608(a3)<br>    |
| 170|[0x800052b8]<br>0xEEEEEEEE|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                                                                                                         |[0x80000e48]:mulhsu a2, a0, a1<br> [0x80000e4c]:sw a2, 612(a3)<br>    |
| 171|[0x800052bc]<br>0xDDDDDDDD|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                                                                                                        |[0x80000e60]:mulhsu a2, a0, a1<br> [0x80000e64]:sw a2, 616(a3)<br>    |
| 172|[0x800052c0]<br>0xFFFFC3A8|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                                                                                                             |[0x80000e78]:mulhsu a2, a0, a1<br> [0x80000e7c]:sw a2, 620(a3)<br>    |
| 173|[0x800052c4]<br>0xFFFFFFFF|- rs1_val==-1431655766 and rs2_val==1<br>                                                                                                                                                                                                 |[0x80000e8c]:mulhsu a2, a0, a1<br> [0x80000e90]:sw a2, 624(a3)<br>    |
| 174|[0x800052c8]<br>0xFFFFAAAA|- rs1_val==-1431655766 and rs2_val==65536<br>                                                                                                                                                                                             |[0x80000ea0]:mulhsu a2, a0, a1<br> [0x80000ea4]:sw a2, 628(a3)<br>    |
| 175|[0x800052cc]<br>0x00000000|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                                                           |[0x80000eb0]:mulhsu a2, a0, a1<br> [0x80000eb4]:sw a2, 632(a3)<br>    |
| 176|[0x800052d0]<br>0x00000001|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                                                                                                                  |[0x80000ec4]:mulhsu a2, a0, a1<br> [0x80000ec8]:sw a2, 636(a3)<br>    |
| 177|[0x800052d4]<br>0x00000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80000ed4]:mulhsu a2, a0, a1<br> [0x80000ed8]:sw a2, 640(a3)<br>    |
| 178|[0x800052d8]<br>0x00000000|- rs1_val==5 and rs2_val==858993459<br>                                                                                                                                                                                                   |[0x80000ee8]:mulhsu a2, a0, a1<br> [0x80000eec]:sw a2, 644(a3)<br>    |
| 179|[0x800052dc]<br>0x00000001|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                                                                                                                  |[0x80000efc]:mulhsu a2, a0, a1<br> [0x80000f00]:sw a2, 648(a3)<br>    |
| 180|[0x800052e0]<br>0x00000000|- rs1_val==5 and rs2_val==46340<br>                                                                                                                                                                                                       |[0x80000f10]:mulhsu a2, a0, a1<br> [0x80000f14]:sw a2, 652(a3)<br>    |
| 181|[0x800052e4]<br>0x00000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                                                           |[0x80000f20]:mulhsu a2, a0, a1<br> [0x80000f24]:sw a2, 656(a3)<br>    |
| 182|[0x800052e8]<br>0x00000000|- rs1_val==5 and rs2_val==65535<br>                                                                                                                                                                                                       |[0x80000f34]:mulhsu a2, a0, a1<br> [0x80000f38]:sw a2, 660(a3)<br>    |
| 183|[0x800052ec]<br>0x00000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                                                           |[0x80000f44]:mulhsu a2, a0, a1<br> [0x80000f48]:sw a2, 664(a3)<br>    |
| 184|[0x800052f0]<br>0x00000001|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                                                                                                                  |[0x80000f58]:mulhsu a2, a0, a1<br> [0x80000f5c]:sw a2, 668(a3)<br>    |
| 185|[0x800052f4]<br>0x00000003|- rs1_val==5 and rs2_val==2863311529<br>                                                                                                                                                                                                  |[0x80000f6c]:mulhsu a2, a0, a1<br> [0x80000f70]:sw a2, 672(a3)<br>    |
| 186|[0x800052f8]<br>0x00000000|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                                                           |[0x80000f7c]:mulhsu a2, a0, a1<br> [0x80000f80]:sw a2, 676(a3)<br>    |
| 187|[0x800052fc]<br>0x00000000|- rs1_val==5 and rs2_val==858993458<br>                                                                                                                                                                                                   |[0x80000f90]:mulhsu a2, a0, a1<br> [0x80000f94]:sw a2, 680(a3)<br>    |
| 188|[0x80005300]<br>0x00000001|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                                                                                                                  |[0x80000fa4]:mulhsu a2, a0, a1<br> [0x80000fa8]:sw a2, 684(a3)<br>    |
| 189|[0x80005304]<br>0x00000000|- rs1_val==5 and rs2_val==46339<br>                                                                                                                                                                                                       |[0x80000fb8]:mulhsu a2, a0, a1<br> [0x80000fbc]:sw a2, 688(a3)<br>    |
| 190|[0x80005308]<br>0x00000000|- rs1_val==5 and rs2_val==65534<br>                                                                                                                                                                                                       |[0x80000fcc]:mulhsu a2, a0, a1<br> [0x80000fd0]:sw a2, 692(a3)<br>    |
| 191|[0x8000530c]<br>0x00000001|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                                                                                                                  |[0x80000fe0]:mulhsu a2, a0, a1<br> [0x80000fe4]:sw a2, 696(a3)<br>    |
| 192|[0x80005310]<br>0x00000003|- rs1_val==5 and rs2_val==2863311531<br>                                                                                                                                                                                                  |[0x80000ff4]:mulhsu a2, a0, a1<br> [0x80000ff8]:sw a2, 700(a3)<br>    |
| 193|[0x80005314]<br>0x00000000|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80001004]:mulhsu a2, a0, a1<br> [0x80001008]:sw a2, 704(a3)<br>    |
| 194|[0x80005318]<br>0x00000001|- rs1_val==5 and rs2_val==858993460<br>                                                                                                                                                                                                   |[0x80001018]:mulhsu a2, a0, a1<br> [0x8000101c]:sw a2, 708(a3)<br>    |
| 195|[0x8000531c]<br>0x00000002|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                                                                                                                  |[0x8000102c]:mulhsu a2, a0, a1<br> [0x80001030]:sw a2, 712(a3)<br>    |
| 196|[0x80005320]<br>0x00000000|- rs1_val==5 and rs2_val==46341<br>                                                                                                                                                                                                       |[0x80001040]:mulhsu a2, a0, a1<br> [0x80001044]:sw a2, 716(a3)<br>    |
| 197|[0x80005324]<br>0x00000000|- rs1_val==5 and rs2_val==1<br>                                                                                                                                                                                                           |[0x80001050]:mulhsu a2, a0, a1<br> [0x80001054]:sw a2, 720(a3)<br>    |
| 198|[0x80005328]<br>0x00000000|- rs1_val==5 and rs2_val==65536<br>                                                                                                                                                                                                       |[0x80001060]:mulhsu a2, a0, a1<br> [0x80001064]:sw a2, 724(a3)<br>    |
| 199|[0x8000532c]<br>0x00000000|- rs1_val==858993459 and rs2_val==3<br>                                                                                                                                                                                                   |[0x80001074]:mulhsu a2, a0, a1<br> [0x80001078]:sw a2, 728(a3)<br>    |
| 200|[0x80005330]<br>0x11111110|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                                                                                                          |[0x8000108c]:mulhsu a2, a0, a1<br> [0x80001090]:sw a2, 732(a3)<br>    |
| 201|[0x80005334]<br>0x22222221|- rs1_val==858993459 and rs2_val==2863311530<br>                                                                                                                                                                                          |[0x800010a4]:mulhsu a2, a0, a1<br> [0x800010a8]:sw a2, 736(a3)<br>    |
| 202|[0x80005338]<br>0x00000000|- rs1_val==858993459 and rs2_val==5<br>                                                                                                                                                                                                   |[0x800010b8]:mulhsu a2, a0, a1<br> [0x800010bc]:sw a2, 740(a3)<br>    |
| 203|[0x8000533c]<br>0x0A3D70A3|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                                                                                                           |[0x800010d0]:mulhsu a2, a0, a1<br> [0x800010d4]:sw a2, 744(a3)<br>    |
| 204|[0x80005340]<br>0x147AE147|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                                                                                                          |[0x800010e8]:mulhsu a2, a0, a1<br> [0x800010ec]:sw a2, 748(a3)<br>    |
| 205|[0x80005344]<br>0x00002433|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                                                                                                               |[0x80001100]:mulhsu a2, a0, a1<br> [0x80001104]:sw a2, 752(a3)<br>    |
| 206|[0x80005348]<br>0x00000000|- rs1_val==858993459 and rs2_val==0<br>                                                                                                                                                                                                   |[0x80001114]:mulhsu a2, a0, a1<br> [0x80001118]:sw a2, 756(a3)<br>    |
| 207|[0x8000534c]<br>0x00003332|- rs1_val==858993459 and rs2_val==65535<br>                                                                                                                                                                                               |[0x8000112c]:mulhsu a2, a0, a1<br> [0x80001130]:sw a2, 760(a3)<br>    |
| 208|[0x80005350]<br>0x00000000|- rs1_val==858993459 and rs2_val==2<br>                                                                                                                                                                                                   |[0x80001140]:mulhsu a2, a0, a1<br> [0x80001144]:sw a2, 764(a3)<br>    |
| 209|[0x80005354]<br>0x11111110|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                                                                                                          |[0x80001158]:mulhsu a2, a0, a1<br> [0x8000115c]:sw a2, 768(a3)<br>    |
| 210|[0x80005358]<br>0x22222221|- rs1_val==858993459 and rs2_val==2863311529<br>                                                                                                                                                                                          |[0x80001170]:mulhsu a2, a0, a1<br> [0x80001174]:sw a2, 772(a3)<br>    |
| 211|[0x8000535c]<br>0x00000000|- rs1_val==858993459 and rs2_val==4<br>                                                                                                                                                                                                   |[0x80001184]:mulhsu a2, a0, a1<br> [0x80001188]:sw a2, 776(a3)<br>    |
| 212|[0x80005360]<br>0x0A3D70A3|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                                                                                                           |[0x8000119c]:mulhsu a2, a0, a1<br> [0x800011a0]:sw a2, 780(a3)<br>    |
| 213|[0x80005364]<br>0x147AE147|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                                                                                                          |[0x800011b4]:mulhsu a2, a0, a1<br> [0x800011b8]:sw a2, 784(a3)<br>    |
| 214|[0x80005368]<br>0x00002433|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                                                                                                               |[0x800011cc]:mulhsu a2, a0, a1<br> [0x800011d0]:sw a2, 788(a3)<br>    |
| 215|[0x8000536c]<br>0x00003332|- rs1_val==858993459 and rs2_val==65534<br>                                                                                                                                                                                               |[0x800011e4]:mulhsu a2, a0, a1<br> [0x800011e8]:sw a2, 792(a3)<br>    |
| 216|[0x80005370]<br>0x11111111|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                                                                                                          |[0x800011fc]:mulhsu a2, a0, a1<br> [0x80001200]:sw a2, 796(a3)<br>    |
| 217|[0x80005374]<br>0x22222222|- rs1_val==858993459 and rs2_val==2863311531<br>                                                                                                                                                                                          |[0x80001214]:mulhsu a2, a0, a1<br> [0x80001218]:sw a2, 800(a3)<br>    |
| 218|[0x80005378]<br>0x00000001|- rs1_val==858993459 and rs2_val==6<br>                                                                                                                                                                                                   |[0x80001228]:mulhsu a2, a0, a1<br> [0x8000122c]:sw a2, 804(a3)<br>    |
| 219|[0x8000537c]<br>0x0A3D70A3|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                                                                                                           |[0x80001240]:mulhsu a2, a0, a1<br> [0x80001244]:sw a2, 808(a3)<br>    |
| 220|[0x80005380]<br>0x147AE147|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                                                                                                          |[0x80001258]:mulhsu a2, a0, a1<br> [0x8000125c]:sw a2, 812(a3)<br>    |
| 221|[0x80005384]<br>0x00002434|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                                                                                                               |[0x80001270]:mulhsu a2, a0, a1<br> [0x80001274]:sw a2, 816(a3)<br>    |
| 222|[0x80005388]<br>0x00000000|- rs1_val==858993459 and rs2_val==1<br>                                                                                                                                                                                                   |[0x80001284]:mulhsu a2, a0, a1<br> [0x80001288]:sw a2, 820(a3)<br>    |
| 223|[0x8000538c]<br>0x00003333|- rs1_val==858993459 and rs2_val==65536<br>                                                                                                                                                                                               |[0x80001298]:mulhsu a2, a0, a1<br> [0x8000129c]:sw a2, 824(a3)<br>    |
| 224|[0x80005390]<br>0x00000001|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                                                                                                                  |[0x800012ac]:mulhsu a2, a0, a1<br> [0x800012b0]:sw a2, 828(a3)<br>    |
| 225|[0x80005394]<br>0x22222221|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                                                                                                         |[0x800012c4]:mulhsu a2, a0, a1<br> [0x800012c8]:sw a2, 832(a3)<br>    |
| 226|[0x80005398]<br>0x44444443|- rs1_val==1717986918 and rs2_val==2863311530<br>                                                                                                                                                                                         |[0x800012dc]:mulhsu a2, a0, a1<br> [0x800012e0]:sw a2, 836(a3)<br>    |
| 227|[0x8000539c]<br>0x00000001|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                                                                                                                  |[0x800012f0]:mulhsu a2, a0, a1<br> [0x800012f4]:sw a2, 840(a3)<br>    |
| 228|[0x800053a0]<br>0x147AE147|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                                                                                                          |[0x80001308]:mulhsu a2, a0, a1<br> [0x8000130c]:sw a2, 844(a3)<br>    |
| 229|[0x800053a4]<br>0x28F5C28F|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                                                                                                         |[0x80001320]:mulhsu a2, a0, a1<br> [0x80001324]:sw a2, 848(a3)<br>    |
| 230|[0x800053a8]<br>0x00004867|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                                                                                                              |[0x80001338]:mulhsu a2, a0, a1<br> [0x8000133c]:sw a2, 852(a3)<br>    |
| 231|[0x800053ac]<br>0x00000000|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                                                                                                                  |[0x8000134c]:mulhsu a2, a0, a1<br> [0x80001350]:sw a2, 856(a3)<br>    |
| 232|[0x800053b0]<br>0x00006665|- rs1_val==1717986918 and rs2_val==65535<br>                                                                                                                                                                                              |[0x80001364]:mulhsu a2, a0, a1<br> [0x80001368]:sw a2, 860(a3)<br>    |
| 233|[0x800053b4]<br>0x00000000|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                                                                                                                  |[0x80001378]:mulhsu a2, a0, a1<br> [0x8000137c]:sw a2, 864(a3)<br>    |
| 234|[0x800053b8]<br>0x22222221|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                                                                                                         |[0x80001390]:mulhsu a2, a0, a1<br> [0x80001394]:sw a2, 868(a3)<br>    |
| 235|[0x800053bc]<br>0x44444443|- rs1_val==1717986918 and rs2_val==2863311529<br>                                                                                                                                                                                         |[0x800013a8]:mulhsu a2, a0, a1<br> [0x800013ac]:sw a2, 872(a3)<br>    |
| 236|[0x800053c0]<br>0x00000001|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                                                                                                                  |[0x800013bc]:mulhsu a2, a0, a1<br> [0x800013c0]:sw a2, 876(a3)<br>    |
| 237|[0x800053c4]<br>0x147AE147|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                                                                                                          |[0x800013d4]:mulhsu a2, a0, a1<br> [0x800013d8]:sw a2, 880(a3)<br>    |
| 238|[0x800053c8]<br>0x28F5C28E|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                                                                                                         |[0x800013ec]:mulhsu a2, a0, a1<br> [0x800013f0]:sw a2, 884(a3)<br>    |
| 239|[0x800053cc]<br>0x00004867|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                                                                                                              |[0x80001404]:mulhsu a2, a0, a1<br> [0x80001408]:sw a2, 888(a3)<br>    |
| 240|[0x800053d0]<br>0x00006665|- rs1_val==1717986918 and rs2_val==65534<br>                                                                                                                                                                                              |[0x8000141c]:mulhsu a2, a0, a1<br> [0x80001420]:sw a2, 892(a3)<br>    |
| 241|[0x800053d4]<br>0x22222222|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                                                                                                         |[0x80001434]:mulhsu a2, a0, a1<br> [0x80001438]:sw a2, 896(a3)<br>    |
| 242|[0x800053d8]<br>0x44444444|- rs1_val==1717986918 and rs2_val==2863311531<br>                                                                                                                                                                                         |[0x8000144c]:mulhsu a2, a0, a1<br> [0x80001450]:sw a2, 900(a3)<br>    |
| 243|[0x800053dc]<br>0x00000002|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                                                                                                                  |[0x80001460]:mulhsu a2, a0, a1<br> [0x80001464]:sw a2, 904(a3)<br>    |
| 244|[0x800053e0]<br>0x147AE147|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                                                                                                          |[0x80001478]:mulhsu a2, a0, a1<br> [0x8000147c]:sw a2, 908(a3)<br>    |
| 245|[0x800053e4]<br>0x28F5C28F|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                                                                                                         |[0x80001490]:mulhsu a2, a0, a1<br> [0x80001494]:sw a2, 912(a3)<br>    |
| 246|[0x800053e8]<br>0x00004868|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                                                                                                              |[0x800014a8]:mulhsu a2, a0, a1<br> [0x800014ac]:sw a2, 916(a3)<br>    |
| 247|[0x800053ec]<br>0x00000000|- rs1_val==1717986918 and rs2_val==1<br>                                                                                                                                                                                                  |[0x800014bc]:mulhsu a2, a0, a1<br> [0x800014c0]:sw a2, 920(a3)<br>    |
| 248|[0x800053f0]<br>0x00006666|- rs1_val==1717986918 and rs2_val==65536<br>                                                                                                                                                                                              |[0x800014d0]:mulhsu a2, a0, a1<br> [0x800014d4]:sw a2, 924(a3)<br>    |
| 249|[0x800053f4]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                                                                                                      |[0x800014e4]:mulhsu a2, a0, a1<br> [0x800014e8]:sw a2, 928(a3)<br>    |
| 250|[0x800053f8]<br>0xFFFFC3A9|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                                                                                                             |[0x800014fc]:mulhsu a2, a0, a1<br> [0x80001500]:sw a2, 932(a3)<br>    |
| 251|[0x800053fc]<br>0xFFFF8752|- rs1_val==-46340 and rs2_val==2863311530<br>                                                                                                                                                                                             |[0x80001514]:mulhsu a2, a0, a1<br> [0x80001518]:sw a2, 936(a3)<br>    |
| 252|[0x80005400]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                                                                                                      |[0x80001528]:mulhsu a2, a0, a1<br> [0x8000152c]:sw a2, 940(a3)<br>    |
| 253|[0x80005404]<br>0xFFFFDBCC|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                                                                                                              |[0x80001540]:mulhsu a2, a0, a1<br> [0x80001544]:sw a2, 944(a3)<br>    |
| 254|[0x80005408]<br>0xFFFFB798|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                                                                                                             |[0x80001558]:mulhsu a2, a0, a1<br> [0x8000155c]:sw a2, 948(a3)<br>    |
| 255|[0x8000540c]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                                                                                                                  |[0x80001570]:mulhsu a2, a0, a1<br> [0x80001574]:sw a2, 952(a3)<br>    |
| 256|[0x80005410]<br>0x00000000|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                                                                                                      |[0x80001584]:mulhsu a2, a0, a1<br> [0x80001588]:sw a2, 956(a3)<br>    |
| 257|[0x80005414]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==65535<br>                                                                                                                                                                                                  |[0x8000159c]:mulhsu a2, a0, a1<br> [0x800015a0]:sw a2, 960(a3)<br>    |
| 258|[0x80005418]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                                                                                                      |[0x800015b0]:mulhsu a2, a0, a1<br> [0x800015b4]:sw a2, 964(a3)<br>    |
| 259|[0x8000541c]<br>0xFFFFC3A9|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                                                                                                             |[0x800015c8]:mulhsu a2, a0, a1<br> [0x800015cc]:sw a2, 968(a3)<br>    |
| 260|[0x80005420]<br>0xFFFF8752|- rs1_val==-46340 and rs2_val==2863311529<br>                                                                                                                                                                                             |[0x800015e0]:mulhsu a2, a0, a1<br> [0x800015e4]:sw a2, 972(a3)<br>    |
| 261|[0x80005424]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                                                                                                      |[0x800015f4]:mulhsu a2, a0, a1<br> [0x800015f8]:sw a2, 976(a3)<br>    |
| 262|[0x80005428]<br>0xFFFFDBCC|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                                                                                                              |[0x8000160c]:mulhsu a2, a0, a1<br> [0x80001610]:sw a2, 980(a3)<br>    |
| 263|[0x8000542c]<br>0xFFFFB798|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                                                                                                             |[0x80001624]:mulhsu a2, a0, a1<br> [0x80001628]:sw a2, 984(a3)<br>    |
| 264|[0x80005430]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                                                                                                                  |[0x8000163c]:mulhsu a2, a0, a1<br> [0x80001640]:sw a2, 988(a3)<br>    |
| 265|[0x80005434]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==65534<br>                                                                                                                                                                                                  |[0x80001654]:mulhsu a2, a0, a1<br> [0x80001658]:sw a2, 992(a3)<br>    |
| 266|[0x80005438]<br>0xFFFFC3A9|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                                                                                                             |[0x8000166c]:mulhsu a2, a0, a1<br> [0x80001670]:sw a2, 996(a3)<br>    |
| 267|[0x8000543c]<br>0xFFFF8752|- rs1_val==-46340 and rs2_val==2863311531<br>                                                                                                                                                                                             |[0x80001684]:mulhsu a2, a0, a1<br> [0x80001688]:sw a2, 1000(a3)<br>   |
| 268|[0x80005440]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                                                                                                      |[0x80001698]:mulhsu a2, a0, a1<br> [0x8000169c]:sw a2, 1004(a3)<br>   |
| 269|[0x80005444]<br>0xFFFFDBCB|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                                                                                                              |[0x800016b0]:mulhsu a2, a0, a1<br> [0x800016b4]:sw a2, 1008(a3)<br>   |
| 270|[0x80005448]<br>0xFFFFB797|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                                                                                                             |[0x800016c8]:mulhsu a2, a0, a1<br> [0x800016cc]:sw a2, 1012(a3)<br>   |
| 271|[0x8000544c]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                                                                                                                  |[0x800016e0]:mulhsu a2, a0, a1<br> [0x800016e4]:sw a2, 1016(a3)<br>   |
| 272|[0x80005450]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==1<br>                                                                                                                                                                                                      |[0x800016f4]:mulhsu a2, a0, a1<br> [0x800016f8]:sw a2, 1020(a3)<br>   |
| 273|[0x80005454]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==65536<br>                                                                                                                                                                                                  |[0x80001708]:mulhsu a2, a0, a1<br> [0x8000170c]:sw a2, 1024(a3)<br>   |
| 274|[0x80005458]<br>0x00000000|- rs1_val==46340 and rs2_val==3<br>                                                                                                                                                                                                       |[0x8000171c]:mulhsu a2, a0, a1<br> [0x80001720]:sw a2, 1028(a3)<br>   |
| 275|[0x8000545c]<br>0x00003C56|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                                                                                                              |[0x80001734]:mulhsu a2, a0, a1<br> [0x80001738]:sw a2, 1032(a3)<br>   |
| 276|[0x80005460]<br>0x000078AD|- rs1_val==46340 and rs2_val==2863311530<br>                                                                                                                                                                                              |[0x8000174c]:mulhsu a2, a0, a1<br> [0x80001750]:sw a2, 1036(a3)<br>   |
| 277|[0x80005464]<br>0x00000000|- rs1_val==46340 and rs2_val==5<br>                                                                                                                                                                                                       |[0x80001760]:mulhsu a2, a0, a1<br> [0x80001764]:sw a2, 1040(a3)<br>   |
| 278|[0x80005468]<br>0x00002433|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                                                                                                               |[0x80001778]:mulhsu a2, a0, a1<br> [0x8000177c]:sw a2, 1044(a3)<br>   |
| 279|[0x8000546c]<br>0x00004867|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                                                                                                              |[0x80001790]:mulhsu a2, a0, a1<br> [0x80001794]:sw a2, 1048(a3)<br>   |
| 280|[0x80005470]<br>0x00000000|- rs1_val==46340 and rs2_val==46340<br>                                                                                                                                                                                                   |[0x800017a8]:mulhsu a2, a0, a1<br> [0x800017ac]:sw a2, 1052(a3)<br>   |
| 281|[0x80005474]<br>0x00000000|- rs1_val==46340 and rs2_val==0<br>                                                                                                                                                                                                       |[0x800017bc]:mulhsu a2, a0, a1<br> [0x800017c0]:sw a2, 1056(a3)<br>   |
| 282|[0x80005478]<br>0x00000000|- rs1_val==46340 and rs2_val==65535<br>                                                                                                                                                                                                   |[0x800017d4]:mulhsu a2, a0, a1<br> [0x800017d8]:sw a2, 1060(a3)<br>   |
| 283|[0x8000547c]<br>0x00000000|- rs1_val==46340 and rs2_val==2<br>                                                                                                                                                                                                       |[0x800017e8]:mulhsu a2, a0, a1<br> [0x800017ec]:sw a2, 1064(a3)<br>   |
| 284|[0x80005480]<br>0x00003C56|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                                                                                                              |[0x80001800]:mulhsu a2, a0, a1<br> [0x80001804]:sw a2, 1068(a3)<br>   |
| 285|[0x80005484]<br>0x000078AD|- rs1_val==46340 and rs2_val==2863311529<br>                                                                                                                                                                                              |[0x80001818]:mulhsu a2, a0, a1<br> [0x8000181c]:sw a2, 1072(a3)<br>   |
| 286|[0x80005488]<br>0x00000000|- rs1_val==46340 and rs2_val==4<br>                                                                                                                                                                                                       |[0x8000182c]:mulhsu a2, a0, a1<br> [0x80001830]:sw a2, 1076(a3)<br>   |
| 287|[0x8000548c]<br>0x00002433|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                                                                                                               |[0x80001844]:mulhsu a2, a0, a1<br> [0x80001848]:sw a2, 1080(a3)<br>   |
| 288|[0x80005490]<br>0x00004867|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                                                                                                              |[0x8000185c]:mulhsu a2, a0, a1<br> [0x80001860]:sw a2, 1084(a3)<br>   |
| 289|[0x80005494]<br>0x00000000|- rs1_val==46340 and rs2_val==46339<br>                                                                                                                                                                                                   |[0x80001874]:mulhsu a2, a0, a1<br> [0x80001878]:sw a2, 1088(a3)<br>   |
| 290|[0x80005498]<br>0x00000000|- rs1_val==46340 and rs2_val==65534<br>                                                                                                                                                                                                   |[0x8000188c]:mulhsu a2, a0, a1<br> [0x80001890]:sw a2, 1092(a3)<br>   |
| 291|[0x8000549c]<br>0x00003C56|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                                                                                                              |[0x800018a4]:mulhsu a2, a0, a1<br> [0x800018a8]:sw a2, 1096(a3)<br>   |
| 292|[0x800054a0]<br>0x000078AD|- rs1_val==46340 and rs2_val==2863311531<br>                                                                                                                                                                                              |[0x800018bc]:mulhsu a2, a0, a1<br> [0x800018c0]:sw a2, 1100(a3)<br>   |
| 293|[0x800054a4]<br>0x00000000|- rs1_val==46340 and rs2_val==6<br>                                                                                                                                                                                                       |[0x800018d0]:mulhsu a2, a0, a1<br> [0x800018d4]:sw a2, 1104(a3)<br>   |
| 294|[0x800054a8]<br>0x00002434|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                                                                                                               |[0x800018e8]:mulhsu a2, a0, a1<br> [0x800018ec]:sw a2, 1108(a3)<br>   |
| 295|[0x800054ac]<br>0x00004868|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                                                                                                              |[0x80001900]:mulhsu a2, a0, a1<br> [0x80001904]:sw a2, 1112(a3)<br>   |
| 296|[0x800054b0]<br>0x00000000|- rs1_val==46340 and rs2_val==46341<br>                                                                                                                                                                                                   |[0x80001918]:mulhsu a2, a0, a1<br> [0x8000191c]:sw a2, 1116(a3)<br>   |
| 297|[0x800054b4]<br>0x00000000|- rs1_val==46340 and rs2_val==1<br>                                                                                                                                                                                                       |[0x8000192c]:mulhsu a2, a0, a1<br> [0x80001930]:sw a2, 1120(a3)<br>   |
| 298|[0x800054b8]<br>0x00000000|- rs1_val==46340 and rs2_val==65536<br>                                                                                                                                                                                                   |[0x80001940]:mulhsu a2, a0, a1<br> [0x80001944]:sw a2, 1124(a3)<br>   |
| 299|[0x800054bc]<br>0x00000000|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                                                                           |[0x80001950]:mulhsu a2, a0, a1<br> [0x80001954]:sw a2, 1128(a3)<br>   |
| 300|[0x800054c0]<br>0x00000000|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                                                                                                                  |[0x80001964]:mulhsu a2, a0, a1<br> [0x80001968]:sw a2, 1132(a3)<br>   |
| 301|[0x800054c4]<br>0x00000001|- rs1_val==2 and rs2_val==2863311530<br>                                                                                                                                                                                                  |[0x80001978]:mulhsu a2, a0, a1<br> [0x8000197c]:sw a2, 1136(a3)<br>   |
| 302|[0x800054c8]<br>0x00000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80001988]:mulhsu a2, a0, a1<br> [0x8000198c]:sw a2, 1140(a3)<br>   |
| 303|[0x800054cc]<br>0x00000000|- rs1_val==2 and rs2_val==858993459<br>                                                                                                                                                                                                   |[0x8000199c]:mulhsu a2, a0, a1<br> [0x800019a0]:sw a2, 1144(a3)<br>   |
| 304|[0x800054d0]<br>0x00000000|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                                                                                                                  |[0x800019b0]:mulhsu a2, a0, a1<br> [0x800019b4]:sw a2, 1148(a3)<br>   |
| 305|[0x800054d4]<br>0x00000000|- rs1_val==2 and rs2_val==46340<br>                                                                                                                                                                                                       |[0x800019c4]:mulhsu a2, a0, a1<br> [0x800019c8]:sw a2, 1152(a3)<br>   |
| 306|[0x800054d8]<br>0x00000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                                                                           |[0x800019d4]:mulhsu a2, a0, a1<br> [0x800019d8]:sw a2, 1156(a3)<br>   |
| 307|[0x800054dc]<br>0x00000000|- rs1_val==2 and rs2_val==65535<br>                                                                                                                                                                                                       |[0x800019e8]:mulhsu a2, a0, a1<br> [0x800019ec]:sw a2, 1160(a3)<br>   |
| 308|[0x800054e0]<br>0x00000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                                                           |[0x800019f8]:mulhsu a2, a0, a1<br> [0x800019fc]:sw a2, 1164(a3)<br>   |
| 309|[0x800054e4]<br>0x00000000|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                                                                                                                  |[0x80001a0c]:mulhsu a2, a0, a1<br> [0x80001a10]:sw a2, 1168(a3)<br>   |
| 310|[0x800054e8]<br>0x00000001|- rs1_val==2 and rs2_val==2863311529<br>                                                                                                                                                                                                  |[0x80001a20]:mulhsu a2, a0, a1<br> [0x80001a24]:sw a2, 1172(a3)<br>   |
| 311|[0x800054ec]<br>0x00000000|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                                                           |[0x80001a30]:mulhsu a2, a0, a1<br> [0x80001a34]:sw a2, 1176(a3)<br>   |
| 312|[0x800054f0]<br>0x00000000|- rs1_val==2 and rs2_val==858993458<br>                                                                                                                                                                                                   |[0x80001a44]:mulhsu a2, a0, a1<br> [0x80001a48]:sw a2, 1180(a3)<br>   |
| 313|[0x800054f4]<br>0x00000000|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                                                                                                                  |[0x80001a58]:mulhsu a2, a0, a1<br> [0x80001a5c]:sw a2, 1184(a3)<br>   |
| 314|[0x800054f8]<br>0x00000000|- rs1_val==2 and rs2_val==46339<br>                                                                                                                                                                                                       |[0x80001a6c]:mulhsu a2, a0, a1<br> [0x80001a70]:sw a2, 1188(a3)<br>   |
| 315|[0x800054fc]<br>0x00000000|- rs1_val==2 and rs2_val==65534<br>                                                                                                                                                                                                       |[0x80001a80]:mulhsu a2, a0, a1<br> [0x80001a84]:sw a2, 1192(a3)<br>   |
| 316|[0x80005500]<br>0x00000000|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                                                                                                                  |[0x80001a94]:mulhsu a2, a0, a1<br> [0x80001a98]:sw a2, 1196(a3)<br>   |
| 317|[0x80005504]<br>0x00000001|- rs1_val==2 and rs2_val==2863311531<br>                                                                                                                                                                                                  |[0x80001aa8]:mulhsu a2, a0, a1<br> [0x80001aac]:sw a2, 1200(a3)<br>   |
| 318|[0x80005508]<br>0x00000000|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80001ab8]:mulhsu a2, a0, a1<br> [0x80001abc]:sw a2, 1204(a3)<br>   |
| 319|[0x8000550c]<br>0x00000000|- rs1_val==2 and rs2_val==858993460<br>                                                                                                                                                                                                   |[0x80001acc]:mulhsu a2, a0, a1<br> [0x80001ad0]:sw a2, 1208(a3)<br>   |
| 320|[0x80005510]<br>0x00000000|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                                                                                                                  |[0x80001ae0]:mulhsu a2, a0, a1<br> [0x80001ae4]:sw a2, 1212(a3)<br>   |
| 321|[0x80005514]<br>0x00000000|- rs1_val==2 and rs2_val==46341<br>                                                                                                                                                                                                       |[0x80001af4]:mulhsu a2, a0, a1<br> [0x80001af8]:sw a2, 1216(a3)<br>   |
| 322|[0x80005518]<br>0x00000000|- rs1_val==2 and rs2_val==1<br>                                                                                                                                                                                                           |[0x80001b04]:mulhsu a2, a0, a1<br> [0x80001b08]:sw a2, 1220(a3)<br>   |
| 323|[0x8000551c]<br>0x00000000|- rs1_val==2 and rs2_val==65536<br>                                                                                                                                                                                                       |[0x80001b14]:mulhsu a2, a0, a1<br> [0x80001b18]:sw a2, 1224(a3)<br>   |
| 324|[0x80005520]<br>0x00000000|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                                                                                                                  |[0x80001b28]:mulhsu a2, a0, a1<br> [0x80001b2c]:sw a2, 1228(a3)<br>   |
| 325|[0x80005524]<br>0x1C71C71B|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                                                                                                         |[0x80001b40]:mulhsu a2, a0, a1<br> [0x80001b44]:sw a2, 1232(a3)<br>   |
| 326|[0x80005528]<br>0x38E38E37|- rs1_val==1431655764 and rs2_val==2863311530<br>                                                                                                                                                                                         |[0x80001b58]:mulhsu a2, a0, a1<br> [0x80001b5c]:sw a2, 1236(a3)<br>   |
| 327|[0x8000552c]<br>0x00000001|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                                                                                                                  |[0x80001b6c]:mulhsu a2, a0, a1<br> [0x80001b70]:sw a2, 1240(a3)<br>   |
| 328|[0x80005530]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                                                                                                          |[0x80001b84]:mulhsu a2, a0, a1<br> [0x80001b88]:sw a2, 1244(a3)<br>   |
| 329|[0x80005534]<br>0x22222221|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                                                                                                         |[0x80001b9c]:mulhsu a2, a0, a1<br> [0x80001ba0]:sw a2, 1248(a3)<br>   |
| 330|[0x80005538]<br>0x00003C56|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                                                                                                              |[0x80001bb4]:mulhsu a2, a0, a1<br> [0x80001bb8]:sw a2, 1252(a3)<br>   |
| 331|[0x8000553c]<br>0x00000000|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                                                                                                                  |[0x80001bc8]:mulhsu a2, a0, a1<br> [0x80001bcc]:sw a2, 1256(a3)<br>   |
| 332|[0x80005540]<br>0x00005554|- rs1_val==1431655764 and rs2_val==65535<br>                                                                                                                                                                                              |[0x80001be0]:mulhsu a2, a0, a1<br> [0x80001be4]:sw a2, 1260(a3)<br>   |
| 333|[0x80005544]<br>0x00000000|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                                                                                                                  |[0x80001bf4]:mulhsu a2, a0, a1<br> [0x80001bf8]:sw a2, 1264(a3)<br>   |
| 334|[0x80005548]<br>0x1C71C71B|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                                                                                                         |[0x80001c0c]:mulhsu a2, a0, a1<br> [0x80001c10]:sw a2, 1268(a3)<br>   |
| 335|[0x8000554c]<br>0x38E38E37|- rs1_val==1431655764 and rs2_val==2863311529<br>                                                                                                                                                                                         |[0x80001c24]:mulhsu a2, a0, a1<br> [0x80001c28]:sw a2, 1272(a3)<br>   |
| 336|[0x80005550]<br>0x00000001|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                                                                                                                  |[0x80001c38]:mulhsu a2, a0, a1<br> [0x80001c3c]:sw a2, 1276(a3)<br>   |
| 337|[0x80005554]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                                                                                                          |[0x80001c50]:mulhsu a2, a0, a1<br> [0x80001c54]:sw a2, 1280(a3)<br>   |
| 338|[0x80005558]<br>0x22222221|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                                                                                                         |[0x80001c68]:mulhsu a2, a0, a1<br> [0x80001c6c]:sw a2, 1284(a3)<br>   |
| 339|[0x8000555c]<br>0x00003C56|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                                                                                                              |[0x80001c80]:mulhsu a2, a0, a1<br> [0x80001c84]:sw a2, 1288(a3)<br>   |
| 340|[0x80005560]<br>0x00005554|- rs1_val==1431655764 and rs2_val==65534<br>                                                                                                                                                                                              |[0x80001c98]:mulhsu a2, a0, a1<br> [0x80001c9c]:sw a2, 1292(a3)<br>   |
| 341|[0x80005564]<br>0x1C71C71C|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                                                                                                         |[0x80001cb0]:mulhsu a2, a0, a1<br> [0x80001cb4]:sw a2, 1296(a3)<br>   |
| 342|[0x80005568]<br>0x38E38E38|- rs1_val==1431655764 and rs2_val==2863311531<br>                                                                                                                                                                                         |[0x80001cc8]:mulhsu a2, a0, a1<br> [0x80001ccc]:sw a2, 1300(a3)<br>   |
| 343|[0x8000556c]<br>0x00000001|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                                                                                                                  |[0x80001cdc]:mulhsu a2, a0, a1<br> [0x80001ce0]:sw a2, 1304(a3)<br>   |
| 344|[0x80005570]<br>0x11111111|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                                                                                                          |[0x80001cf4]:mulhsu a2, a0, a1<br> [0x80001cf8]:sw a2, 1308(a3)<br>   |
| 345|[0x80005574]<br>0x22222221|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                                                                                                         |[0x80001d0c]:mulhsu a2, a0, a1<br> [0x80001d10]:sw a2, 1312(a3)<br>   |
| 346|[0x80005578]<br>0x00003C56|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                                                                                                              |[0x80001d24]:mulhsu a2, a0, a1<br> [0x80001d28]:sw a2, 1316(a3)<br>   |
| 347|[0x8000557c]<br>0x00000000|- rs1_val==1431655764 and rs2_val==1<br>                                                                                                                                                                                                  |[0x80001d38]:mulhsu a2, a0, a1<br> [0x80001d3c]:sw a2, 1320(a3)<br>   |
| 348|[0x80005580]<br>0x00005555|- rs1_val==1431655764 and rs2_val==65536<br>                                                                                                                                                                                              |[0x80001d4c]:mulhsu a2, a0, a1<br> [0x80001d50]:sw a2, 1324(a3)<br>   |
| 349|[0x80005584]<br>0x00000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                                                           |[0x80001d5c]:mulhsu a2, a0, a1<br> [0x80001d60]:sw a2, 1328(a3)<br>   |
| 350|[0x80005588]<br>0x00000000|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                                                                                                                  |[0x80001d70]:mulhsu a2, a0, a1<br> [0x80001d74]:sw a2, 1332(a3)<br>   |
| 351|[0x8000558c]<br>0x00000000|- rs1_val==0 and rs2_val==2863311530<br>                                                                                                                                                                                                  |[0x80001d84]:mulhsu a2, a0, a1<br> [0x80001d88]:sw a2, 1336(a3)<br>   |
| 352|[0x80005590]<br>0x00000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80001d94]:mulhsu a2, a0, a1<br> [0x80001d98]:sw a2, 1340(a3)<br>   |
| 353|[0x80005594]<br>0x00000000|- rs1_val==0 and rs2_val==858993459<br>                                                                                                                                                                                                   |[0x80001da8]:mulhsu a2, a0, a1<br> [0x80001dac]:sw a2, 1344(a3)<br>   |
| 354|[0x80005598]<br>0x00000000|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                                                                                                                  |[0x80001dbc]:mulhsu a2, a0, a1<br> [0x80001dc0]:sw a2, 1348(a3)<br>   |
| 355|[0x8000559c]<br>0x00000000|- rs1_val==0 and rs2_val==46340<br>                                                                                                                                                                                                       |[0x80001dd0]:mulhsu a2, a0, a1<br> [0x80001dd4]:sw a2, 1352(a3)<br>   |
| 356|[0x800055a0]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                                                                           |[0x80001de0]:mulhsu a2, a0, a1<br> [0x80001de4]:sw a2, 1356(a3)<br>   |
| 357|[0x800055a4]<br>0x00000000|- rs1_val==0 and rs2_val==65535<br>                                                                                                                                                                                                       |[0x80001df4]:mulhsu a2, a0, a1<br> [0x80001df8]:sw a2, 1360(a3)<br>   |
| 358|[0x800055a8]<br>0x00000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                                                                           |[0x80001e04]:mulhsu a2, a0, a1<br> [0x80001e08]:sw a2, 1364(a3)<br>   |
| 359|[0x800055ac]<br>0x00000000|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                                                                                                                  |[0x80001e18]:mulhsu a2, a0, a1<br> [0x80001e1c]:sw a2, 1368(a3)<br>   |
| 360|[0x800055b0]<br>0x00000000|- rs1_val==0 and rs2_val==2863311529<br>                                                                                                                                                                                                  |[0x80001e2c]:mulhsu a2, a0, a1<br> [0x80001e30]:sw a2, 1372(a3)<br>   |
| 361|[0x800055b4]<br>0x00000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                                                           |[0x80001e3c]:mulhsu a2, a0, a1<br> [0x80001e40]:sw a2, 1376(a3)<br>   |
| 362|[0x800055b8]<br>0x00000000|- rs1_val==0 and rs2_val==858993458<br>                                                                                                                                                                                                   |[0x80001e50]:mulhsu a2, a0, a1<br> [0x80001e54]:sw a2, 1380(a3)<br>   |
| 363|[0x800055bc]<br>0x00000000|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                                                                                                                  |[0x80001e64]:mulhsu a2, a0, a1<br> [0x80001e68]:sw a2, 1384(a3)<br>   |
| 364|[0x800055c0]<br>0x00000000|- rs1_val==0 and rs2_val==46339<br>                                                                                                                                                                                                       |[0x80001e78]:mulhsu a2, a0, a1<br> [0x80001e7c]:sw a2, 1388(a3)<br>   |
| 365|[0x800055c4]<br>0x00000000|- rs1_val==0 and rs2_val==65534<br>                                                                                                                                                                                                       |[0x80001e8c]:mulhsu a2, a0, a1<br> [0x80001e90]:sw a2, 1392(a3)<br>   |
| 366|[0x800055c8]<br>0x00000000|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                                                                                                                  |[0x80001ea0]:mulhsu a2, a0, a1<br> [0x80001ea4]:sw a2, 1396(a3)<br>   |
| 367|[0x800055cc]<br>0x00000000|- rs1_val==0 and rs2_val==2863311531<br>                                                                                                                                                                                                  |[0x80001eb4]:mulhsu a2, a0, a1<br> [0x80001eb8]:sw a2, 1400(a3)<br>   |
| 368|[0x800055d0]<br>0x00000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80001ec4]:mulhsu a2, a0, a1<br> [0x80001ec8]:sw a2, 1404(a3)<br>   |
| 369|[0x800055d4]<br>0x00000000|- rs1_val==0 and rs2_val==858993460<br>                                                                                                                                                                                                   |[0x80001ed8]:mulhsu a2, a0, a1<br> [0x80001edc]:sw a2, 1408(a3)<br>   |
| 370|[0x800055d8]<br>0x00000000|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                                                                                                                  |[0x80001eec]:mulhsu a2, a0, a1<br> [0x80001ef0]:sw a2, 1412(a3)<br>   |
| 371|[0x800055dc]<br>0x00000000|- rs1_val==0 and rs2_val==46341<br>                                                                                                                                                                                                       |[0x80001f00]:mulhsu a2, a0, a1<br> [0x80001f04]:sw a2, 1416(a3)<br>   |
| 372|[0x800055e0]<br>0x00000000|- rs1_val==0 and rs2_val==1<br>                                                                                                                                                                                                           |[0x80001f10]:mulhsu a2, a0, a1<br> [0x80001f14]:sw a2, 1420(a3)<br>   |
| 373|[0x800055e4]<br>0x00000000|- rs1_val==0 and rs2_val==65536<br>                                                                                                                                                                                                       |[0x80001f20]:mulhsu a2, a0, a1<br> [0x80001f24]:sw a2, 1424(a3)<br>   |
| 374|[0x800055e8]<br>0x00000001|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                                                                                                                  |[0x80001f34]:mulhsu a2, a0, a1<br> [0x80001f38]:sw a2, 1428(a3)<br>   |
| 375|[0x800055ec]<br>0x00000002|- rs1_val==4 and rs2_val==2863311530<br>                                                                                                                                                                                                  |[0x80001f48]:mulhsu a2, a0, a1<br> [0x80001f4c]:sw a2, 1432(a3)<br>   |
| 376|[0x800055f0]<br>0x00000000|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80001f58]:mulhsu a2, a0, a1<br> [0x80001f5c]:sw a2, 1436(a3)<br>   |
| 377|[0x800055f4]<br>0x00000000|- rs1_val==4 and rs2_val==858993459<br>                                                                                                                                                                                                   |[0x80001f6c]:mulhsu a2, a0, a1<br> [0x80001f70]:sw a2, 1440(a3)<br>   |
| 378|[0x800055f8]<br>0x00000001|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                                                                                                                  |[0x80001f80]:mulhsu a2, a0, a1<br> [0x80001f84]:sw a2, 1444(a3)<br>   |
| 379|[0x800055fc]<br>0x00000000|- rs1_val==4 and rs2_val==46340<br>                                                                                                                                                                                                       |[0x80001f94]:mulhsu a2, a0, a1<br> [0x80001f98]:sw a2, 1448(a3)<br>   |
| 380|[0x80005600]<br>0x00000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                                                           |[0x80001fa4]:mulhsu a2, a0, a1<br> [0x80001fa8]:sw a2, 1452(a3)<br>   |
| 381|[0x80005604]<br>0x00000000|- rs1_val==4 and rs2_val==65535<br>                                                                                                                                                                                                       |[0x80001fb8]:mulhsu a2, a0, a1<br> [0x80001fbc]:sw a2, 1456(a3)<br>   |
| 382|[0x80005608]<br>0x00000000|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                                                           |[0x80001fc8]:mulhsu a2, a0, a1<br> [0x80001fcc]:sw a2, 1460(a3)<br>   |
| 383|[0x8000560c]<br>0x00000001|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                                                                                                                  |[0x80001fdc]:mulhsu a2, a0, a1<br> [0x80001fe0]:sw a2, 1464(a3)<br>   |
| 384|[0x80005610]<br>0x00000002|- rs1_val==4 and rs2_val==2863311529<br>                                                                                                                                                                                                  |[0x80001ff0]:mulhsu a2, a0, a1<br> [0x80001ff4]:sw a2, 1468(a3)<br>   |
| 385|[0x80005614]<br>0x00000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                                                           |[0x80002000]:mulhsu a2, a0, a1<br> [0x80002004]:sw a2, 1472(a3)<br>   |
| 386|[0x80005618]<br>0x00000000|- rs1_val==4 and rs2_val==858993458<br>                                                                                                                                                                                                   |[0x80002014]:mulhsu a2, a0, a1<br> [0x80002018]:sw a2, 1476(a3)<br>   |
| 387|[0x8000561c]<br>0x00000001|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                                                                                                                  |[0x80002028]:mulhsu a2, a0, a1<br> [0x8000202c]:sw a2, 1480(a3)<br>   |
| 388|[0x80005620]<br>0x00000000|- rs1_val==4 and rs2_val==46339<br>                                                                                                                                                                                                       |[0x8000203c]:mulhsu a2, a0, a1<br> [0x80002040]:sw a2, 1484(a3)<br>   |
| 389|[0x80005624]<br>0x00000000|- rs1_val==4 and rs2_val==65534<br>                                                                                                                                                                                                       |[0x80002050]:mulhsu a2, a0, a1<br> [0x80002054]:sw a2, 1488(a3)<br>   |
| 390|[0x80005628]<br>0x00000000|- rs1_val==46339 and rs2_val==46341<br>                                                                                                                                                                                                   |[0x80002068]:mulhsu a2, a0, a1<br> [0x8000206c]:sw a2, 1492(a3)<br>   |
| 391|[0x8000562c]<br>0x00000000|- rs1_val==46339 and rs2_val==1<br>                                                                                                                                                                                                       |[0x8000207c]:mulhsu a2, a0, a1<br> [0x80002080]:sw a2, 1496(a3)<br>   |
| 392|[0x80005630]<br>0x00000000|- rs1_val==46339 and rs2_val==65536<br>                                                                                                                                                                                                   |[0x80002090]:mulhsu a2, a0, a1<br> [0x80002094]:sw a2, 1500(a3)<br>   |
| 393|[0x80005634]<br>0x00000001|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                                                                                                                  |[0x800020a4]:mulhsu a2, a0, a1<br> [0x800020a8]:sw a2, 1504(a3)<br>   |
| 394|[0x80005638]<br>0x1C71C71C|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                                                                                                         |[0x800020bc]:mulhsu a2, a0, a1<br> [0x800020c0]:sw a2, 1508(a3)<br>   |
| 395|[0x8000563c]<br>0x38E38E39|- rs1_val==1431655766 and rs2_val==2863311530<br>                                                                                                                                                                                         |[0x800020d4]:mulhsu a2, a0, a1<br> [0x800020d8]:sw a2, 1512(a3)<br>   |
| 396|[0x80005640]<br>0x00000001|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                                                                                                                  |[0x800020e8]:mulhsu a2, a0, a1<br> [0x800020ec]:sw a2, 1516(a3)<br>   |
| 397|[0x80005644]<br>0x11111111|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                                                                                                          |[0x80002100]:mulhsu a2, a0, a1<br> [0x80002104]:sw a2, 1520(a3)<br>   |
| 398|[0x80005648]<br>0x22222222|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                                                                                                         |[0x80002118]:mulhsu a2, a0, a1<br> [0x8000211c]:sw a2, 1524(a3)<br>   |
| 399|[0x8000564c]<br>0x00003C56|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                                                                                                              |[0x80002130]:mulhsu a2, a0, a1<br> [0x80002134]:sw a2, 1528(a3)<br>   |
| 400|[0x80005650]<br>0x00000000|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                                                                                                                  |[0x80002144]:mulhsu a2, a0, a1<br> [0x80002148]:sw a2, 1532(a3)<br>   |
| 401|[0x80005654]<br>0x00005555|- rs1_val==1431655766 and rs2_val==65535<br>                                                                                                                                                                                              |[0x8000215c]:mulhsu a2, a0, a1<br> [0x80002160]:sw a2, 1536(a3)<br>   |
| 402|[0x80005658]<br>0x00000000|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                                                                                                                  |[0x80002170]:mulhsu a2, a0, a1<br> [0x80002174]:sw a2, 1540(a3)<br>   |
| 403|[0x8000565c]<br>0x1C71C71C|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                                                                                                         |[0x80002188]:mulhsu a2, a0, a1<br> [0x8000218c]:sw a2, 1544(a3)<br>   |
| 404|[0x80005660]<br>0x38E38E38|- rs1_val==1431655766 and rs2_val==2863311529<br>                                                                                                                                                                                         |[0x800021a0]:mulhsu a2, a0, a1<br> [0x800021a4]:sw a2, 1548(a3)<br>   |
| 405|[0x80005664]<br>0x00000001|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                                                                                                                  |[0x800021b4]:mulhsu a2, a0, a1<br> [0x800021b8]:sw a2, 1552(a3)<br>   |
| 406|[0x80005668]<br>0x11111110|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                                                                                                          |[0x800021cc]:mulhsu a2, a0, a1<br> [0x800021d0]:sw a2, 1556(a3)<br>   |
| 407|[0x8000566c]<br>0x22222221|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                                                                                                         |[0x800021e4]:mulhsu a2, a0, a1<br> [0x800021e8]:sw a2, 1560(a3)<br>   |
| 408|[0x80005670]<br>0x00003C56|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                                                                                                              |[0x800021fc]:mulhsu a2, a0, a1<br> [0x80002200]:sw a2, 1564(a3)<br>   |
| 409|[0x80005674]<br>0x00005554|- rs1_val==1431655766 and rs2_val==65534<br>                                                                                                                                                                                              |[0x80002214]:mulhsu a2, a0, a1<br> [0x80002218]:sw a2, 1568(a3)<br>   |
| 410|[0x80005678]<br>0x1C71C71C|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                                                                                                         |[0x8000222c]:mulhsu a2, a0, a1<br> [0x80002230]:sw a2, 1572(a3)<br>   |
| 411|[0x8000567c]<br>0x38E38E39|- rs1_val==1431655766 and rs2_val==2863311531<br>                                                                                                                                                                                         |[0x80002244]:mulhsu a2, a0, a1<br> [0x80002248]:sw a2, 1576(a3)<br>   |
| 412|[0x80005680]<br>0x00000002|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                                                                                                                  |[0x80002258]:mulhsu a2, a0, a1<br> [0x8000225c]:sw a2, 1580(a3)<br>   |
| 413|[0x80005684]<br>0x11111111|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                                                                                                          |[0x80002270]:mulhsu a2, a0, a1<br> [0x80002274]:sw a2, 1584(a3)<br>   |
| 414|[0x80005688]<br>0x22222222|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                                                                                                         |[0x80002288]:mulhsu a2, a0, a1<br> [0x8000228c]:sw a2, 1588(a3)<br>   |
| 415|[0x8000568c]<br>0x00003C57|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                                                                                                              |[0x800022a0]:mulhsu a2, a0, a1<br> [0x800022a4]:sw a2, 1592(a3)<br>   |
| 416|[0x80005690]<br>0x00000000|- rs1_val==1431655766 and rs2_val==1<br>                                                                                                                                                                                                  |[0x800022b4]:mulhsu a2, a0, a1<br> [0x800022b8]:sw a2, 1596(a3)<br>   |
| 417|[0x80005694]<br>0x00005555|- rs1_val==1431655766 and rs2_val==65536<br>                                                                                                                                                                                              |[0x800022c8]:mulhsu a2, a0, a1<br> [0x800022cc]:sw a2, 1600(a3)<br>   |
| 418|[0x80005698]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                                                                                                                 |[0x800022dc]:mulhsu a2, a0, a1<br> [0x800022e0]:sw a2, 1604(a3)<br>   |
| 419|[0x8000569c]<br>0xC71C71C7|- rs1_val==-1431655765 and rs2_val==2863311530<br>                                                                                                                                                                                        |[0x800022f4]:mulhsu a2, a0, a1<br> [0x800022f8]:sw a2, 1608(a3)<br>   |
| 420|[0x800056a0]<br>0xFFFFFFFE|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                                                                                                                 |[0x80002308]:mulhsu a2, a0, a1<br> [0x8000230c]:sw a2, 1612(a3)<br>   |
| 421|[0x800056a4]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                                                                                                         |[0x80002320]:mulhsu a2, a0, a1<br> [0x80002324]:sw a2, 1616(a3)<br>   |
| 422|[0x800056a8]<br>0xDDDDDDDE|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                                                                                                        |[0x80002338]:mulhsu a2, a0, a1<br> [0x8000233c]:sw a2, 1620(a3)<br>   |
| 423|[0x800056ac]<br>0xFFFFC3A9|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                                                                                                             |[0x80002350]:mulhsu a2, a0, a1<br> [0x80002354]:sw a2, 1624(a3)<br>   |
| 424|[0x800056b0]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                                                                                                                 |[0x80002364]:mulhsu a2, a0, a1<br> [0x80002368]:sw a2, 1628(a3)<br>   |
| 425|[0x800056b4]<br>0xFFFFAAAB|- rs1_val==-1431655765 and rs2_val==65535<br>                                                                                                                                                                                             |[0x8000237c]:mulhsu a2, a0, a1<br> [0x80002380]:sw a2, 1632(a3)<br>   |
| 426|[0x800056b8]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                                                                                                                 |[0x80002390]:mulhsu a2, a0, a1<br> [0x80002394]:sw a2, 1636(a3)<br>   |
| 427|[0x800056bc]<br>0xE38E38E4|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                                                                                                        |[0x800023a8]:mulhsu a2, a0, a1<br> [0x800023ac]:sw a2, 1640(a3)<br>   |
| 428|[0x800056c0]<br>0xC71C71C7|- rs1_val==-1431655765 and rs2_val==2863311529<br>                                                                                                                                                                                        |[0x800023c0]:mulhsu a2, a0, a1<br> [0x800023c4]:sw a2, 1644(a3)<br>   |
| 429|[0x800056c4]<br>0xFFFFFFFE|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                                                                                                                 |[0x800023d4]:mulhsu a2, a0, a1<br> [0x800023d8]:sw a2, 1648(a3)<br>   |
| 430|[0x800056c8]<br>0xEEEEEEEF|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                                                                                                         |[0x800023ec]:mulhsu a2, a0, a1<br> [0x800023f0]:sw a2, 1652(a3)<br>   |
| 431|[0x800056cc]<br>0xDDDDDDDE|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                                                                                                        |[0x80002404]:mulhsu a2, a0, a1<br> [0x80002408]:sw a2, 1656(a3)<br>   |
| 432|[0x800056d0]<br>0xFFFFC3A9|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                                                                                                             |[0x8000241c]:mulhsu a2, a0, a1<br> [0x80002420]:sw a2, 1660(a3)<br>   |
| 433|[0x800056d4]<br>0xFFFFAAAB|- rs1_val==-1431655765 and rs2_val==65534<br>                                                                                                                                                                                             |[0x80002434]:mulhsu a2, a0, a1<br> [0x80002438]:sw a2, 1664(a3)<br>   |
| 434|[0x800056d8]<br>0xE38E38E3|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                                                                                                        |[0x8000244c]:mulhsu a2, a0, a1<br> [0x80002450]:sw a2, 1668(a3)<br>   |
| 435|[0x800056dc]<br>0xC71C71C7|- rs1_val==-1431655765 and rs2_val==2863311531<br>                                                                                                                                                                                        |[0x80002464]:mulhsu a2, a0, a1<br> [0x80002468]:sw a2, 1672(a3)<br>   |
| 436|[0x800056e0]<br>0xFFFFFFFE|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                                                                                                                 |[0x80002478]:mulhsu a2, a0, a1<br> [0x8000247c]:sw a2, 1676(a3)<br>   |
| 437|[0x800056e4]<br>0xEEEEEEEE|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                                                                                                         |[0x80002490]:mulhsu a2, a0, a1<br> [0x80002494]:sw a2, 1680(a3)<br>   |
| 438|[0x800056e8]<br>0xDDDDDDDD|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                                                                                                        |[0x800024a8]:mulhsu a2, a0, a1<br> [0x800024ac]:sw a2, 1684(a3)<br>   |
| 439|[0x800056ec]<br>0xFFFFC3A9|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                                                                                                             |[0x800024c0]:mulhsu a2, a0, a1<br> [0x800024c4]:sw a2, 1688(a3)<br>   |
| 440|[0x800056f0]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1<br>                                                                                                                                                                                                 |[0x800024d4]:mulhsu a2, a0, a1<br> [0x800024d8]:sw a2, 1692(a3)<br>   |
| 441|[0x800056f4]<br>0xFFFFAAAA|- rs1_val==-1431655765 and rs2_val==65536<br>                                                                                                                                                                                             |[0x800024e8]:mulhsu a2, a0, a1<br> [0x800024ec]:sw a2, 1696(a3)<br>   |
| 442|[0x800056f8]<br>0x00000000|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                                                           |[0x800024f8]:mulhsu a2, a0, a1<br> [0x800024fc]:sw a2, 1700(a3)<br>   |
| 443|[0x800056fc]<br>0x00000001|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                                                                                                                  |[0x8000250c]:mulhsu a2, a0, a1<br> [0x80002510]:sw a2, 1704(a3)<br>   |
| 444|[0x80005700]<br>0x00000003|- rs1_val==6 and rs2_val==2863311530<br>                                                                                                                                                                                                  |[0x80002520]:mulhsu a2, a0, a1<br> [0x80002524]:sw a2, 1708(a3)<br>   |
| 445|[0x80005704]<br>0x00000000|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80002530]:mulhsu a2, a0, a1<br> [0x80002534]:sw a2, 1712(a3)<br>   |
| 446|[0x80005708]<br>0x00000001|- rs1_val==6 and rs2_val==858993459<br>                                                                                                                                                                                                   |[0x80002544]:mulhsu a2, a0, a1<br> [0x80002548]:sw a2, 1716(a3)<br>   |
| 447|[0x8000570c]<br>0x00000002|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                                                                                                                  |[0x80002558]:mulhsu a2, a0, a1<br> [0x8000255c]:sw a2, 1720(a3)<br>   |
| 448|[0x80005710]<br>0x00000000|- rs1_val==6 and rs2_val==46340<br>                                                                                                                                                                                                       |[0x8000256c]:mulhsu a2, a0, a1<br> [0x80002570]:sw a2, 1724(a3)<br>   |
| 449|[0x80005714]<br>0x00000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                                                           |[0x8000257c]:mulhsu a2, a0, a1<br> [0x80002580]:sw a2, 1728(a3)<br>   |
| 450|[0x80005718]<br>0x00000000|- rs1_val==6 and rs2_val==65535<br>                                                                                                                                                                                                       |[0x80002590]:mulhsu a2, a0, a1<br> [0x80002594]:sw a2, 1732(a3)<br>   |
| 451|[0x8000571c]<br>0x00000000|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                                                           |[0x800025a0]:mulhsu a2, a0, a1<br> [0x800025a4]:sw a2, 1736(a3)<br>   |
| 452|[0x80005720]<br>0x00000001|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                                                                                                                  |[0x800025b4]:mulhsu a2, a0, a1<br> [0x800025b8]:sw a2, 1740(a3)<br>   |
| 453|[0x80005724]<br>0x00000003|- rs1_val==6 and rs2_val==2863311529<br>                                                                                                                                                                                                  |[0x800025c8]:mulhsu a2, a0, a1<br> [0x800025cc]:sw a2, 1744(a3)<br>   |
| 454|[0x80005728]<br>0x00000001|- rs1_val==6 and rs2_val==858993458<br>                                                                                                                                                                                                   |[0x800025dc]:mulhsu a2, a0, a1<br> [0x800025e0]:sw a2, 1748(a3)<br>   |
| 455|[0x8000572c]<br>0x00000002|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                                                                                                                  |[0x800025f0]:mulhsu a2, a0, a1<br> [0x800025f4]:sw a2, 1752(a3)<br>   |
| 456|[0x80005730]<br>0x00000000|- rs1_val==6 and rs2_val==46339<br>                                                                                                                                                                                                       |[0x80002604]:mulhsu a2, a0, a1<br> [0x80002608]:sw a2, 1756(a3)<br>   |
| 457|[0x80005734]<br>0x00000000|- rs1_val==6 and rs2_val==65534<br>                                                                                                                                                                                                       |[0x80002618]:mulhsu a2, a0, a1<br> [0x8000261c]:sw a2, 1760(a3)<br>   |
| 458|[0x80005738]<br>0x00000002|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                                                                                                                  |[0x8000262c]:mulhsu a2, a0, a1<br> [0x80002630]:sw a2, 1764(a3)<br>   |
| 459|[0x8000573c]<br>0x00000004|- rs1_val==6 and rs2_val==2863311531<br>                                                                                                                                                                                                  |[0x80002640]:mulhsu a2, a0, a1<br> [0x80002644]:sw a2, 1768(a3)<br>   |
| 460|[0x80005740]<br>0x00000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80002650]:mulhsu a2, a0, a1<br> [0x80002654]:sw a2, 1772(a3)<br>   |
| 461|[0x80005744]<br>0x00000001|- rs1_val==6 and rs2_val==858993460<br>                                                                                                                                                                                                   |[0x80002664]:mulhsu a2, a0, a1<br> [0x80002668]:sw a2, 1776(a3)<br>   |
| 462|[0x80005748]<br>0x00000002|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                                                                                                                  |[0x80002678]:mulhsu a2, a0, a1<br> [0x8000267c]:sw a2, 1780(a3)<br>   |
| 463|[0x8000574c]<br>0x00000000|- rs1_val==6 and rs2_val==46341<br>                                                                                                                                                                                                       |[0x8000268c]:mulhsu a2, a0, a1<br> [0x80002690]:sw a2, 1784(a3)<br>   |
| 464|[0x80005750]<br>0x00000000|- rs1_val==6 and rs2_val==1<br>                                                                                                                                                                                                           |[0x8000269c]:mulhsu a2, a0, a1<br> [0x800026a0]:sw a2, 1788(a3)<br>   |
| 465|[0x80005754]<br>0x00000000|- rs1_val==6 and rs2_val==65536<br>                                                                                                                                                                                                       |[0x800026ac]:mulhsu a2, a0, a1<br> [0x800026b0]:sw a2, 1792(a3)<br>   |
| 466|[0x80005758]<br>0x00000000|- rs1_val==858993460 and rs2_val==3<br>                                                                                                                                                                                                   |[0x800026c0]:mulhsu a2, a0, a1<br> [0x800026c4]:sw a2, 1796(a3)<br>   |
| 467|[0x8000575c]<br>0x11111111|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                                                                                                          |[0x800026d8]:mulhsu a2, a0, a1<br> [0x800026dc]:sw a2, 1800(a3)<br>   |
| 468|[0x80005760]<br>0x22222222|- rs1_val==858993460 and rs2_val==2863311530<br>                                                                                                                                                                                          |[0x800026f0]:mulhsu a2, a0, a1<br> [0x800026f4]:sw a2, 1804(a3)<br>   |
| 469|[0x80005764]<br>0x00000001|- rs1_val==858993460 and rs2_val==5<br>                                                                                                                                                                                                   |[0x80002704]:mulhsu a2, a0, a1<br> [0x80002708]:sw a2, 1808(a3)<br>   |
| 470|[0x80005768]<br>0x0A3D70A3|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                                                                                                           |[0x8000271c]:mulhsu a2, a0, a1<br> [0x80002720]:sw a2, 1812(a3)<br>   |
| 471|[0x8000576c]<br>0x147AE147|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                                                                                                          |[0x80002734]:mulhsu a2, a0, a1<br> [0x80002738]:sw a2, 1816(a3)<br>   |
| 472|[0x80005770]<br>0x00002434|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                                                                                                               |[0x8000274c]:mulhsu a2, a0, a1<br> [0x80002750]:sw a2, 1820(a3)<br>   |
| 473|[0x80005774]<br>0x00000000|- rs1_val==858993460 and rs2_val==0<br>                                                                                                                                                                                                   |[0x80002760]:mulhsu a2, a0, a1<br> [0x80002764]:sw a2, 1824(a3)<br>   |
| 474|[0x80005778]<br>0x00003333|- rs1_val==858993460 and rs2_val==65535<br>                                                                                                                                                                                               |[0x80002778]:mulhsu a2, a0, a1<br> [0x8000277c]:sw a2, 1828(a3)<br>   |
| 475|[0x8000577c]<br>0x00000000|- rs1_val==858993460 and rs2_val==2<br>                                                                                                                                                                                                   |[0x8000278c]:mulhsu a2, a0, a1<br> [0x80002790]:sw a2, 1832(a3)<br>   |
| 476|[0x80005780]<br>0x11111111|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                                                                                                          |[0x800027a4]:mulhsu a2, a0, a1<br> [0x800027a8]:sw a2, 1836(a3)<br>   |
| 477|[0x80005784]<br>0x22222222|- rs1_val==858993460 and rs2_val==2863311529<br>                                                                                                                                                                                          |[0x800027bc]:mulhsu a2, a0, a1<br> [0x800027c0]:sw a2, 1840(a3)<br>   |
| 478|[0x80005788]<br>0x00000000|- rs1_val==858993460 and rs2_val==4<br>                                                                                                                                                                                                   |[0x800027d0]:mulhsu a2, a0, a1<br> [0x800027d4]:sw a2, 1844(a3)<br>   |
| 479|[0x8000578c]<br>0x0A3D70A3|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                                                                                                           |[0x800027e8]:mulhsu a2, a0, a1<br> [0x800027ec]:sw a2, 1848(a3)<br>   |
| 480|[0x80005790]<br>0x147AE147|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                                                                                                          |[0x80002800]:mulhsu a2, a0, a1<br> [0x80002804]:sw a2, 1852(a3)<br>   |
| 481|[0x80005794]<br>0x00002433|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                                                                                                               |[0x80002818]:mulhsu a2, a0, a1<br> [0x8000281c]:sw a2, 1856(a3)<br>   |
| 482|[0x80005798]<br>0x00003332|- rs1_val==858993460 and rs2_val==65534<br>                                                                                                                                                                                               |[0x80002830]:mulhsu a2, a0, a1<br> [0x80002834]:sw a2, 1860(a3)<br>   |
| 483|[0x8000579c]<br>0x11111111|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                                                                                                          |[0x80002848]:mulhsu a2, a0, a1<br> [0x8000284c]:sw a2, 1864(a3)<br>   |
| 484|[0x800057a0]<br>0x22222222|- rs1_val==858993460 and rs2_val==2863311531<br>                                                                                                                                                                                          |[0x80002860]:mulhsu a2, a0, a1<br> [0x80002864]:sw a2, 1868(a3)<br>   |
| 485|[0x800057a4]<br>0x00000001|- rs1_val==858993460 and rs2_val==6<br>                                                                                                                                                                                                   |[0x80002874]:mulhsu a2, a0, a1<br> [0x80002878]:sw a2, 1872(a3)<br>   |
| 486|[0x800057a8]<br>0x0A3D70A4|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                                                                                                           |[0x8000288c]:mulhsu a2, a0, a1<br> [0x80002890]:sw a2, 1876(a3)<br>   |
| 487|[0x800057ac]<br>0x147AE148|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                                                                                                          |[0x800028a4]:mulhsu a2, a0, a1<br> [0x800028a8]:sw a2, 1880(a3)<br>   |
| 488|[0x800057b0]<br>0x00002434|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                                                                                                               |[0x800028bc]:mulhsu a2, a0, a1<br> [0x800028c0]:sw a2, 1884(a3)<br>   |
| 489|[0x800057b4]<br>0x00000000|- rs1_val==858993460 and rs2_val==1<br>                                                                                                                                                                                                   |[0x800028d0]:mulhsu a2, a0, a1<br> [0x800028d4]:sw a2, 1888(a3)<br>   |
| 490|[0x800057b8]<br>0x00003333|- rs1_val==858993460 and rs2_val==65536<br>                                                                                                                                                                                               |[0x800028e4]:mulhsu a2, a0, a1<br> [0x800028e8]:sw a2, 1892(a3)<br>   |
| 491|[0x800057bc]<br>0x00000001|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                                                                                                                  |[0x800028f8]:mulhsu a2, a0, a1<br> [0x800028fc]:sw a2, 1896(a3)<br>   |
| 492|[0x800057c0]<br>0x22222222|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                                                                                                         |[0x80002910]:mulhsu a2, a0, a1<br> [0x80002914]:sw a2, 1900(a3)<br>   |
| 493|[0x800057c4]<br>0x44444444|- rs1_val==1717986919 and rs2_val==2863311530<br>                                                                                                                                                                                         |[0x80002928]:mulhsu a2, a0, a1<br> [0x8000292c]:sw a2, 1904(a3)<br>   |
| 494|[0x800057c8]<br>0x00000002|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                                                                                                                  |[0x8000293c]:mulhsu a2, a0, a1<br> [0x80002940]:sw a2, 1908(a3)<br>   |
| 495|[0x800057cc]<br>0x147AE147|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                                                                                                          |[0x80002954]:mulhsu a2, a0, a1<br> [0x80002958]:sw a2, 1912(a3)<br>   |
| 496|[0x800057d0]<br>0x28F5C28F|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                                                                                                         |[0x8000296c]:mulhsu a2, a0, a1<br> [0x80002970]:sw a2, 1916(a3)<br>   |
| 497|[0x800057d4]<br>0x00004868|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                                                                                                              |[0x80002984]:mulhsu a2, a0, a1<br> [0x80002988]:sw a2, 1920(a3)<br>   |
| 498|[0x800057d8]<br>0x00000000|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                                                                                                                  |[0x80002998]:mulhsu a2, a0, a1<br> [0x8000299c]:sw a2, 1924(a3)<br>   |
| 499|[0x800057dc]<br>0x00006666|- rs1_val==1717986919 and rs2_val==65535<br>                                                                                                                                                                                              |[0x800029b0]:mulhsu a2, a0, a1<br> [0x800029b4]:sw a2, 1928(a3)<br>   |
| 500|[0x800057e0]<br>0x00000000|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                                                                                                                  |[0x800029c4]:mulhsu a2, a0, a1<br> [0x800029c8]:sw a2, 1932(a3)<br>   |
| 501|[0x800057e4]<br>0x22222221|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                                                                                                         |[0x800029dc]:mulhsu a2, a0, a1<br> [0x800029e0]:sw a2, 1936(a3)<br>   |
| 502|[0x800057e8]<br>0x44444443|- rs1_val==1717986919 and rs2_val==2863311529<br>                                                                                                                                                                                         |[0x800029f4]:mulhsu a2, a0, a1<br> [0x800029f8]:sw a2, 1940(a3)<br>   |
| 503|[0x800057ec]<br>0x00000001|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                                                                                                                  |[0x80002a08]:mulhsu a2, a0, a1<br> [0x80002a0c]:sw a2, 1944(a3)<br>   |
| 504|[0x800057f0]<br>0x147AE147|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                                                                                                          |[0x80002a20]:mulhsu a2, a0, a1<br> [0x80002a24]:sw a2, 1948(a3)<br>   |
| 505|[0x800057f4]<br>0x28F5C28F|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                                                                                                         |[0x80002a38]:mulhsu a2, a0, a1<br> [0x80002a3c]:sw a2, 1952(a3)<br>   |
| 506|[0x800057f8]<br>0x00004867|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                                                                                                              |[0x80002a50]:mulhsu a2, a0, a1<br> [0x80002a54]:sw a2, 1956(a3)<br>   |
| 507|[0x800057fc]<br>0x00006665|- rs1_val==1717986919 and rs2_val==65534<br>                                                                                                                                                                                              |[0x80002a68]:mulhsu a2, a0, a1<br> [0x80002a6c]:sw a2, 1960(a3)<br>   |
| 508|[0x80005800]<br>0x22222222|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                                                                                                         |[0x80002a80]:mulhsu a2, a0, a1<br> [0x80002a84]:sw a2, 1964(a3)<br>   |
| 509|[0x80005804]<br>0x44444444|- rs1_val==1717986919 and rs2_val==2863311531<br>                                                                                                                                                                                         |[0x80002a98]:mulhsu a2, a0, a1<br> [0x80002a9c]:sw a2, 1968(a3)<br>   |
| 510|[0x80005808]<br>0x00000002|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                                                                                                                  |[0x80002aac]:mulhsu a2, a0, a1<br> [0x80002ab0]:sw a2, 1972(a3)<br>   |
| 511|[0x8000580c]<br>0x147AE148|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                                                                                                          |[0x80002ac4]:mulhsu a2, a0, a1<br> [0x80002ac8]:sw a2, 1976(a3)<br>   |
| 512|[0x80005810]<br>0x28F5C28F|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                                                                                                         |[0x80002adc]:mulhsu a2, a0, a1<br> [0x80002ae0]:sw a2, 1980(a3)<br>   |
| 513|[0x80005814]<br>0x00004868|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                                                                                                              |[0x80002af4]:mulhsu a2, a0, a1<br> [0x80002af8]:sw a2, 1984(a3)<br>   |
| 514|[0x80005818]<br>0x00000000|- rs1_val==1717986919 and rs2_val==1<br>                                                                                                                                                                                                  |[0x80002b08]:mulhsu a2, a0, a1<br> [0x80002b0c]:sw a2, 1988(a3)<br>   |
| 515|[0x8000581c]<br>0x00006666|- rs1_val==1717986919 and rs2_val==65536<br>                                                                                                                                                                                              |[0x80002b1c]:mulhsu a2, a0, a1<br> [0x80002b20]:sw a2, 1992(a3)<br>   |
| 516|[0x80005820]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                                                                                                      |[0x80002b30]:mulhsu a2, a0, a1<br> [0x80002b34]:sw a2, 1996(a3)<br>   |
| 517|[0x80005824]<br>0xFFFFC3A9|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                                                                                                             |[0x80002b48]:mulhsu a2, a0, a1<br> [0x80002b4c]:sw a2, 2000(a3)<br>   |
| 518|[0x80005828]<br>0x00002433|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                                                                                                               |[0x80002b60]:mulhsu a2, a0, a1<br> [0x80002b64]:sw a2, 2004(a3)<br>   |
| 519|[0x8000582c]<br>0xFFFF8753|- rs1_val==-46339 and rs2_val==2863311530<br>                                                                                                                                                                                             |[0x80002b78]:mulhsu a2, a0, a1<br> [0x80002b7c]:sw a2, 2008(a3)<br>   |
| 520|[0x80005830]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                                                                                                      |[0x80002b8c]:mulhsu a2, a0, a1<br> [0x80002b90]:sw a2, 2012(a3)<br>   |
| 521|[0x80005834]<br>0xFFFFDBCC|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                                                                                                              |[0x80002ba4]:mulhsu a2, a0, a1<br> [0x80002ba8]:sw a2, 2016(a3)<br>   |
| 522|[0x80005838]<br>0xFFFFB798|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                                                                                                             |[0x80002bbc]:mulhsu a2, a0, a1<br> [0x80002bc0]:sw a2, 2020(a3)<br>   |
| 523|[0x8000583c]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                                                                                                                  |[0x80002bd4]:mulhsu a2, a0, a1<br> [0x80002bd8]:sw a2, 2024(a3)<br>   |
| 524|[0x80005840]<br>0x00000000|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                                                                                                      |[0x80002be8]:mulhsu a2, a0, a1<br> [0x80002bec]:sw a2, 2028(a3)<br>   |
| 525|[0x80005844]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==65535<br>                                                                                                                                                                                                  |[0x80002c00]:mulhsu a2, a0, a1<br> [0x80002c04]:sw a2, 2032(a3)<br>   |
| 526|[0x80005848]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                                                                                                      |[0x80002c14]:mulhsu a2, a0, a1<br> [0x80002c18]:sw a2, 2036(a3)<br>   |
| 527|[0x8000584c]<br>0xFFFFC3A9|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                                                                                                             |[0x80002c2c]:mulhsu a2, a0, a1<br> [0x80002c30]:sw a2, 2040(a3)<br>   |
| 528|[0x80005850]<br>0xFFFF8753|- rs1_val==-46339 and rs2_val==2863311529<br>                                                                                                                                                                                             |[0x80002c44]:mulhsu a2, a0, a1<br> [0x80002c48]:sw a2, 2044(a3)<br>   |
| 529|[0x80005854]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                                                                                                      |[0x80002c60]:mulhsu a2, a0, a1<br> [0x80002c64]:sw a2, 0(a3)<br>      |
| 530|[0x80005858]<br>0xFFFFDBCC|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                                                                                                              |[0x80002c78]:mulhsu a2, a0, a1<br> [0x80002c7c]:sw a2, 4(a3)<br>      |
| 531|[0x8000585c]<br>0xFFFFB798|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                                                                                                             |[0x80002c90]:mulhsu a2, a0, a1<br> [0x80002c94]:sw a2, 8(a3)<br>      |
| 532|[0x80005860]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                                                                                                                  |[0x80002ca8]:mulhsu a2, a0, a1<br> [0x80002cac]:sw a2, 12(a3)<br>     |
| 533|[0x80005864]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==65534<br>                                                                                                                                                                                                  |[0x80002cc0]:mulhsu a2, a0, a1<br> [0x80002cc4]:sw a2, 16(a3)<br>     |
| 534|[0x80005868]<br>0xFFFFC3A9|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                                                                                                             |[0x80002cd8]:mulhsu a2, a0, a1<br> [0x80002cdc]:sw a2, 20(a3)<br>     |
| 535|[0x8000586c]<br>0xFFFF8753|- rs1_val==-46339 and rs2_val==2863311531<br>                                                                                                                                                                                             |[0x80002cf0]:mulhsu a2, a0, a1<br> [0x80002cf4]:sw a2, 24(a3)<br>     |
| 536|[0x80005870]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                                                                                                      |[0x80002d04]:mulhsu a2, a0, a1<br> [0x80002d08]:sw a2, 28(a3)<br>     |
| 537|[0x80005874]<br>0xFFFFDBCC|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                                                                                                              |[0x80002d1c]:mulhsu a2, a0, a1<br> [0x80002d20]:sw a2, 32(a3)<br>     |
| 538|[0x80005878]<br>0xFFFFB798|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                                                                                                             |[0x80002d34]:mulhsu a2, a0, a1<br> [0x80002d38]:sw a2, 36(a3)<br>     |
| 539|[0x8000587c]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                                                                                                                  |[0x80002d4c]:mulhsu a2, a0, a1<br> [0x80002d50]:sw a2, 40(a3)<br>     |
| 540|[0x80005880]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==1<br>                                                                                                                                                                                                      |[0x80002d60]:mulhsu a2, a0, a1<br> [0x80002d64]:sw a2, 44(a3)<br>     |
| 541|[0x80005884]<br>0xFFFFFFFF|- rs1_val==-46339 and rs2_val==65536<br>                                                                                                                                                                                                  |[0x80002d74]:mulhsu a2, a0, a1<br> [0x80002d78]:sw a2, 48(a3)<br>     |
| 542|[0x80005888]<br>0x00000000|- rs1_val==46341 and rs2_val==3<br>                                                                                                                                                                                                       |[0x80002d88]:mulhsu a2, a0, a1<br> [0x80002d8c]:sw a2, 52(a3)<br>     |
| 543|[0x8000588c]<br>0x00003C56|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                                                                                                              |[0x80002da0]:mulhsu a2, a0, a1<br> [0x80002da4]:sw a2, 56(a3)<br>     |
| 544|[0x80005890]<br>0x000078AD|- rs1_val==46341 and rs2_val==2863311530<br>                                                                                                                                                                                              |[0x80002db8]:mulhsu a2, a0, a1<br> [0x80002dbc]:sw a2, 60(a3)<br>     |
| 545|[0x80005894]<br>0x00000000|- rs1_val==46341 and rs2_val==5<br>                                                                                                                                                                                                       |[0x80002dcc]:mulhsu a2, a0, a1<br> [0x80002dd0]:sw a2, 64(a3)<br>     |
| 546|[0x80005898]<br>0x00002434|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                                                                                                               |[0x80002de4]:mulhsu a2, a0, a1<br> [0x80002de8]:sw a2, 68(a3)<br>     |
| 547|[0x8000589c]<br>0x00004868|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                                                                                                              |[0x80002dfc]:mulhsu a2, a0, a1<br> [0x80002e00]:sw a2, 72(a3)<br>     |
| 548|[0x800058a0]<br>0x00000000|- rs1_val==46341 and rs2_val==46340<br>                                                                                                                                                                                                   |[0x80002e14]:mulhsu a2, a0, a1<br> [0x80002e18]:sw a2, 76(a3)<br>     |
| 549|[0x800058a4]<br>0x00000000|- rs1_val==46341 and rs2_val==0<br>                                                                                                                                                                                                       |[0x80002e28]:mulhsu a2, a0, a1<br> [0x80002e2c]:sw a2, 80(a3)<br>     |
| 550|[0x800058a8]<br>0x00000000|- rs1_val==46341 and rs2_val==65535<br>                                                                                                                                                                                                   |[0x80002e40]:mulhsu a2, a0, a1<br> [0x80002e44]:sw a2, 84(a3)<br>     |
| 551|[0x800058ac]<br>0x00000000|- rs1_val==46341 and rs2_val==2<br>                                                                                                                                                                                                       |[0x80002e54]:mulhsu a2, a0, a1<br> [0x80002e58]:sw a2, 88(a3)<br>     |
| 552|[0x800058b0]<br>0x00003C56|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                                                                                                              |[0x80002e6c]:mulhsu a2, a0, a1<br> [0x80002e70]:sw a2, 92(a3)<br>     |
| 553|[0x800058b4]<br>0x000078AD|- rs1_val==46341 and rs2_val==2863311529<br>                                                                                                                                                                                              |[0x80002e84]:mulhsu a2, a0, a1<br> [0x80002e88]:sw a2, 96(a3)<br>     |
| 554|[0x800058b8]<br>0x00000000|- rs1_val==46341 and rs2_val==4<br>                                                                                                                                                                                                       |[0x80002e98]:mulhsu a2, a0, a1<br> [0x80002e9c]:sw a2, 100(a3)<br>    |
| 555|[0x800058bc]<br>0x00002434|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                                                                                                               |[0x80002eb0]:mulhsu a2, a0, a1<br> [0x80002eb4]:sw a2, 104(a3)<br>    |
| 556|[0x800058c0]<br>0x00004868|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                                                                                                              |[0x80002ec8]:mulhsu a2, a0, a1<br> [0x80002ecc]:sw a2, 108(a3)<br>    |
| 557|[0x800058c4]<br>0x00000000|- rs1_val==46341 and rs2_val==46339<br>                                                                                                                                                                                                   |[0x80002ee0]:mulhsu a2, a0, a1<br> [0x80002ee4]:sw a2, 112(a3)<br>    |
| 558|[0x800058c8]<br>0x00000000|- rs1_val==46341 and rs2_val==65534<br>                                                                                                                                                                                                   |[0x80002ef8]:mulhsu a2, a0, a1<br> [0x80002efc]:sw a2, 116(a3)<br>    |
| 559|[0x800058cc]<br>0x00003C57|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                                                                                                              |[0x80002f10]:mulhsu a2, a0, a1<br> [0x80002f14]:sw a2, 120(a3)<br>    |
| 560|[0x800058d0]<br>0x000078AE|- rs1_val==46341 and rs2_val==2863311531<br>                                                                                                                                                                                              |[0x80002f28]:mulhsu a2, a0, a1<br> [0x80002f2c]:sw a2, 124(a3)<br>    |
| 561|[0x800058d4]<br>0x00000000|- rs1_val==46341 and rs2_val==6<br>                                                                                                                                                                                                       |[0x80002f3c]:mulhsu a2, a0, a1<br> [0x80002f40]:sw a2, 128(a3)<br>    |
| 562|[0x800058d8]<br>0x00002434|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                                                                                                               |[0x80002f54]:mulhsu a2, a0, a1<br> [0x80002f58]:sw a2, 132(a3)<br>    |
| 563|[0x800058dc]<br>0x00004868|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                                                                                                              |[0x80002f6c]:mulhsu a2, a0, a1<br> [0x80002f70]:sw a2, 136(a3)<br>    |
| 564|[0x800058e0]<br>0x00000000|- rs1_val==46341 and rs2_val==46341<br>                                                                                                                                                                                                   |[0x80002f84]:mulhsu a2, a0, a1<br> [0x80002f88]:sw a2, 140(a3)<br>    |
| 565|[0x800058e4]<br>0x00000000|- rs1_val==46341 and rs2_val==1<br>                                                                                                                                                                                                       |[0x80002f98]:mulhsu a2, a0, a1<br> [0x80002f9c]:sw a2, 144(a3)<br>    |
| 566|[0x800058e8]<br>0x00000001|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                                                                                                                  |[0x80002fac]:mulhsu a2, a0, a1<br> [0x80002fb0]:sw a2, 148(a3)<br>    |
| 567|[0x800058ec]<br>0x00000000|- rs1_val==46341 and rs2_val==65536<br>                                                                                                                                                                                                   |[0x80002fc0]:mulhsu a2, a0, a1<br> [0x80002fc4]:sw a2, 152(a3)<br>    |
| 568|[0x800058f0]<br>0x00000002|- rs1_val==4 and rs2_val==2863311531<br>                                                                                                                                                                                                  |[0x80002fd4]:mulhsu a2, a0, a1<br> [0x80002fd8]:sw a2, 156(a3)<br>    |
| 569|[0x800058f4]<br>0x00000000|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80002fe4]:mulhsu a2, a0, a1<br> [0x80002fe8]:sw a2, 160(a3)<br>    |
| 570|[0x800058f8]<br>0x00000000|- rs1_val==4 and rs2_val==858993460<br>                                                                                                                                                                                                   |[0x80002ff8]:mulhsu a2, a0, a1<br> [0x80002ffc]:sw a2, 164(a3)<br>    |
| 571|[0x800058fc]<br>0x00000001|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                                                                                                                  |[0x8000300c]:mulhsu a2, a0, a1<br> [0x80003010]:sw a2, 168(a3)<br>    |
| 572|[0x80005900]<br>0x00000000|- rs1_val==4 and rs2_val==46341<br>                                                                                                                                                                                                       |[0x80003020]:mulhsu a2, a0, a1<br> [0x80003024]:sw a2, 172(a3)<br>    |
| 573|[0x80005904]<br>0x00000000|- rs1_val==4 and rs2_val==1<br>                                                                                                                                                                                                           |[0x80003030]:mulhsu a2, a0, a1<br> [0x80003034]:sw a2, 176(a3)<br>    |
| 574|[0x80005908]<br>0x00000000|- rs1_val==4 and rs2_val==65536<br>                                                                                                                                                                                                       |[0x80003040]:mulhsu a2, a0, a1<br> [0x80003044]:sw a2, 180(a3)<br>    |
| 575|[0x8000590c]<br>0x00000000|- rs1_val==858993458 and rs2_val==3<br>                                                                                                                                                                                                   |[0x80003054]:mulhsu a2, a0, a1<br> [0x80003058]:sw a2, 184(a3)<br>    |
| 576|[0x80005910]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                                                                                                          |[0x8000306c]:mulhsu a2, a0, a1<br> [0x80003070]:sw a2, 188(a3)<br>    |
| 577|[0x80005914]<br>0x22222221|- rs1_val==858993458 and rs2_val==2863311530<br>                                                                                                                                                                                          |[0x80003084]:mulhsu a2, a0, a1<br> [0x80003088]:sw a2, 192(a3)<br>    |
| 578|[0x80005918]<br>0x00000000|- rs1_val==858993458 and rs2_val==5<br>                                                                                                                                                                                                   |[0x80003098]:mulhsu a2, a0, a1<br> [0x8000309c]:sw a2, 196(a3)<br>    |
| 579|[0x8000591c]<br>0x0A3D70A3|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                                                                                                           |[0x800030b0]:mulhsu a2, a0, a1<br> [0x800030b4]:sw a2, 200(a3)<br>    |
| 580|[0x80005920]<br>0x147AE147|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                                                                                                          |[0x800030c8]:mulhsu a2, a0, a1<br> [0x800030cc]:sw a2, 204(a3)<br>    |
| 581|[0x80005924]<br>0x00002433|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                                                                                                               |[0x800030e0]:mulhsu a2, a0, a1<br> [0x800030e4]:sw a2, 208(a3)<br>    |
| 582|[0x80005928]<br>0x00000000|- rs1_val==858993458 and rs2_val==0<br>                                                                                                                                                                                                   |[0x800030f4]:mulhsu a2, a0, a1<br> [0x800030f8]:sw a2, 212(a3)<br>    |
| 583|[0x8000592c]<br>0x00003332|- rs1_val==858993458 and rs2_val==65535<br>                                                                                                                                                                                               |[0x8000310c]:mulhsu a2, a0, a1<br> [0x80003110]:sw a2, 216(a3)<br>    |
| 584|[0x80005930]<br>0x00000000|- rs1_val==858993458 and rs2_val==2<br>                                                                                                                                                                                                   |[0x80003120]:mulhsu a2, a0, a1<br> [0x80003124]:sw a2, 220(a3)<br>    |
| 585|[0x80005934]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                                                                                                          |[0x80003138]:mulhsu a2, a0, a1<br> [0x8000313c]:sw a2, 224(a3)<br>    |
| 586|[0x80005938]<br>0x22222221|- rs1_val==858993458 and rs2_val==2863311529<br>                                                                                                                                                                                          |[0x80003150]:mulhsu a2, a0, a1<br> [0x80003154]:sw a2, 228(a3)<br>    |
| 587|[0x8000593c]<br>0x00000000|- rs1_val==858993458 and rs2_val==4<br>                                                                                                                                                                                                   |[0x80003164]:mulhsu a2, a0, a1<br> [0x80003168]:sw a2, 232(a3)<br>    |
| 588|[0x80005940]<br>0x0A3D70A3|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                                                                                                           |[0x8000317c]:mulhsu a2, a0, a1<br> [0x80003180]:sw a2, 236(a3)<br>    |
| 589|[0x80005944]<br>0x147AE146|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                                                                                                          |[0x80003194]:mulhsu a2, a0, a1<br> [0x80003198]:sw a2, 240(a3)<br>    |
| 590|[0x80005948]<br>0x00002433|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                                                                                                               |[0x800031ac]:mulhsu a2, a0, a1<br> [0x800031b0]:sw a2, 244(a3)<br>    |
| 591|[0x8000594c]<br>0x00003332|- rs1_val==858993458 and rs2_val==65534<br>                                                                                                                                                                                               |[0x800031c4]:mulhsu a2, a0, a1<br> [0x800031c8]:sw a2, 248(a3)<br>    |
| 592|[0x80005950]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                                                                                                          |[0x800031dc]:mulhsu a2, a0, a1<br> [0x800031e0]:sw a2, 252(a3)<br>    |
| 593|[0x80005954]<br>0x22222221|- rs1_val==858993458 and rs2_val==2863311531<br>                                                                                                                                                                                          |[0x800031f4]:mulhsu a2, a0, a1<br> [0x800031f8]:sw a2, 256(a3)<br>    |
| 594|[0x80005958]<br>0x00000001|- rs1_val==858993458 and rs2_val==6<br>                                                                                                                                                                                                   |[0x80003208]:mulhsu a2, a0, a1<br> [0x8000320c]:sw a2, 260(a3)<br>    |
| 595|[0x8000595c]<br>0x0A3D70A3|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                                                                                                           |[0x80003220]:mulhsu a2, a0, a1<br> [0x80003224]:sw a2, 264(a3)<br>    |
| 596|[0x80005960]<br>0x147AE147|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                                                                                                          |[0x80003238]:mulhsu a2, a0, a1<br> [0x8000323c]:sw a2, 268(a3)<br>    |
| 597|[0x80005964]<br>0x00002434|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                                                                                                               |[0x80003250]:mulhsu a2, a0, a1<br> [0x80003254]:sw a2, 272(a3)<br>    |
| 598|[0x80005968]<br>0x00000000|- rs1_val==858993458 and rs2_val==1<br>                                                                                                                                                                                                   |[0x80003264]:mulhsu a2, a0, a1<br> [0x80003268]:sw a2, 276(a3)<br>    |
| 599|[0x8000596c]<br>0x00003333|- rs1_val==858993458 and rs2_val==65536<br>                                                                                                                                                                                               |[0x80003278]:mulhsu a2, a0, a1<br> [0x8000327c]:sw a2, 280(a3)<br>    |
| 600|[0x80005970]<br>0x00000001|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                                                                                                                  |[0x8000328c]:mulhsu a2, a0, a1<br> [0x80003290]:sw a2, 284(a3)<br>    |
| 601|[0x80005974]<br>0x22222221|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                                                                                                         |[0x800032a4]:mulhsu a2, a0, a1<br> [0x800032a8]:sw a2, 288(a3)<br>    |
| 602|[0x80005978]<br>0x44444443|- rs1_val==1717986917 and rs2_val==2863311530<br>                                                                                                                                                                                         |[0x800032bc]:mulhsu a2, a0, a1<br> [0x800032c0]:sw a2, 292(a3)<br>    |
| 603|[0x8000597c]<br>0x00000001|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                                                                                                                  |[0x800032d0]:mulhsu a2, a0, a1<br> [0x800032d4]:sw a2, 296(a3)<br>    |
| 604|[0x80005980]<br>0x147AE147|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                                                                                                          |[0x800032e8]:mulhsu a2, a0, a1<br> [0x800032ec]:sw a2, 300(a3)<br>    |
| 605|[0x80005984]<br>0x28F5C28E|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                                                                                                         |[0x80003300]:mulhsu a2, a0, a1<br> [0x80003304]:sw a2, 304(a3)<br>    |
| 606|[0x80005988]<br>0x00004867|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                                                                                                              |[0x80003318]:mulhsu a2, a0, a1<br> [0x8000331c]:sw a2, 308(a3)<br>    |
| 607|[0x8000598c]<br>0x00000000|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                                                                                                                  |[0x8000332c]:mulhsu a2, a0, a1<br> [0x80003330]:sw a2, 312(a3)<br>    |
| 608|[0x80005990]<br>0x00006665|- rs1_val==1717986917 and rs2_val==65535<br>                                                                                                                                                                                              |[0x80003344]:mulhsu a2, a0, a1<br> [0x80003348]:sw a2, 316(a3)<br>    |
| 609|[0x80005994]<br>0x00000000|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                                                                                                                  |[0x80003358]:mulhsu a2, a0, a1<br> [0x8000335c]:sw a2, 320(a3)<br>    |
| 610|[0x80005998]<br>0x22222221|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                                                                                                         |[0x80003370]:mulhsu a2, a0, a1<br> [0x80003374]:sw a2, 324(a3)<br>    |
| 611|[0x8000599c]<br>0x44444442|- rs1_val==1717986917 and rs2_val==2863311529<br>                                                                                                                                                                                         |[0x80003388]:mulhsu a2, a0, a1<br> [0x8000338c]:sw a2, 328(a3)<br>    |
| 612|[0x800059a0]<br>0x00000001|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                                                                                                                  |[0x8000339c]:mulhsu a2, a0, a1<br> [0x800033a0]:sw a2, 332(a3)<br>    |
| 613|[0x800059a4]<br>0x147AE146|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                                                                                                          |[0x800033b4]:mulhsu a2, a0, a1<br> [0x800033b8]:sw a2, 336(a3)<br>    |
| 614|[0x800059a8]<br>0x28F5C28E|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                                                                                                         |[0x800033cc]:mulhsu a2, a0, a1<br> [0x800033d0]:sw a2, 340(a3)<br>    |
| 615|[0x800059ac]<br>0x00004867|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                                                                                                              |[0x800033e4]:mulhsu a2, a0, a1<br> [0x800033e8]:sw a2, 344(a3)<br>    |
| 616|[0x800059b0]<br>0x00006665|- rs1_val==1717986917 and rs2_val==65534<br>                                                                                                                                                                                              |[0x800033fc]:mulhsu a2, a0, a1<br> [0x80003400]:sw a2, 348(a3)<br>    |
| 617|[0x800059b4]<br>0x22222221|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                                                                                                         |[0x80003414]:mulhsu a2, a0, a1<br> [0x80003418]:sw a2, 352(a3)<br>    |
| 618|[0x800059b8]<br>0x44444443|- rs1_val==1717986917 and rs2_val==2863311531<br>                                                                                                                                                                                         |[0x8000342c]:mulhsu a2, a0, a1<br> [0x80003430]:sw a2, 356(a3)<br>    |
| 619|[0x800059bc]<br>0x00000002|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                                                                                                                  |[0x80003440]:mulhsu a2, a0, a1<br> [0x80003444]:sw a2, 360(a3)<br>    |
| 620|[0x800059c0]<br>0x147AE147|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                                                                                                          |[0x80003458]:mulhsu a2, a0, a1<br> [0x8000345c]:sw a2, 364(a3)<br>    |
| 621|[0x800059c4]<br>0x28F5C28F|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                                                                                                         |[0x80003470]:mulhsu a2, a0, a1<br> [0x80003474]:sw a2, 368(a3)<br>    |
| 622|[0x800059c8]<br>0x00004868|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                                                                                                              |[0x80003488]:mulhsu a2, a0, a1<br> [0x8000348c]:sw a2, 372(a3)<br>    |
| 623|[0x800059cc]<br>0x00000000|- rs1_val==1717986917 and rs2_val==1<br>                                                                                                                                                                                                  |[0x8000349c]:mulhsu a2, a0, a1<br> [0x800034a0]:sw a2, 376(a3)<br>    |
| 624|[0x800059d0]<br>0x00006666|- rs1_val==1717986917 and rs2_val==65536<br>                                                                                                                                                                                              |[0x800034b0]:mulhsu a2, a0, a1<br> [0x800034b4]:sw a2, 380(a3)<br>    |
| 625|[0x800059d4]<br>0x00000000|- rs1_val==46339 and rs2_val==3<br>                                                                                                                                                                                                       |[0x800034c4]:mulhsu a2, a0, a1<br> [0x800034c8]:sw a2, 384(a3)<br>    |
| 626|[0x800059d8]<br>0x00003C56|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                                                                                                              |[0x800034dc]:mulhsu a2, a0, a1<br> [0x800034e0]:sw a2, 388(a3)<br>    |
| 627|[0x800059dc]<br>0x000078AC|- rs1_val==46339 and rs2_val==2863311530<br>                                                                                                                                                                                              |[0x800034f4]:mulhsu a2, a0, a1<br> [0x800034f8]:sw a2, 392(a3)<br>    |
| 628|[0x800059e0]<br>0x00000000|- rs1_val==46339 and rs2_val==5<br>                                                                                                                                                                                                       |[0x80003508]:mulhsu a2, a0, a1<br> [0x8000350c]:sw a2, 396(a3)<br>    |
| 629|[0x800059e4]<br>0x00002433|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                                                                                                               |[0x80003520]:mulhsu a2, a0, a1<br> [0x80003524]:sw a2, 400(a3)<br>    |
| 630|[0x800059e8]<br>0x00004867|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                                                                                                              |[0x80003538]:mulhsu a2, a0, a1<br> [0x8000353c]:sw a2, 404(a3)<br>    |
| 631|[0x800059ec]<br>0x00000000|- rs1_val==46339 and rs2_val==46340<br>                                                                                                                                                                                                   |[0x80003550]:mulhsu a2, a0, a1<br> [0x80003554]:sw a2, 408(a3)<br>    |
| 632|[0x800059f0]<br>0x00000000|- rs1_val==46339 and rs2_val==65535<br>                                                                                                                                                                                                   |[0x80003568]:mulhsu a2, a0, a1<br> [0x8000356c]:sw a2, 412(a3)<br>    |
| 633|[0x800059f4]<br>0x00000000|- rs1_val==46339 and rs2_val==2<br>                                                                                                                                                                                                       |[0x8000357c]:mulhsu a2, a0, a1<br> [0x80003580]:sw a2, 416(a3)<br>    |
| 634|[0x800059f8]<br>0x00003C56|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                                                                                                              |[0x80003594]:mulhsu a2, a0, a1<br> [0x80003598]:sw a2, 420(a3)<br>    |
| 635|[0x800059fc]<br>0x000078AC|- rs1_val==46339 and rs2_val==2863311529<br>                                                                                                                                                                                              |[0x800035ac]:mulhsu a2, a0, a1<br> [0x800035b0]:sw a2, 424(a3)<br>    |
| 636|[0x80005a00]<br>0x00000000|- rs1_val==46339 and rs2_val==4<br>                                                                                                                                                                                                       |[0x800035c0]:mulhsu a2, a0, a1<br> [0x800035c4]:sw a2, 428(a3)<br>    |
| 637|[0x80005a04]<br>0x00004867|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                                                                                                              |[0x800035d8]:mulhsu a2, a0, a1<br> [0x800035dc]:sw a2, 432(a3)<br>    |
| 638|[0x80005a08]<br>0x00000000|- rs1_val==46339 and rs2_val==46339<br>                                                                                                                                                                                                   |[0x800035f0]:mulhsu a2, a0, a1<br> [0x800035f4]:sw a2, 436(a3)<br>    |
| 639|[0x80005a0c]<br>0x00000000|- rs1_val==46339 and rs2_val==65534<br>                                                                                                                                                                                                   |[0x80003608]:mulhsu a2, a0, a1<br> [0x8000360c]:sw a2, 440(a3)<br>    |
| 640|[0x80005a10]<br>0x00003C56|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                                                                                                              |[0x80003620]:mulhsu a2, a0, a1<br> [0x80003624]:sw a2, 444(a3)<br>    |
| 641|[0x80005a14]<br>0x000078AC|- rs1_val==46339 and rs2_val==2863311531<br>                                                                                                                                                                                              |[0x80003638]:mulhsu a2, a0, a1<br> [0x8000363c]:sw a2, 448(a3)<br>    |
| 642|[0x80005a18]<br>0x00000000|- rs1_val==46339 and rs2_val==6<br>                                                                                                                                                                                                       |[0x8000364c]:mulhsu a2, a0, a1<br> [0x80003650]:sw a2, 452(a3)<br>    |
| 643|[0x80005a1c]<br>0x00002433|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                                                                                                               |[0x80003664]:mulhsu a2, a0, a1<br> [0x80003668]:sw a2, 456(a3)<br>    |
| 644|[0x80005a20]<br>0x00004867|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                                                                                                              |[0x8000367c]:mulhsu a2, a0, a1<br> [0x80003680]:sw a2, 460(a3)<br>    |
| 645|[0x80005a28]<br>0x80000010|- rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br>                                                                                                                                                                              |[0x800036a0]:mulhsu a2, a0, a1<br> [0x800036a4]:sw a2, 468(a3)<br>    |
